 2731 Vagrant Cascadian 2016-03-25 {ltsp-5.5.7}
      Version 5.5.7.

 2730 Alkis Georgopoulos	2016-03-25
      Remove 06-ltsp-init-common, init-ltsp doesn't launch any services.

 2729 Alkis Georgopoulos	2016-03-25
      Allow early logging to /dev/kmsg, for init-ltsp.

 2728 Alkis Georgopoulos	2016-03-25
      Avoid syntax error when enabling NBD_SWAP and /dev/nbd1 is in use.

 2727 Alkis Georgopoulos	2016-03-22
      Remove RM_SYSTEM_SERVICES from the example lts.conf,
      50-rm-system-services provides a much better default.

 2726 Alkis Georgopoulos	2016-03-22
      Don't default to NBD_SWAP=true when local swap was found.

 2725 Alkis Georgopoulos	2016-03-20
      Update RM_SYSTEM_SERVICES for systemd.

 2724 Alkis Georgopoulos	2016-03-20
      Debian: ensure udhcpc is busybox-static, not busybox-initramfs.

 2723 Alkis Georgopoulos	2016-03-20
      Debian: avoid NBD timeouts in recent initramfs-tools (LP: #696435).

 2722 Alkis Georgopoulos	2016-03-19
      Debian: disable resume on LTSP clients to avoid 5 sec delay.

 2721 Alkis Georgopoulos	2016-03-19
      Debian: insert PREREQ stanza to all the initramfs scripts.

 2720 Alkis Georgopoulos	2016-03-18
      Set TERM=linux for SCREEN_xx=shell under systemd.

 2719 Alkis Georgopoulos	2016-03-18
      ltsp-update-image: prevent the nautilus popup window for the
      tmpfs mount.

 2718 Launchpad Translations on behalf of ltsp-upstream 2016-03-17
      Launchpad automatic translations update.

 2717 Alkis Georgopoulos	2016-03-16
      ltsp-update-image: exclude /tmp submounts (LP: #1557779).

 2716 Alkis Georgopoulos	2016-03-09
      Avoid "Binary file (standard input) matches" in ltsp_config_env
      when LANG=C and lts.conf contains non-ASCII characters.

 2715 Launchpad Translations on behalf of ltsp-upstream 2016-03-07
      Launchpad automatic translations update.

 2714 Alkis Georgopoulos	2016-03-02
      Debian: include aoe even when MODULES=netboot.

 2713 Vagrant Cascadian 2016-02-28
      Debian: Select appropriate kernel package for i386, which is
      linux-image-486 on older releases, and linux-image-586 on newer
      releases.

 2712 Launchpad Translations on behalf of ltsp-upstream 2016-02-15
      Launchpad automatic translations update.

 2711 Alkis Georgopoulos	2016-02-12
      Allow symlinked chroots and images.

 2710 Vagrant Cascadian 2016-02-07 {ltsp-5.5.6}
      Version 5.5.6

 2709 Vagrant Cascadian 2016-02-07
      Debian: ltsp-build-client: Remove plugin that checks for
      /etc/exports entries, as using LTSP with NFS and linux 4.x is
      largely unsupported.

 2708 Launchpad Translations on behalf of ltsp-upstream 2016-01-05
      Launchpad automatic translations update.

 2707 Launchpad Translations on behalf of ltsp-upstream 2016-01-04
      Launchpad automatic translations update.

 2706 Launchpad Translations on behalf of ltsp-upstream 2016-01-03
      Launchpad automatic translations update.

 2705 Launchpad Translations on behalf of ltsp-upstream 2015-12-14
      Launchpad automatic translations update.

 2704 Launchpad Translations on behalf of ltsp-upstream 2015-12-13
      Launchpad automatic translations update.

 2703 Alkis Georgopoulos	2015-12-09
      disable_hardlink is only available in SSHFS >= 2.5.

 2702 Alkis Georgopoulos	2015-12-06
      ltsp-cluster: Don't unset SCREEN_NUM as then clients fail to boot
      (LP: #1360595).

 2701 Alkis Georgopoulos	2015-12-05
      Replace r2673 with sshfs -o disable_hardlink.

 2700 Launchpad Translations on behalf of ltsp-upstream 2015-11-27
      Launchpad automatic translations update.

 2699 Alkis Georgopoulos	2015-11-22
      Create a pxelinux.cfg entry for memtest86+.bin.

 2698 Alkis Georgopoulos	2015-11-21
      Allow various lts.conf options to end with a description instead
      of a number.

      For example, MODULE_SND_PI="snd_bcm2835" can be set under a MAC
      address section that matches Raspberry Pis, without caring about
      overlapping with MODULE_[0-9]* variables from other sections.

 2697 Alkis Georgopoulos	2015-11-19
      Ubuntu: replace "quiet splash" with "forcepae".

      "forcepae" helps in booting Centrino clients with no apparent
      regressions.  "splash" is shown too late in the boot process to be
      useful.  "quiet" appears more elegant, but it makes troubleshooting
      harder.

 2696 Launchpad Translations on behalf of ltsp-upstream 2015-11-13
      Launchpad automatic translations update.

 2695 Launchpad Translations on behalf of ltsp-upstream 2015-11-12
      Launchpad automatic translations update.

 2694 Launchpad Translations on behalf of ltsp-upstream 2015-11-09
      Launchpad automatic translations update.

 2693 Launchpad Translations on behalf of ltsp-upstream 2015-11-08
      Launchpad automatic translations update.

 2692 Launchpad Translations on behalf of ltsp-upstream 2015-11-07
      Launchpad automatic translations update.

 2691 Alkis Georgopoulos	2015-11-02
      Support automatic kernel/initrd updates on local media.

 2690 Alkis Georgopoulos	2015-11-01
      Typo in r2689: use $DEVICE instead of eth0. Thanks vagrantc!

 2689 Alkis Georgopoulos	2015-10-30
      Debian: use set_lts_var to correctly export LTSP_CLIENT_MAC.

 2688 Launchpad Translations on behalf of ltsp-upstream 2015-10-21
      Launchpad automatic translations update.

 2687 Alkis Georgopoulos	2015-10-19
      Ubuntu: allow specifying KERNEL_ARCH in ltsp-build-client.

 2686 Vagrant Cascadian 2015-10-13 {ltsp-5.5.5}
      Version 5.5.5

 2685 Launchpad Translations on behalf of ltsp-upstream 2015-10-11
      Launchpad automatic translations update.

 2684 Vagrant Cascadian 2015-10-10
      Updated ltsp translation template.

 2683 Launchpad Translations on behalf of ltsp-upstream 2015-10-09
      Launchpad automatic translations update.

 2682 Vagrant Cascadian 2015-10-07
      Debian: ltsp-build-client: Do not attempt to configure
      BOOTPROMPT_OPTIONS in update-kernels.conf when building an
      filesystem image, as NBD is now the default.

 2681 Vagrant Cascadian 2015-10-07
      Debian: ltsp-build-client: Do not attempt to configure
      BOOTPROMPT_OPTIONS in update-kernels.conf when building a squashfs
      image, as NBD is now the default.

 2680 Vagrant Cascadian 2015-10-07
      Debian: Default to using NBD with squashfs image to
      workaround incompatibilities with overlay FS and NFS.
      https://bugs.debian.org/786925

 2679 Alkis Georgopoulos	2015-10-05
      Revert r2671, it was fixed in systemd (LP: #1492546).

 2678 Alkis Georgopoulos	2015-10-05
      Correctly chmod kernels when e.g. umask=0077 (LP: #1502824).

 2677 Vagrant Cascadian 2015-10-02
      ltsp-config: Fix typo stopping nbd-server.

 2676 Vagrant Cascadian 2015-10-02
      ltsp-config: Add --quiet option and use from ltsp-update-image.

 2675 Alkis Georgopoulos	2015-10-02
      ltsp-config: systemd doesn't realize when nbd-server is inactive,
      so stop it before starting it.

 2674 Vagrant Cascadian 2015-10-01
      ltsp-config: Remove support for editing /etc/nbd-server/config,
      as the nbd-server package should handle this itself now.

 2673 Alkis Georgopoulos	2015-10-01
      Prevent gnome-keyring from filling up the disk with temp files.

 2672 Alkis Georgopoulos	2015-10-01
      Background the CUPS_SERVER DNS lookup in case it takes a long time.

 2671 Alkis Georgopoulos	2015-10-01
      Debian: prevent systemd from running ifdown on shutdown, hanging
      LTSP clients.

 2670 Alkis Georgopoulos	2015-10-01
      Use an IP for CUPS ServerName to avoid rejected connections.

 2669 Launchpad Translations on behalf of ltsp-upstream 2015-09-16
      Launchpad automatic translations update.

 2668 Alkis Georgopoulos	2015-09-11
      50-debconf: Replace truncate with tee to avoid overlayfs issues
      (LP: #1494660).

 2667 Alkis Georgopoulos	2015-09-11
      cleanup.d: Replace truncate with tee to avoid overlayfs issues
      (LP: #1494660).

 2666 Alkis Georgopoulos	2015-09-08
      Prevent jetpipe from dying after nmap scan (LP: #1273680).

 2665 Launchpad Translations on behalf of ltsp-upstream 2015-09-03
      Launchpad automatic translations update.

 2664 Alkis Georgopoulos	2015-09-02
      Replace [A-Za-z] with [:alpha:] to avoid locale issues (LP:
      #1491066).

 2663 Vagrant Cascadian 2015-09-02
      Apply modified patch from Fotis Tsamis to respect --overwrite
      with ltsp-config nbd-server, ignoring --overwrite with
      /etc/nbd-server/config, which could potentially cause issues on
      upgrade of nbd-server.  https://bugs.launchpad.net/ltsp/+bug/1487333

 2662 Alkis Georgopoulos	2015-09-02
      ltsp-update-image: remove old comment about bind-mounts.

 2661 Alkis Georgopoulos	2015-09-02
      ltsp-update-image: properly support overlay, overlayfs and aufs
      in run_cleanup (LP: #1352038).

 2660 Launchpad Translations on behalf of ltsp-upstream 2015-09-02
      Launchpad automatic translations update.

 2659 Launchpad Translations on behalf of ltsp-upstream 2015-08-23
      Launchpad automatic translations update.

 2658 Launchpad Translations on behalf of ltsp-upstream 2015-08-22
      Launchpad automatic translations update.

 2657 Vagrant Cascadian 2015-08-16
      Ensure LDFLAGS and CPPFLAGS are respected when building getltscfg,
      otherwise some hardened build flags may get ignored.

 2656 Vagrant Cascadian 2015-08-16
      kiosk: Add support for chromium and fullscreen google-chrome.
      https://bugs.launchpad.net/ltsp/+bug/1422150

 2655 Launchpad Translations on behalf of ltsp-upstream 2015-08-16
      Launchpad automatic translations update.

 2654 Launchpad Translations on behalf of ltsp-upstream 2015-08-15
      Launchpad automatic translations update.

 2653 Vagrant Cascadian 2015-08-14
      ltsp-update-image: Attempt to load "overlay" module.

 2652 Vagrant Cascadian 2015-08-11
      ltsp-update-image: Support using "overlay" from mainline linux.

 2651 Vagrant Cascadian 2015-08-11
      Revert "ltsp-update-image: bind-mount submounts like /boot in
      run_cleanup (LP: #1352038)."

      This reverts commit 1cf71f02a66e8ea1dbc246d7d436e84a0349cd8d.

 2650 Alkis Georgopoulos	2015-08-11
      ltsp-config: also create lts.conf when TFTP/ltsp/ARCH doesn't exist
      (LP: #1483573).

 2649 Vagrant Cascadian 2015-08-11
      Fix bug in "xinitrc" wrapper to allow it to break out
      of the running loop.  Thanks to alexfk for the report!
      https://bugs.launchpad.net/ltsp/+bug/1468630

 2648 Alkis Georgopoulos	2015-08-07
      ltsp-update-image: bind-mount submounts like /boot in run_cleanup
      (LP: #1352038).

 2647 Launchpad Translations on behalf of ltsp-upstream 2015-05-30
      Launchpad automatic translations update.

 2646 Alkis Georgopoulos	2015-05-22
      Debian: work around `su -` not putting /sbin in the PATH.

 2645 Launchpad Translations on behalf of ltsp-upstream 2015-05-14
      Launchpad automatic translations update.

 2644 Alkis Georgopoulos	2015-05-06
      Debian: move udhcpc request message inside the loop.

 2643 Alkis Georgopoulos	2015-05-06
      Replace 8s with 8u in xprop calls, for unicode URIs (LP: #1451915).

 2642 Launchpad Translations on behalf of ltsp-upstream 2015-04-23
      Launchpad automatic translations update.

 2641 Vagrant Cascadian 2015-04-15
      init-ltsp.d: Do not disable screen locking when LDM_PASSWORD_HASH
      is set. https://bugs.launchpad.net/ltsp/+bug/1444693

 2640 Launchpad Translations on behalf of ltsp-upstream 2015-03-10
      Launchpad automatic translations update.

 2639 Vagrant Cascadian 2015-03-02
      Add support for the "overlay" filesystem in mainline linux.
      Unfortunately, it does not appear to work with NFS as a backend,
      but does work with NBD and NFS+squashfs image.

 2638 Launchpad Translations on behalf of ltsp-upstream 2015-02-19
      Launchpad automatic translations update.

 2637 Launchpad Translations on behalf of ltsp-upstream 2015-02-18
      Launchpad automatic translations update.

 2636 Launchpad Translations on behalf of ltsp-upstream 2015-02-17
      Launchpad automatic translations update.

 2635 Vagrant Cascadian 2015-02-11
      Debian: Fix typo in set-time which replaced the configuration
      value NTPSERVERS with NTPSERVER in /etc/default/ntpdate.

 2634 Vagrant Cascadian 2015-02-08
      Drop hack to remove nouveau_vieux driver, as newer versions
      of LDM will no longer hard-code LIBGL_ALWAYS_INDIRECT.
      https://bugs.launchpad.net/ltsp/+bug/1072711

 2633 Launchpad Translations on behalf of ltsp-upstream 2014-12-07
      Launchpad automatic translations update.

 2632 Vagrant Cascadian 2014-11-29
      update-kernels: Quiet down mkimage output when generating boot.scr.

 2631 Vagrant Cascadian 2014-11-29
      Debian: update-kernels.conf: Prefer 586 over 486 in for 32 bit
      systems, as 486 is no longer shipped in Jessie.

 2630 Vagrant Cascadian 2014-11-29
      update-kernels: Fix issues with kernel version variant sorting
      by first looping on the preferred variants, and using the keyword
      "ALL" instead of "*" to avoid shell globbing issues.

 2629 Alkis Georgopoulos	2014-11-29
      Correctly sort kernel FLAVOR in increasing order and VERSION
      in decreasing.

 2628 Launchpad Translations on behalf of ltsp-upstream 2014-11-28
      Launchpad automatic translations update.

 2627 Vagrant Cascadian 2014-11-23
      ltsp-update-kernels: Remove .dtb files when kernel version is no
      longer installed.

 2626 Alkis Georgopoulos	2014-11-20
      Disable suspend and hibernate on LTSP clients.

 2625 Launchpad Translations on behalf of ltsp-upstream 2014-11-14
      Launchpad automatic translations update.

 2624 Vagrant Cascadian 2014-11-06
      Debian: update-kernels.conf: Allow the "586" kernel variant as
      a 32-bit kernel, which was recently introduced in Debian (see
      https://bugs.debian.org/766105).

 2623 Launchpad Translations on behalf of ltsp-upstream 2014-11-05
      Launchpad automatic translations update.

 2622 Launchpad Translations on behalf of ltsp-upstream 2014-10-30
      Launchpad automatic translations update.

 2621 Vagrant Cascadian 2014-10-23
      ltsp-config: Add support for configuring nfs exports.

 2620 Vagrant Cascadian 2014-10-23
      ltsp-config: Use "%" in replace_line function rather than "/",
      to make matching on directories possible without insane amounts
      of escaping.

 2619 Launchpad Translations on behalf of ltsp-upstream 2014-10-24
      Launchpad automatic translations update.

 2618 Vagrant Cascadian 2014-10-23
      Debian: Remove ltsp-build-client plugin pulseaudio-tweaks, as the
      customizations are no longer needed.

 2617 Vagrant Cascadian 2014-10-23
      Debian: Add support for default kernel on arm64, powerpc*, s390*,
      sparc64.

 2616 Vagrant Cascadian 2014-10-23
      Debian: Disable security and updates mirrors when setting DIST to
      "unstable". http://bugs.debian.org/509643

 2615 Launchpad Translations on behalf of ltsp-upstream 2014-10-23
      Launchpad automatic translations update.

 2614 Vagrant Cascadian 2014-10-21 {ltsp-5.5.4}
      Version 5.5.4

 2613 Vagrant Cascadian 2014-10-21
      update-kernels: Quote tests for compatibility variables in u-boot
      bootscripts.

 2612 Vagrant Cascadian 2014-10-20
      update-kernels: Copy .dtb files into boot.

 2611 Vagrant Cascadian 2014-10-20
      update-kernels: Update ARM code to generate a generic bootscript.

 2610 Vagrant Cascadian 2014-10-20
      Install u-boot-tools, not flash-kernel.

 2609 Vagrant Cascadian 2014-10-17
      Debian: ltsp-build-client: Do not use full path to libeatmydata.so.
      https://bugs.debian.org/765694

 2608 Vagrant Cascadian 2014-10-15
      Unset temporary directory variables to avoid problems when directory
      is missing inside the chroot. https://bugs.debian.org/765443

 2607 Vagrant Cascadian 2014-10-15
      Debian: pass --quiet argument to systemctl when disabling services.

 2606 Vagrant Cascadian 2014-10-15
      Debian: Also disable cups-browsed.  https://bugs.debian.org/761891

 2605 Vagrant Cascadian 2014-10-15
      Debian: Also disable "ModemManager" service, retaining
      "modemmanager" for backwards compatibility.

 2604 Vagrant Cascadian 2014-10-15
      Debian: Add support for disabling systemd services.
      https://bugs.debian.org/765065

 2603 Launchpad Translations on behalf of ltsp-upstream 2014-09-25
      Launchpad automatic translations update.

 2602 Vagrant Cascadian 2014-09-23
      Set up hostname.domain in /etc/hosts.
      https://bugs.launchpad.net/ltsp/+bug/1093088

 2601 Vagrant Cascadian 2014-09-23
      Fix use of SHUTDOWN_TIME with LDM to use ltsp-logout-action instead.
      https://bugs.launchpad.net/ltsp/+bug/604908

 2600 Vagrant Cascadian 2014-09-23
      ssh screen script: Default to "server" so that ssh_known_hosts
      file generated by ltsp-update-sshkeys will match.

 2599 Vagrant Cascadian 2014-09-23
      Also fix telnet screen script by checking for empty argument.

 2598 Vagrant Cascadian 2014-09-23
      Fix ssh and xdmcp scripts by checking for empty
      argument rather than checking for number of arguments,
      as number of arguments passed via screen_session is
      always 1.  https://bugs.launchpad.net/ltsp/+bug/1020113
      https://bugs.launchpad.net/ltsp/+bug/1175618

 2597 Launchpad Translations on behalf of ltsp-upstream 2014-09-23
      Launchpad automatic translations update.

 2596 Vagrant Cascadian 2014-09-15 {ltsp-5.5.3}
      Version 5.5.3

 2595 Vagrant Cascadian 2014-09-15
      Debian/Ubuntu: Drop ltsp-build-client mount-cdrom plugin.

 2594 Vagrant Cascadian 2014-09-15
      Debian: Rename ltsp-build-client mount-proc plugin to mount-sys,
      so that mount-proc from common plugins will mount the proc
      filesystem. https://bugs.debian.org/761401

 2593 Launchpad Translations on behalf of ltsp-upstream 2014-09-13
      Launchpad automatic translations update.

 2592 Launchpad Translations on behalf of ltsp-upstream 2014-09-12
      Launchpad automatic translations update.

 2591 Vagrant Cascadian 2014-09-11
      xfreerdp: Test for empty arguments to ensure a reasonable default.

 2590 Vagrant Cascadian 2014-09-10
      Disable listening on tcp in several screen scripts. Thanks to
      Denis Croombs for reporting the issue!

 2589 Vagrant Cascadian 2014-09-10
      Remove support for screen scripts without xinitrc, it has been
      shipped in LTSP for quite some time.

 2588 Vagrant Cascadian 2014-09-05
      update-kernels: Clarify location of update-kernels.conf in generated
      pxelinux files.  http://bugs.debian.org/760312

 2587 ben-Nabiy Derush	2014-09-04
      Mint: Always install mint packages when installing mint.

 2586 ben-Nabiy Derush	2014-09-04
      Mint: Set recommends to false, and prioritize Mint repositories
      over Ubuntu repositories.

 2585 Launchpad Translations on behalf of ltsp-upstream 2014-08-30
      Launchpad automatic translations update.

 2584 Launchpad Translations on behalf of ltsp-upstream 2014-08-17
      Launchpad automatic translations update.

 2583 Launchpad Translations on behalf of ltsp-upstream 2014-08-16
      Launchpad automatic translations update.

 2582 Launchpad Translations on behalf of ltsp-upstream 2014-08-15
      Launchpad automatic translations update.

 2581 Launchpad Translations on behalf of ltsp-upstream 2014-08-14
      Launchpad automatic translations update.

 2580 Vagrant Cascadian 2014-08-13
      Update ltsp.pot.

 2579 Vagrant Cascadian 2014-08-13
      Debian: ltsp-build-client: Select armmp variant for armhf
      architecture.

 2578 Launchpad Translations on behalf of ltsp-upstream 2014-08-09
      Launchpad automatic translations update.

 2577 Vagrant Cascadian 2014-08-08
      init-ltsp.d/05-getltsconffile: Use detect_arch function as a
      fallback when a filename is not specified.

 2576 Vagrant Cascadian 2014-08-08
      Add variables set by ltsp.* boot prompt options to
      /var/cache/ltsp/ltsp_config.

 2575 Vagrant Cascadian 2014-08-08
      Allow specifying alternate lts.conf file location with ltsp.ltsconf=
      boot prompt option. Thanks to Juan Antonio Martinez for the patch!
      https://bugs.launchpad.net/ltsp/+bug/1339671

 2574 Launchpad Translations on behalf of ltsp-upstream 2014-08-08
      Launchpad automatic translations update.

 2573 Launchpad Translations on behalf of ltsp-upstream 2014-08-07
      Launchpad automatic translations update.

 2572 Vagrant Cascadian 2014-08-05 {ltsp-5.5.2}
      version 5.5.2

 2571 Vagrant Cascadian 2014-08-05
      screen.d/kiosk: Pass KIOSK_OPTIONS as an environment variable
      rather than as an argument.  https://bugs.debian.org/743867

 2570 Vagrant Cascadian 2014-08-02
      update-kernels: When using menu, vesamenu or ifcpu64, attempt to
      add libutil.c32 and libcom32.c32 modules needed by newer versions
      if syslinux.

 2569 Vagrant Cascadian 2014-08-02
      Add support for newer versions of syslinux/pxelinux.

 2568 ben-Nabiy Derush	2014-07-31
      Cleaned up extra whitespace

 2567 ben-Nabiy Derush	2014-07-30
      Added sed command to facilitate /etc/shadow password hash.

 2566 Launchpad Translations on behalf of ltsp-upstream 2014-06-04
      Launchpad automatic translations update.

 2565 Launchpad Translations on behalf of ltsp-upstream 2014-05-31
      Launchpad automatic translations update.

 2564 Launchpad Translations on behalf of ltsp-upstream 2014-05-30
      Launchpad automatic translations update.

 2563 Vagrant Cascadian 2014-05-22
      Debian: ltsp-build-client: Allow setting --locale as simply the
      locale, rather than requiring also specifying the encoding.

 2562 Launchpad Translations on behalf of ltsp-upstream 2014-03-10
      Launchpad automatic translations update.

 2561 Launchpad Translations on behalf of ltsp-upstream 2014-03-09
      Launchpad automatic translations update.

 2560 Alkis Georgopoulos	2014-03-06
      Debian: also bring up NICs that become available progressively.

 2559 Alkis Georgopoulos	2014-03-06
      Fix ltsp-update-image --revert.

 2558 Alkis Georgopoulos	2014-03-03
      Debian: increase timeout for ip link up from 4 seconds to 10.

 2557 Alkis Georgopoulos	2014-03-01
      Ubuntu: remove 'plymouth:force-splash vt.handoff=7'.

      plymouth:force-splash now isn't needed anymore, and it's even
      harmful when using ltsp.break=xxx.  vt.handoff=7 was never used,
      we don't configure pxelinux with an aubergine background etc.

 2556 Launchpad Translations on behalf of ltsp-upstream 2014-03-01
      Launchpad automatic translations update.

 2555 Vagrant Cascadian 2014-02-26 {ltsp-5.5.1}
      version 5.5.1

 2554 Alkis Georgopoulos	2014-02-26
      Debian: check when the NICs are available/up, don't rely on
      wait_for_udev.

 2553 Vagrant Cascadian 2014-02-26
      Remove ancient example to use qemu to test ltsp. There are many
      better options now.

 2552 Vagrant Cascadian 2014-02-26
      Remove largely obsolete swap documentation.

 2551 Vagrant Cascadian 2014-02-25
      Debian: ltsp-build-client: Add plugin to support -updates mirrors.

 2550 Alkis Georgopoulos	2014-02-24
      Debian: use wait_for_udev to reliably wait for interfaces to
      become available.

 2549 Alkis Georgopoulos	2014-02-21
      Provide a way to run custom commands in init-ltsp.

 2548 Launchpad Translations on behalf of ltsp-upstream 2014-01-26
      Launchpad automatic translations update.

 2547 Launchpad Translations on behalf of ltsp-upstream 2014-01-25
      Launchpad automatic translations update.

 2546 Alkis Georgopoulos	2014-01-20
      nbd-disconnect: poweroff/reboot are reported to work in more cases
      than sysrq.

 2545 Alkis Georgopoulos	2014-01-19
      cleanup.d/50-vmlinuz: be less distro-specific.

 2544 Alkis Georgopoulos	2014-01-18
      Debian: be more compatible with older initramfs-tools.

 2543 Alkis Georgopoulos	2014-01-17
      Support the standard --version option in all server tools.

 2542 Launchpad Translations on behalf of ltsp-upstream 2014-01-17
      Launchpad automatic translations update.

 2541 Launchpad Translations on behalf of ltsp-upstream 2014-01-11
      Launchpad automatic translations update.

 2540 Launchpad Translations on behalf of ltsp-upstream 2014-01-10
      Launchpad automatic translations update.

 2539 Alkis Georgopoulos	2014-01-04
      Create kernel flavor symlinks in $TFTP, not in $CHROOT/boot.

 2538 Alkis Georgopoulos	2014-01-03
      Allow any number of digits to XRANDR_COMMAND_n.

 2537 Alkis Georgopoulos	2014-01-03
      Allow any number of digits to some lts.conf directives.

 2536 Alkis Georgopoulos	2014-01-02
      nbd-disconnect: don't hardcode /dev/nbd0 for root.

 2535 Launchpad Translations on behalf of ltsp-upstream 2014-01-02
      Launchpad automatic translations update.

 2534 Vagrant Cascadian 2013-12-31 {ltsp-5.5.0}
      version 5.5.0

 2533 Vagrant Cascadian 2013-12-31
      screen-session.d/XS80-x-modes: Rewrite for coding consistancy
      and readability.

 2532 Launchpad Translations on behalf of ltsp-upstream 2014-01-01
      Launchpad automatic translations update.

 2531 Vagrant Cascadian 2013-12-31
      init-ltsp.d/10-resolv-conf: Write to
      /etc/resolvconf/resolv.conf.d/base instead of
      /run/resolvconf/interface/LTSP, as resolvconf wipes out
      /run/resolvconf before starting. http://bugs.debian.org/701647

 2530 Vagrant Cascadian 2013-12-31
      init-ltsp.d/50-interfaces: Allow overriding manual device method
      with NET_DEVICE_METHOD variable.

 2529 Vagrant Cascadian 2013-12-31
      screen-session.d/XS80-x-modes: Add support for modelines.  Patch by
      Andre Majorel. http://bugs.debian.org/591608

 2528 Vagrant Cascadian 2013-12-31
      init-ltsp.d/09-hostname: Allow overriding hard-coded "server"
      alias in /etc/hosts with $SERVER_NAME. Thanks for the suggestion
      by Wolfgang Schweer: http://bugs.debian.org/613988

 2527 Vagrant Cascadian 2013-12-31
      Debian: ltsp-build-client: Switch default mirror to http.debian.net.

 2526 Alkis Georgopoulos	2013-12-31
      Update nbd-disconnect to check for root=/dev/nbd.

 2525 Alkis Georgopoulos	2013-12-30
      Debian: wait for interfaces to be up for AoE.

 2524 Vagrant Cascadian 2013-12-29
      update-kernels: Remove some debugging cruft.

 2523 Vagrant Cascadian 2013-12-29
      Debian: Add IPAPPEND parameters to update-kernels.conf.

 2522 Vagrant Cascadian 2013-12-29
      Debian: Add AOE options to update-kernels.conf.

 2521 Alkis Georgopoulos	2013-12-29
      Ubuntu: don't start plymouth from the initramfs.

      It makes it ~6 MB larger, it prohibits ltsp.break from working
      properly, and it produces some warnings while booting.

 2520 Alkis Georgopoulos	2013-12-29
      Debian: add some support for AOE root.

 2519 Vagrant Cascadian 2013-12-28
      update-kernels: Clean up autogenerated pxelinux.cfg files *after*
      writing pxelinux.cfg/ltsp.

 2518 Vagrant Cascadian 2013-12-27 [merge]
      Allow pxelinux.cfg/default to be editable, by not generating
      it in the chroot's update-kernels, but ensuring a viable
      pxelinux.cfg/default exists from ltsp-update-kernels.

 2517 Vagrant Cascadian 2013-12-27
      update-kernels: Improve unversioned kernel/initrd symlinks.

 2516 Vagrant Cascadian 2013-12-26
      update-kernels: Drop support for memtest86*, which generated an
      un-used pxelinux.cfg/memtest file that required manual configuration
      to use.

 2515 Vagrant Cascadian 2013-12-25
      Only purge real vmlinu[zx] files, not symlinks.

 2514 Vagrant Cascadian 2013-12-24
      Reverted: Always delete the whole tftp boot dirs and recreate them
      to keep content in sync.

 2513 Vagrant Cascadian 2013-12-24
      Always delete the whole tftp boot dirs and recreate them to keep
      content in sync.

 2512 Vagrant Cascadian 2013-12-24
      update-kernels: Create symlinks for each kernel variant.

 2511 Launchpad Translations on behalf of ltsp-upstream 2013-12-19
      Launchpad automatic translations update.

 2510 Launchpad Translations on behalf of ltsp-upstream 2013-12-18
      Launchpad automatic translations update.

 2509 Alkis Georgopoulos	2013-12-10
      udhcpc: use correct case for IP kernel parameter.

 2508 Alkis Georgopoulos	2013-12-10
      Increase NBD_SWAP_THRESHOLD default values.

 2507 Launchpad Translations on behalf of ltsp-upstream 2013-12-03
      Launchpad automatic translations update.

 2506 Vagrant Cascadian 2013-11-25
      client/localapps: Remove un-used cruft for xatomwait building.

 2505 Vagrant Cascadian 2013-11-25
      ltsp-localappsd/ltsp-remoteappsd: Use "xprop -spy" to replace
      "xatomwait".

 2504 Vagrant Cascadian 2013-11-24
      Debian: Add an initramfs-tools hook to mount an image file over NFS.

 2503 Launchpad Translations on behalf of ltsp-upstream 2013-11-24
      Launchpad automatic translations update.

 2502 Vagrant Cascadian 2013-11-23 {ltsp-5.4.6}
      version 5.4.6

 2501 Vagrant Cascadian 2013-11-23
      Debian: ltsp-build-client: Mount /sys in chroot during installation.
      Thanks to Petter Reinholdtsen. http://bugs.debian.org/721597

 2500 Launchpad Translations on behalf of ltsp-upstream 2013-11-23
      Launchpad automatic translations update.

 2499 Alkis Georgopoulos	2013-11-20
      Make dbus machine id constant per client.

 2498 Alkis Georgopoulos	2013-11-18
      Always create the local user. Also, optimize X01-localapps (LP:
      #357268).

 2497 Vagrant Cascadian 2013-11-15
      Ubuntu: remove useless code in 030-fat-client ltsp-build-client
      plugin.

 2496 ben-Nabiy Derush	2013-11-08
      Added ldm-mint-theme to late-mirrors for LDM LinuxMint theme.

 2495 Vagrant Cascadian 2013-11-05
      LinuxMint: remove trailing whitespace in set-mint-dist plugin.

 2494 Vagrant Cascadian 2013-11-05
      LinuxMint/Ubuntu: fix missing " in set-mint-dist plugin.

 2493 Vagrant Cascadian 2013-11-05 [merge]
      Merge LinuxMint fixes.

 2492 Vagrant Cascadian 2013-11-04
      ltsp-localappsd: Only use su if running as a different user,
      currently use in ltsp6 prof-of-concept code.

 2491 Vagrant Cascadian 2013-11-04
      ltsp-localappsd: move call to ltsp-localappsd into a function,
      reducing code duplication.

 2490 Launchpad Translations on behalf of ltsp-upstream 2013-10-04
      Launchpad automatic translations update.

 2489 Launchpad Translations on behalf of ltsp-upstream 2013-10-03
      Launchpad automatic translations update.

 2488 ben-Nabiy Derush	2013-09-25
      Initial support for LinuxMint as an Ubuntu variant.
      https://code.launchpad.net/~bennabiy/ltsp/ltsp-LinuxMint/+merge/187442

 2487 Launchpad Translations on behalf of ltsp-upstream 2013-09-17
      Launchpad automatic translations update.

 2486 Launchpad Translations on behalf of ltsp-upstream 2013-09-16
      Launchpad automatic translations update.

 2485 Launchpad Translations on behalf of ltsp-upstream 2013-08-08
      Launchpad automatic translations update.

 2484 Launchpad Translations on behalf of ltsp-upstream 2013-08-07
      Launchpad automatic translations update.

 2483 Vagrant Cascadian 2013-07-30
      ltsp-init-common: pulseaudio: add module-suspend-on-idle to improve
      stability.  Thanks to Tom Wallis for reporting the issue and fix.

 2482 Launchpad Translations on behalf of ltsp-upstream 2013-07-17
      Launchpad automatic translations update.

 2481 Launchpad Translations on behalf of ltsp-upstream 2013-07-16
      Launchpad automatic translations update.

 2480 Vagrant Cascadian 2013-07-08
      Always explicitly set return value, otherwise code run with "set
      -e" may error out inappropriately.

 2479 Launchpad Translations on behalf of ltsp-upstream 2013-07-07
      Launchpad automatic translations update.

 2478 Launchpad Translations on behalf of ltsp-upstream 2013-07-06
      Launchpad automatic translations update.

 2477 Launchpad Translations on behalf of ltsp-upstream 2013-07-05
      Launchpad automatic translations update.

 2476 Vagrant Cascadian 2013-07-04
      Updated German translation by Wolfgang Schweer.
      http://bugs.debian.org/702915

 2475 Launchpad Translations on behalf of ltsp-upstream 2013-06-11
      Launchpad automatic translations update.

 2474 Launchpad Translations on behalf of ltsp-upstream 2013-06-10
      Launchpad automatic translations update.

 2473 Launchpad Translations on behalf of ltsp-upstream 2013-05-16
      Launchpad automatic translations update.

 2472 Launchpad Translations on behalf of ltsp-upstream 2013-04-29
      Launchpad automatic translations update.

 2471 Launchpad Translations on behalf of ltsp-upstream 2013-04-28
      Launchpad automatic translations update.

 2470 Launchpad Translations on behalf of ltsp-upstream 2013-04-21
      Launchpad automatic translations update.

 2469 Launchpad Translations on behalf of ltsp-upstream 2013-04-20
      Launchpad automatic translations update.

 2468 Vagrant Cascadian 2013-04-12
      ltsp-update-image, ltsp-update-kernels: Ignore lost+found dir,
      used on ext* filesystems.

 2467 Launchpad Translations on behalf of ltsp-upstream 2013-04-04
      Launchpad automatic translations update.

 2466 Launchpad Translations on behalf of ltsp-upstream 2013-04-03
      Launchpad automatic translations update.

 2465 Launchpad Translations on behalf of ltsp-upstream 2013-03-04
      Launchpad automatic translations update.

 2464 Wim Muskee	2013-03-02
      Gentoo: install profile compatible with kicktoo-0.5.1

 2463 Wim Muskee	2013-03-02
      Gentoo: cleanup for ltsp-build-client files; tabs to spaces,
      shorthand ifs in profile and set some defaults in plugins.

 2462 Alkis Georgopoulos	2013-02-27
      Kill local user processes on logout (LP: #1093144).

 2461 Alkis Georgopoulos	2013-02-27
      Undo any changes related to LP: #1093144.

      The plan to run LDM outside of X was aborted and instead the local
      user processes will be killed on logout.	So distros affected by
      LP: #1093144 only need to backport the following commit.

 2460 Wim Muskee	2013-02-27
      client: in init-ltsp.d use shell substitution for mountpoint and
      fstype checks

 2459 Joshua Trimm	2013-02-27
      Redhat: add client scripts

 2458 Joshua Trimm	2013-02-26
      client: Make init-ltsp.d server detection more reliable for
      overlayfs type mounts.

 2457 Joshua Trimm	2013-02-26
      Add dracut unionfs module, use it from here until we convince
      upstream to add it.

 2456 Joshua Trimm	2013-02-26
      Redhat: add ltsp-build-client plugins

 2455 Joshua Trimm	2013-02-26
      Redhat: add server scripts, configs and share

 2454 Wim Muskee	2013-02-24
      Gentoo: make rm service check more robust

 2453 Launchpad Translations on behalf of ltsp-upstream 2013-02-24
      Launchpad automatic translations update.

 2452 Wim Muskee	2013-02-16 {ltsp-5.4.5}
      version 5.4.5

 2451 Launchpad Translations on behalf of ltsp-upstream 2013-02-13
      Launchpad automatic translations update.

 2450 Wim Muskee	2013-02-09
      Gentoo: Link to 13.0 make.profile.

 2449 Launchpad Translations on behalf of ltsp-upstream 2013-02-09
      Launchpad automatic translations update.

 2448 Launchpad Translations on behalf of ltsp-upstream 2013-02-08
      Launchpad automatic translations update.

 2447 Alkis Georgopoulos	2013-02-05
      Avoid Xorg crashes caused by nouveau dri (LP: #1072711).

 2446 Wim Muskee	2013-02-03
      Gentoo: Add client arch.conf earlier, cleanup profiles a bit.

 2445 Wim Muskee	2013-02-03
      Gentoo: Update and rearrange default ltsp-build-client config.

 2444 Wim Muskee	2013-02-03
      Gentoo: Get latest stage from non-arch specific latest file.

 2443 Launchpad Translations on behalf of ltsp-upstream 2013-01-28
      Launchpad automatic translations update.

 2442 Launchpad Translations on behalf of ltsp-upstream 2013-01-27
      Launchpad automatic translations update.

 2441 Launchpad Translations on behalf of ltsp-upstream 2013-01-26
      Launchpad automatic translations update.

 2440 Wim Muskee	2013-01-18
      Gentoo: More easily add genkernel modules for build client process.

 2439 Launchpad Translations on behalf of ltsp-upstream 2013-01-17
      Launchpad automatic translations update.

 2438 Launchpad Translations on behalf of ltsp-upstream 2013-01-16
      Launchpad automatic translations update.

 2437 Launchpad Translations on behalf of ltsp-upstream 2013-01-15
      Launchpad automatic translations update.

 2436 Vagrant Cascadian 2013-01-14
      ltsp-common-functions: Add translator_credits function.

 2435 Launchpad Translations on behalf of ltsp-upstream 2013-01-14
      Launchpad automatic translations update.

 2434 Wim Muskee	2013-01-12
      Gentoo: Support for non-default package and distfiles dirs.

 2433 Vagrant Cascadian 2013-01-11
      initscripts/ltsp-core: return true if call to plymouth fails.

 2432 Vagrant Cascadian 2013-01-11
      Update translation files.

 2431 Vagrant Cascadian 2013-01-11
      Implement method to load NBD into ram.

 2430 Wim Muskee	2013-01-10
      Adding SEE ALSO man chapters for all tools, and small fix for
      retrieving version (LP: #1008053).

 2429 Alkis Georgopoulos	2013-01-09
      Move the localapps cleanup after X terminates (LP: #1093144).

 2428 Alkis Georgopoulos	2013-01-08
      Move LTSP_LOGOUT_ACTION to the K* LDM cleanup phase.

 2427 Vagrant Cascadian 2013-01-07
      Debian initramfs scripts: Ensure that /run exists, otherwise older
      versions may fail.

 2426 Vagrant Cascadian 2013-01-06
      screen-session.d/XS20-*hack: Check that /proc/bus/pci exists before
      using lspci.

 2425 Wim Muskee	2012-12-30
      Add FILES part to common man page include.

 2424 Wim Muskee	2012-12-30
      Help2man also works on ltsp-build-client, just need to update
      gettext stuff (LP: #1008053).

 2423 Wim Muskee	2012-12-30
      Fix for custom MODULES_BASE in ltsp tools (LP: #1008053).

 2422 Wim Muskee	2012-12-30
      Add makefile to autogenerate man pages for most ltsp server tools
      using help2man (LP: #1008053).

 2421 Wim Muskee	2012-12-29
      Provide ltsp server tool usage functions with consistant output
      for help2man (LP #1008053).

 2420 Alkis Georgopoulos	2012-12-24
      ltsp-cleanup: only remove local users (LP: #1037034).

 2419 Vagrant Cascadian 2012-12-07
      Debian: Fix --debootstrap-keyring option for ltsp-build-client.

 2418 Stéphane Graber	2012-12-05
      Fix build warnings

 2417 Wim Muskee	2012-11-24 {ltsp-5.4.4}
      version 5.4.4

 2416 Alkis Georgopoulos	2012-11-24
      ltsp-update-kernels: restrict `chmod +r` to unreadable files.

 2415 Wim Muskee	2012-11-23
      Gentoo: cleanup installation profiles

 2414 Wim Muskee	2012-11-23
      Gentoo: also remove dependencies of excluded packages

 2413 Wim Muskee	2012-11-22
      Gentoo: change /etc/make.profile to /etc/portage/make.profile

 2412 Wim Muskee	2012-11-21
      Gentoo: All tftpboot files are readable now, no need to ensure
      this in profile.

 2411 Wim Muskee	2012-11-21
      Ensure all files in tftpboot are readable by all.

 2410 Wim Muskee	2012-11-21
      Gentoo: change /etc/make.conf to /etc/portage/make.conf

 2409 Vagrant Cascadian 2012-11-19
      Also support cryptsetup swap devices backed by NBD.
      http://bugs.debian.org/690267

 2408 Wim Muskee	2012-11-19
      Gentoo: Support for using Dracut as initramfs builder, which allows
      for easy NBD boots.

 2407 Vagrant Cascadian 2012-11-19
      ltsp_config.d/20fatclients: Explicitly "return 0" if LTSP_FATCLIENT
      is set, otherwise it returns a value which can cause errors if
      sourced from a script that exits on errors (i.e. with "set -e"
      flags set).

 2406 Vagrant Cascadian 2012-11-18
      Reorder ltsp_config.d/*-ltspconfig-cache so that you can override
      variables defined in it with lts.conf. http://bugs.debian.org/689668

 2405 Vagrant Cascadian 2012-11-18
      Fix dashism using "local -" by saving flags and restoring them
      later.  http://bugs.debian.org/693499

 2404 Vagrant Cascadian 2012-11-18
      Fix dashism using "local -" by saving flags and restoring them
      later.  http://bugs.debian.org/693496

 2403 Wim Muskee	2012-11-18
      Gentoo: Add INPUT_DEVICE install option.

 2402 Wim Muskee	2012-11-18
      ltsp-build-client: Add config file option for set chroot.

 2401 Vagrant Cascadian 2012-11-16
      ltsp-update-image: Mount aufs sub-mounts directly. If we do not
      mount the sub-mounts directly, systems with a separate /boot
      partition end up with no kernels for network boot.

 2400 Vagrant Cascadian 2012-11-02
      ltsp-config: Forget using printf with %b, just include the variable
      directly.

 2399 Vagrant Cascadian 2012-10-29
      Fix bugs introduced switching to printf.	- Use the correct
      variable name - Use %b, so that characters are interpreted properly.
      Thanks to Wim and Alkis for catching my blunders.

 2398 Vagrant Cascadian 2012-10-29
      Fix another use of 'echo -e' by switching to printf.

 2397 Alkis Georgopoulos	2012-10-29
      Add read_prompt function to ltsp-common-functions, which
      is ideally a shell agnostic implementation of "read
      -p". http://bugs.debian.org/690638

 2396 Vagrant Cascadian 2012-10-29
      Fix bashism in ltsp-config by using printf instead of 'echo -e'.
      http://bugs.debian.org/690618

 2395 Stéphane Graber	2012-10-05
      jetpipe: Drop dependency on python-daemon, switch to pure os.fork()
      and make it pep-8 compliant.

 2394 Wim Muskee	2012-09-29
      Gentoo: Only install stable 5.3+ clients.

 2393 Alkis Georgopoulos	2012-09-22
      Debian: maintain compatibility with initramfs-tools < 0.103.

 2392 Wim Muskee	2012-09-21
      Gentoo: remove dejavu from packages

 2391 Stéphane Graber	2012-08-30
      Debian: Only sed param.conf if it exists

 2390 Wim Muskee	2012-08-28
      Remove distro specific RM_SERVICES from common lts.conf example.

 2389 Wim Muskee	2012-08-26
      Gentoo: Add a 50-rm-system-services.

 2388 Wim Muskee	2012-08-26
      Introducing ltsp.* kernel commandline parameters for local
      client boots. These translate into LTSP variables, for instance
      ltsp.server=192.168.0.1 sets SERVER.

 2387 Wim Muskee	2012-08-25
      Gentoo: client support for multiple cron tools.

 2386 Wim Muskee	2012-08-25
      Gentoo: Add nbd and nfs modules by default when using Dracut.

 2385 Wim Muskee	2012-08-23
      client: Default ntp call take 1 sample per server instead of
      default 4.

 2384 Stéphane Graber	2012-08-23 {ltsp-5.4.3}
      version 5.4.3

 2383 Wim Muskee	2012-08-21
      Gentoo: use /run instead of /var/run

 2382 Alkis Georgopoulos	2012-08-21
      Background jetpipe (LP: #996533).

 2381 Stéphane Graber	2012-08-20
      Fix glitch in update-kernels for armhf handling

 2380 Stéphane Graber	2012-08-20
      Debian: Update ltsp initramfs hook to wipe empty ROOT= variable
      from param.conf, required for armhf.

 2379 Stéphane Graber	2012-08-20
      Add initial arm support to update-kernels. Currently hard-coded
      for the pandaboard.

 2378 Stéphane Graber	2012-08-02
      Ubuntu: Default to the omap4 kernel on armel/armhf

 2377 Stéphane Graber	2012-08-02
      Ubuntu: Move mirror code around for it to work properly

 2376 Stéphane Graber	2012-08-02
      Ubuntu: Use ports.ubuntu.com for anything that's not i386 or amd64.

 2375 Stéphane Graber	2012-08-02
      Ubuntu: Use 010-debootstrap from Debian

 2374 Stéphane Graber	2012-08-01
      Ubuntu: allow qemu-debootstrap for foreign architectures

 2373 Stéphane Graber	2012-08-01
      Debian: New initamfs-tools uses /run/net- instead of /tmp/net-,
      update the various scripts.

 2372 Stéphane Graber	2012-08-01
      Ubuntu: Also enable recommends on Ubuntu, this will lead to an
      extra 56 packages getting installed in the chroot, all of which
      are in main and leading to an extra 25MB in the resulting .img.

 2371 Alkis Georgopoulos	2012-07-25
      ltsp-config: fix dnsmasq configuration for multiple proxy subnets

 2370 Wim Muskee	2012-07-17
      Gentoo: apply localepurge after 5.3+ client installs.

 2369 Vagrant Cascadian 2012-07-05
      Install ltsp-sound.rules directly in /usr/share/ltsp/udev/.

 2368 Vagrant Cascadian 2012-07-05
      Install ltsp sound udev rules from init-ltsp.d.

 2367 Vagrant Cascadian 2012-06-27 {ltsp-5.4.2}
      version 5.4.2

 2366 Alkis Georgopoulos	2012-06-27
      localapps: put back `mkdir /etc/cups` as cups-client might not
      ship it.

 2365 Wim Muskee	2012-06-25
      Gentoo: init-ltsp.d: regenerate dbus machine-id

 2364 Alkis Georgopoulos	2012-06-25
      init-ltsp.d: regenerate dbus machine-id.

 2363 Alkis Georgopoulos	2012-06-25
      Allow regular printer sharing via CUPS.

 2362 Wim Muskee	2012-06-20
      Rename common-server.conf example config to ltsp-server.conf.

 2361 Alkis Georgopoulos	2012-06-19
      Split common-server.conf to ltsp-server.conf and ltsp-client.conf.

 2360 Wim Muskee	2012-06-17
      Gentoo: Set client arch in build and use in ltsp-chroot mount
      package cache.

 2359 Vagrant Cascadian 2012-06-16
      Debian/Ubuntu: move update-kernels.conf into an /etc/ltsp/ subdir.

 2358 Alkis Georgopoulos	2012-06-17
      Ubuntu: Add default update-kernels.conf for use in chroots.

 2357 Vagrant Cascadian 2012-06-15 {ltsp-5.4.1}
      version 5.4.1

 2356 Vagrant Cascadian 2012-06-15
      ltsp-common-functions: comment regarding tool-specific configuration
      fifles.

 2355 Vagrant Cascadian 2012-06-15
      ltsp-common-functions: Source tool-specific functions before
      configuration files.

 2354 Vagrant Cascadian 2012-06-15
      ltsp-common-functions: Implement a .d include dir for
      /etc/ltsp/*.conf files.

 2353 Vagrant Cascadian 2012-06-15
      Debian: Document LIST_KERNELS_DEFAULT in update-kernels.conf.

 2352 Vagrant Cascadian 2012-06-15
      update-kernels: Attempt to always use a versioned kernel, defaulting
      to the first of LIST_KERNELS_DEFAULT, falling back to to the first
      32-bit kernel, and as a last resort whatever kernel is left.

 2351 Vagrant Cascadian 2012-06-15
      update-kernels: Remove forced hack of vmlinux- for powerpc kernels.

 2350 Vagrant Cascadian 2012-06-15
      Debian: Support vmlinux as a kernel in update-kernels.conf.

 2349 Vagrant Cascadian 2012-06-15
      Debian: Fix typos with editing /etc/ntp.conf and
      /etc/default/ntpdate.

 2348 Vagrant Cascadian 2012-06-15
      Debian: Add default update-kernels.conf for use in chroots.

 2347 Vagrant Cascadian 2012-06-15
      ltsp-update-sshkeys: Fix typo.

 2346 Vagrant Cascadian 2012-06-15
      update-kernels: Always regenerate pxelinux.cfg/default, and include
      all variants in it directly.

 2345 Vagrant Cascadian 2012-06-14
      update-kernels: set default to ltsp-$method in order to ensure a
      sane default.

 2344 Vagrant Cascadian 2012-06-14
      ltsp-update-sshkeys: Do not fail if /etc/ssh/ssh_host_*_key.pub
      doesn't exist.  Use less clever but more clear code to do so. :)

 2343 Alkis Georgopoulos	2012-06-14
      ltsp-server-dnsmasq.conf: increase DHCP lease to 8h.

 2342 Alkis Georgopoulos	2012-06-14
      ltsp-update-image: remove the TFTP_*DIRS parameters from the
      ltsp-update-kernels call.

 2341 Alkis Georgopoulos	2012-06-14
      ltsp-update-image.excludes: add "var/spool/squid3/*".

 2340 Vagrant Cascadian 2012-06-13
      update-kernels: Preserve the order of the pxelinux include files
      when concatenating them into the "ltsp" file.

 2339 Vagrant Cascadian 2012-06-13
      screen.d/xfreerdp: Fix typo in setting HOME variable.

 2338 Vagrant Cascadian 2012-06-13
      update-kernels: Concatenate all the ltsp-* variant include files
      into one ltsp file.

 2337 Vagrant Cascadian 2012-06-13
      update-kernels: Generate an include file for each category of
      kernel inclusion.

 2336 Vagrant Cascadian 2012-06-13
      update-kernels: Generate an unversioned entry for each method.

 2335 Vagrant Cascadian 2012-06-13
      update-kernels: support all methods for ifcpu detection.

 2334 Alkis Georgopoulos	2012-06-12
      xfreerdp: ensure $HOME is set, otherwise xfreerdp segfaults.

 2333 Vagrant Cascadian 2012-06-11
      update-kernels: Add yaboot entries for all kernel versions and
      boot methods.

 2332 Vagrant Cascadian 2012-06-11
      update-kernels: Do not create a submenu with ifcpu64 detection,
      simply hide the unnecessary entries.

 2331 Vagrant Cascadian 2012-06-11
      update-kernels: Set defaults for BOOT_METHODS,
      CMDLINE_LINUX_DEFAULT, CMDLINE_NFS and CMDLINE_NBD. These
      values should be overridden by distros shipping an
      update-kernels.conf. Override BOOTPROMPT_OPTS with a value based
      on CMDLINE_LINUX_DEFAULT + CMDLINE_$boot_method_default.

 2330 Vagrant Cascadian 2012-06-11
      update-kernels: Generate pxelinux.cfg/default only if not present,
      and put ltsp boot options in an included pxelinux.cfg/ltsp file
      that gets regenerated whenever update-kernels is run.

 2329 Vagrant Cascadian 2012-06-11
      update-kernels: Add IFCPU64 boolean to allow ifcpu64 pxelinux code
      to be generated without being the default.

 2328 Vagrant Cascadian 2012-06-11
      update-kernels: Fix 64/PAE/32 bit detection to reduce risk of the
      wrong kernel type.

 2327 Vagrant Cascadian 2012-06-11
      update-kernels: Implement ifcpu64 detection.

 2326 Vagrant Cascadian 2012-06-11
      update-kernels: Put extra kernel entries into a submenu.

 2325 Alkis Georgopoulos	2012-06-11
      cleanup.d: use groupdel, not userdel, when deleting groups.

 2324 Vagrant Cascadian 2012-06-10
      Add entries for each boot method and kernel version.
      Requires setting BOOT_METHODS, CMDLINE_NFS/CMDLINE_NBD,
      CMDLINE_LINUX_DEFAULT.

 2323 Vagrant Cascadian 2012-06-10
      update-kernels: Add a versioned kernel entry for each linux
      kernel present.

 2322 Alkis Georgopoulos	2012-06-10
      Add LDM_PRINTER_DEFAULT to the example lts.conf.

 2321 Alkis Georgopoulos	2012-06-10
      Minor updates to the example lts.conf.

 2320 Vagrant Cascadian 2012-06-08
      screen.d/kiosk: Pass KIOSK_WM as an environment variable.

 2319 Vagrant Cascadian 2012-06-08
      kioskSession: quote some variables so spaces don't lead to
      surprises.

 2318 Vagrant Cascadian 2012-06-08
      Create kiosk user and configuration on the fly, rather than from
      ltsp-build-client plugins.

 2317 Vagrant Cascadian 2012-06-08
      Debian: only attempt to install KIOSK_WM if kiosk is being
      installed.

 2316 Alkis Georgopoulos	2012-06-07
      testing to see if X_COLOR_DEPTH is already set.

 2315 Alkis Georgopoulos	2012-06-07
      ltsp-update-image: only bind-mount btrfs and ext* in --cleanup.

 2314 Alkis Georgopoulos	2012-06-07
      ltsp-config: only allow localnet NBD connections.

      Don't ship /etc/ltsp/nbd-server.allow until LP: #1009393 is fixed.

 2313 Wim Muskee	2012-06-06
      ltsp-info: Add usage function.

 2312 Wim Muskee	2012-06-06
      Remove tftp-boot-dir commandline option from ltsp server tools.

 2311 Wim Muskee	2012-06-06
      Rename common.conf to common-server.conf.

 2310 Wim Muskee	2012-06-06
      Remove tftp-dirs commandline option from ltsp server tools.

 2309 Alkis Georgopoulos	2012-06-06
      ltsp-config: minor usage enchancement.

 2308 Alkis Georgopoulos	2012-06-06
      When DNS_SERVER is unset, try to locate one.

 2307 Alkis Georgopoulos	2012-06-06
      ltsp-config: also search the examples directory when -d is defined.

 2306 Alkis Georgopoulos	2012-06-05
      ltsp-config: add --directory option, fix localized examples
      installation.

 2305 Alkis Georgopoulos	2012-06-05
      ltsp-update-sshkeys: insert an Options: line in usage.

 2304 Wim Muskee	2012-06-04
      Add example common.conf.

 2303 Marc Gariepy	2012-06-04
      change SERVER variable for getltscfg-cluster to prevent interferance
      with client/share/ltsp/init-ltsp.d/04-server

 2302 Wim Muskee	2012-06-03
      Default local syslog, define SYSLOG_HOST in lts.conf for remote
      logging (LP: #697387).

 2301 Wim Muskee	2012-06-02
      Gentoo: Fix ltsp-update-kernel-functions for  instead of .

 2300 Wim Muskee	2012-06-02
      ltsp-config: Make service() distro-specific.

 2299 Vagrant Cascadian 2012-06-01 {ltsp-5.4.0}
      version 5.4.0

 2298 Vagrant Cascadian 2012-06-01
      Debian: initramfs-tools hooks: Only copy /tmp/net-*.conf if it
      is present.

 2297 Vagrant Cascadian 2012-06-01
      Debian: remove initramfs-tools/conf.d, as it is now empty.

 2296 Wim Muskee	2012-06-01
      Remove initramfs-tools nbd check in ltsp-update-image.

 2295 Vagrant Cascadian 2012-06-01
      ltsp-init-common: Drop support for pulseaudio esound compatibility.

 2294 Vagrant Cascadian 2012-06-01
      ltsp-init-common: Drop support for older versions of pulseaudio.

 2293 Vagrant Cascadian 2012-06-01
      Drop support for esd (esound) and nas sound servers.

 2292 Alkis Georgopoulos	2012-06-01
      Allow LOCAL_APPS_EXTRAMOUNTS over non empty dirs (LP: #975128).

 2291 Alkis Georgopoulos	2012-06-01
      update-kernels: default to IPAPPEND=2.

 2290 Alkis Georgopoulos	2012-06-01
      ltsp-server-functions: silence warning about missing /opt/ltsp.

 2289 Vagrant Cascadian 2012-05-31
      init-ltsp.d/02-initramfs-env: Source /run/net-*.conf if present.

 2288 Alkis Georgopoulos	2012-05-31
      ltsp-config: uppercase $OVERWRITE variable.

 2287 Alkis Georgopoulos	2012-05-31
      Debian: modprobe overlayfs or aufs.

 2286 Alkis Georgopoulos	2012-05-31
      Debian: don't force_add modules, manual_add_modules instead.

 2285 Alkis Georgopoulos	2012-05-31
      Debian: don't omit block devices from the initramfs.

 2284 Alkis Georgopoulos	2012-05-31
      ltsp-update-image: mount --bind all points under $chroot in
      run_cleanup.

 2283 Alkis Georgopoulos	2012-05-30
      Rename nbd-exclude.conf to ltsp-update-image.excludes in some docs.

 2282 Alkis Georgopoulos	2012-05-29
      cleanup.d/50-vmlinuz: use relative paths.

 2281 Alkis Georgopoulos	2012-05-29
      cleanup.d: run update-kernels.

 2280 Alkis Georgopoulos	2012-05-29
      cleanup.d: generate vmlinuz symlinks.

 2279 Alkis Georgopoulos	2012-05-29
      cleanup.d: copy the server SSH keys.

 2278 Alkis Georgopoulos	2012-05-29
      cleanup.d: regenerate keys without restarting sshd.

 2277 Alkis Georgopoulos	2012-05-29
      ltsp-update-sshkeys.8: rewrite man page.

 2276 Alkis Georgopoulos	2012-05-29
      ltsp-config: fix typo in install_example.

 2275 Vagrant Cascadian 2012-05-28
      ltsp-config: Install lts.conf into the appropriate chroot sub-dir.

 2274 Vagrant Cascadian 2012-05-28
      ltsp-config: Fix bug in ltsp-config preventing tftp dirs from
      being checked properly.

 2273 Vagrant Cascadian 2012-05-28
      ltsp-config: Fix install_example function to work with unlocalized
      examples.

 2272 Vagrant Cascadian 2012-05-28
      Debian: squashfs-image plugin: Call ltsp-update-image with
      --config-nbd, otherwise it may assume an NFS based ocnfiguration
      and exit.

 2271 Vagrant Cascadian 2012-05-28
      Rename nbd-exclude.conf to ltsp-update-image.excludes.

 2270 Vagrant Cascadian 2012-05-28
      ltsp-update-image: Rename /etc/ltsp/nbd-excludes.conf to
      /etc/ltsp/ltsp-update-image.excludes

 2269 Alkis Georgopoulos	2012-05-28
      Provide an example lts.conf for ltsp-config.

 2268 Alkis Georgopoulos	2012-05-28
      ltsp-update-kernels.8: rewrite man page.

 2267 Alkis Georgopoulos	2012-05-28
      When ltsp-update-image --revert is specified, prefer the kernels
      from the NBD image.

 2266 Alkis Georgopoulos	2012-05-28
      ltsp-update-image.8: rewrite man page.

 2265 Alkis Georgopoulos	2012-05-28
      ltsp-config.8: update LTSP source URL.

 2264 Alkis Georgopoulos	2012-05-28
      ltsp-config: add a man page.

 2263 Alkis Georgopoulos	2012-05-27
      update-kernels: source update-kernels.conf when ran from kernel
      postinst.

 2262 Alkis Georgopoulos	2012-05-27
      ltsp-config: use pgrep to check if we can start nbd-server.

 2261 Vagrant Cascadian 2012-05-26
      Debian: create-fs-image/squashfs-image plugins: Configure boot
      prompt options for use with NBD.

 2260 Vagrant Cascadian 2012-05-26
      ltsp-update-sshkeys: Always create ssh_known_hosts, even if /etc/ssh
      isn't currently present.

 2259 Vagrant Cascadian 2012-05-26
      ltsp-update-kernels: Prefer kernels from chroot over the image file.

 2258 Vagrant Cascadian 2012-05-26
      Debian/Ubuntu: squashfs-image/update-image ltsp-build-client
      plugins: Only update the specified chroot.

 2257 Vagrant Cascadian 2012-05-26
      Debian: 035-create-fs-image: use ltsp-config to configure
      nbd-server.

 2256 Vagrant Cascadian 2012-05-26
      Debian: 095-squashfs-image: Call "ltsp-config nbd-server" after
      generating the NBD image.

 2255 Vagrant Cascadian 2012-05-26
      Debian: 095-squashfs-image: ltsp-update-image -a $ARCH no longer
      works, call it without arguments.

 2254 Vagrant Cascadian 2012-05-26
      Ubuntu: no longer call ltsp-update-image with the -a argument,
      as it's no longer supported.

 2253 Vagrant Cascadian 2012-05-26
      Ubuntu: Order -updates mirror before -security mirror.

 2252 Vagrant Cascadian 2012-05-26
      Ubuntu: Use the default mirror as updates mirror.

 2251 Vagrant Cascadian 2012-05-26
      ltsp-update-kernels: Only attempt to update kernel images that
      are actually present.

 2250 Vagrant Cascadian 2012-05-26
      Debian: Refactor chroot-tagging slightly so that versions are only
      checked if /etc/ltsp_chroot is present.

 2249 Vagrant Cascadian 2012-05-26
      Debian: Fix ltsp-build-client chroot-tagging plugin to support
      squeeze, which had a typo in the variable name and was comparing
      versions in the wrong direction.

 2248 Vagrant Cascadian 2012-05-25
      ltsp-config: Fix config_nbd_server to look for NBD image files
      rather than take them as arguments.

 2247 Vagrant Cascadian 2012-05-25
      ltsp-config: rename config_nbd to config_nbd_server.

 2246 Alkis Georgopoulos	2012-05-25
      ltsp-config: when generating the config_function, also translate
      newlines to underscores.

 2245 Alkis Georgopoulos	2012-05-25
      ltsp-config: Fix getopt call.

 2244 Vagrant Cascadian 2012-05-25
      ltsp-update-kernels: fix typo in find syntax searching for
      available kernels.

 2243 Alkis Georgopoulos	2012-05-25
      Introduce /usr/sbin/ltsp-config.

 2242 Marc Gariepy	2012-05-24
      adding a test to validate that ionice is working (not working in
      openvz container)

 2241 Wim Muskee	2012-05-23
      Removed obsolete symlinks, package them from /common.

 2240 Wim Muskee	2012-05-22
      Gentoo: add /etc/ltsp_chroot in 5.2 installs

 2239 Vagrant Cascadian 2012-05-21
      ltsp-update-kernels: Do not fail attempting to mark non-existant
      kernels readable.

 2238 Vagrant Cascadian 2012-05-21
      ltsp-update-kernels: Also support architectures with "vmlinux"
      as the kernel filename.

 2237 Vagrant Cascadian 2012-05-19
      init-ltsp.d/04-server: More robust detection of named NBD exports.

 2236 Vagrant Cascadian 2012-05-19
      Refreshed ltsp.pot and .po files.

 2235 Vagrant Cascadian 2012-05-19
      ltsp-build-client: Allow vendor to be overidden by environment
      variable.

 2234 Vagrant Cascadian 2012-05-19
      ltsp-update-image: Only use /etc/ltsp/nbd-exclude.conf if it's
      present, otherwise mksquashfs errors.

 2233 Alkis Georgopoulos	2012-05-19
      Set -e for server scripts, disable for client scripts for now.

 2232 Vagrant Cascadian 2012-05-18
      ltsp-common-functions: putting "set -e" here is just a bit too
      fragile, disabling for now.

 2231 Vagrant Cascadian 2012-05-18
      init-ltsp.d/50-sendsigs: Check for presence of /run, /lib/init/rw
      and /var/run, and create sendsigs.omit.d if not present.

 2230 Vagrant Cascadian 2012-05-18
      Debian: fix typo with setting debootstrap --no-check-gpg.

 2229 Vagrant Cascadian 2012-05-18
      Debian: Add --debootstrap-keyring option to specify keyring for
      debootstrap verification.

 2228 Vagrant Cascadian 2012-05-18
      Debian: Disable debootstrap gpg verification when using
      --accept-unsigned-packages.

 2227 Vagrant Cascadian 2012-05-18
      Debian: add a 010-chroot-tagging plugin that only creates
      /etc/ltsp_chroot if installing older versions.

 2226 Vagrant Cascadian 2012-05-18
      update-kernels: Remove support for sparc.

 2225 Vagrant Cascadian 2012-05-18
      update-kernels: Remove untested support for alpha based hardware.

 2224 Vagrant Cascadian 2012-05-18
      update-kernels: Remove untested support for old mips based machines.

 2223 Vagrant Cascadian 2012-05-18
      update-kernels: Remove likely broken support support for generating
      nbi.img for arm, as arm devices will likely have different methods
      to boot depending on the hardware.

 2222 Stéphane Graber	2012-05-15
      Change gnome-session-save to gnome-session-quit (upstream rename)
      and add TryExec statements for all the shipped .desktops

 2221 Alkis Georgopoulos	2012-05-15
      Add a common debug function.

 2220 Vagrant Cascadian 2012-05-14
      Debian: remove hacks to ltsp-update-image.conf to avoid generating
      images.

 2219 Vagrant Cascadian 2012-05-14
      Debian init-ltsp.d keyboard: ensure that test failures don't leave
      an uncaught error by switching to if statements.

 2218 Vagrant Cascadian 2012-05-14
      init-ltsp.d/50-swap: Set the error code to a variable in "nbd-client
      -c" call, otherwise "set -e" causes init-ltsp to fail, which ends
      in a kernel panic.

 2217 Vagrant Cascadian 2012-05-14
      ltsp-update-image: use "exportname" for the image file name.

 2216 Vagrant Cascadian 2012-05-14
      ltsp-update-image: use ltsp-server-functions instead of
      ltsp-client-functions.

 2215 Vagrant Cascadian 2012-05-14
      Debian: Do not force debootstrap keyring checking against
      /etc/apt/trusted.gpg, as newer versions of debian-archive-keyring
      may leave /etc/apt/trusted.gpg without the appropriate keys,
      and newer versions of debootstrap default to checking against
      debian-archive-keyring directly.

 2214 Vagrant Cascadian 2012-05-14
      ltsp-update-kernels: use ltsp-server-functions instead of
      ltsp-client-functions.

 2213 Vagrant Cascadian 2012-05-14
      Debian: Use Ubuntu's init-ltsp.d set-time plugin.

 2212 Vagrant Cascadian 2012-05-14
      Debian: Use ubuntu's saned init-ltsp.d plugin.

 2211 Vagrant Cascadian 2012-05-14
      Update autogen.sh for localapps move to client/localapps.

 2210 Vagrant Cascadian 2012-05-14
      Update autogen.sh to reflect nbd-proxy move.

 2209 Vagrant Cascadian 2012-05-14
      Move nbd-proxy from Debian to client.

 2208 Vagrant Cascadian 2012-05-14
      Debian: remove problematic symlink for ltsp-client-vendor-functions.

 2207 Vagrant Cascadian 2012-05-14
      Debian: move initramfs-tools hooks into an share/initramfs-tools.

 2206 Vagrant Cascadian 2012-05-14
      Move ldm rc.d ltsp-logout-action hook into client/share/ldm/rc.d.

 2205 Vagrant Cascadian 2012-05-14
      Renamed server/share to server/share/ltsp, to allow for other
      subdirs.

 2204 Vagrant Cascadian 2012-05-14
      add share/ltsp subdirs, to allow for other /usr/share/ subdirs.

 2203 Alkis Georgopoulos	2012-05-14
      Rewrite ltsp-update-image, add ltsp-cleanup.

 2202 Wim Muskee	2012-05-14
      Move  plugins back to share/plugins.

 2201 Wim Muskee	2012-05-14
      Merged ltsp-build-client functions into ltsp-build-client, moved
      /functions to /share/ltsp-build-client-functions.

 2200 Alkis Georgopoulos	2012-05-14
      ltsp-update-kernels: support copying the kernels from within
      NBD images.

 2199 Alkis Georgopoulos	2012-05-14
      Move client/share/init-ltsp.d/$distro to
      client/$distro/share/init-ltsp.d.

 2198 Alkis Georgopoulos	2012-05-14
      update-kernels: use ltsp-client-functions.

 2197 Alkis Georgopoulos	2012-05-14
      udhcp: ask for rootpath, fallback to a default one.

 2196 Wim Muskee	2012-05-14
      Restructure server tree

 2195 Wim Muskee	2012-05-13
      Restructure client tree

 2194 Wim Muskee	2012-05-12
      Gentoo: Kicktoo is the default installer now.

 2193 Vagrant Cascadian 2012-05-11
      Rename example dnsmasq configuration file to simplify packaging
      for ltsp-server-dnsmasq.

 2192 Vagrant Cascadian 2012-05-11
      ltsp-dnsmasq-conf: append dhcp-range to config, as we can have
      multiple dhcp ranges.

 2191 Vagrant Cascadian 2012-05-11
      Update example dnsmasq config.

 2190 Vagrant Cascadian 2012-05-11
      Add ltsp-dnsmasq-conf script to configure dnsmasq.

 2189 Vagrant Cascadian 2012-05-11
      Update example dnsmasq dhcp/tftp configuration.

 2188 Wim Muskee	2012-05-08
      Gentoo: Install python-2.7 by default for binary install issues.

 2187 Vagrant Cascadian 2012-05-04
      Debian: rename getty disabling variable to more generic namespace.

 2186 Vagrant Cascadian 2012-05-04
      Debian: fix typo in disable-inittab-entries

 2185 Alkis Georgopoulos	2012-05-04
      ltsp-update-kernels: check if restorecon exists before running it
      (LP: #993179).

 2184 Vagrant Cascadian 2012-05-04
      Debian: init-ltsp.d hook to disable gettys on ttys 2-6 in
      /etc/inittab.

 2183 Vagrant Cascadian 2012-05-02
      Debian: add exim4 to the system services removed at boot.

 2182 Vagrant Cascadian 2012-05-02
      Debian: 035-create-fs-image ltsp-build-client plugin: also set
      default mkfs options for ext4.

 2181 Alkis Georgopoulos	2012-04-26
      ltsp-chroot: call getopt from "main", and eval the result.

 2180 Alkis Georgopoulos	2012-04-25
      Use POSIX ! instead of -not in find, and other small fixes.

 2179 Alkis Georgopoulos	2012-04-25
      ltsp-update-kernels: loop-mount NBD images to copy kernels.

 2178 Alkis Georgopoulos	2012-04-25
      ltsp-common-functions: add log(), warn(), run_parts() and source
      ltsp-tool.conf.

 2177 Alkis Georgopoulos	2012-04-23
      Create /etc/network/interfaces instead of appending to it.

      Otherwise, multiple entries for the boot device could end up there,
      which cause 50 sec boot delays.

 2176 Alkis Georgopoulos	2012-04-22
      Updating the SSH keys when the server IP changes isn't necessary
      any more.

 2175 Alkis Georgopoulos	2012-04-22
      ltsp-update-sshkeys: cleanup, and no need to save the server IP.

 2174 Alkis Georgopoulos	2012-04-22
      Remove the get_host_random example, sort -R can do the same thing
      in one line if someone needs it.

 2173 Alkis Georgopoulos	2012-04-22
      Assume default server IP=192.168.67.1.

      This was agreed upon in #ltsp, because 192.168.0.x is a common
      subnet for the internet-facing NIC, causing conflicts. 67 = L+T+S+P!

 2172 Wim Muskee	2012-04-10
      Gentoo: Add check on bind mounts before purging build chroot.

 2171 Vagrant Cascadian 2012-04-07
      Debian: Also ensure /etc/ltsp exists for create-fs-image plugin.

 2170 Vagrant Cascadian 2012-04-07
      Debian: Ensure that /etc/ltsp exists before attempting to write
      /etc/ltsp/ltsp-update-kernels.conf. Thanks to Andreas Brogle for
      the report!  http://bugs.debian.org/667915

 2169 Stéphane Graber	2012-04-03 {ltsp-5.3.7}
      version 5.3.7

 2168 Alkis Georgopoulos	2012-04-03
      Check if LOCAL_APPS=True before calling ltsp-genmenu.

 2167 Alkis Georgopoulos	2012-04-03
      udhcp: exit if an LTSP boot was not requested.

 2166 Alkis Georgopoulos	2012-04-03
      Add jockey-kde to RM_SESSION_SERVICES.

 2165 Wim Muskee	2012-04-01
      Renaming change fixes.

 2164 Vagrant Cascadian 2012-04-01
      PACKAGING CHANGES: Make ltsp-client-functions and
      ltsp-server-functions source only the appropriate client/server
      vendor functions, to allow different versions of server and
      client-side code on the same machine.

 2163 Vagrant Cascadian 2012-04-01
      rename functions.d to functions, as it doesn't really follow
      expectations of a .d style layout.

 2162 Wim Muskee	2012-04-01
      Gentoo: ltsp-update-kernels cleanup works through functions.d

 2161 Wim Muskee	2012-04-01
      Gentoo: Fix ltsp-info-functions, thx alkisg, use detect_arch in
      client lts.conf download.

 2160 Wim Muskee	2012-03-31
      ltsp-chroot: Apply detect_arch and make it independent of
      lsb_release.

 2159 Wim Muskee	2012-03-31
      Finish restructure for vendor functions, added Fedora and Suse
      detect_arch. Distro's update packaging please.

 2158 Wim Muskee	2012-03-31
      Implemented detect_arch using ltsp-vendor-functions, packaging
      needs to include this one.

 2157 Wim Muskee	2012-03-31
      ltsp-chroot: restructure to use functions.d/.

 2156 Wim Muskee	2012-03-28
      Gentoo: updating new ltsp-info-functions

 2155 Alkis Georgopoulos	2012-03-28
      Debian: apply XKB* settings to /etc/default/keyboard.

 2154 Alkis Georgopoulos	2012-03-28
      ltsp-info: restructure to use functions.d/.

 2153 Alkis Georgopoulos	2012-03-27
      Rename ltsp-common-functions to ltsp-[server|client]-functions
      (LP: #950945). Distros: please update packaging.

 2152 Alkis Georgopoulos	2012-03-27
      Remove symlinks from init-ltsp.d. Distros: please update packaging.

 2151 Stéphane Graber	2012-03-27
      Stop plymouth BEFORE starting start_screen_sessions

 2150 Alkis Georgopoulos	2012-03-26
      Introduce XRANDR_COMMAND_[0-9] (LP: #942608).

 2149 Alkis Georgopoulos	2012-03-26
      Make thin clients default to X_COLOR_DEPTH=16.

      ltsp-discuss thread:
      http://www.mail-archive.com/ltsp-discuss@lists.sourceforge.net/msg40298.html

 2148 Alkis Georgopoulos	2012-03-26
      If DNS_SERVER=auto, check if DNS is running on the LTSP server.

 2147 Wim Muskee	2012-03-24
      Removing ltsp-build-client 010-chroot-tagging.

 2146 Stéphane Graber	2012-03-22 {ltsp-5.3.6}
      version 5.3.6

 2145 Alkis Georgopoulos	2012-03-22
      Ubuntu: select the correct LDM theme for fat chroots too.

 2144 Alkis Georgopoulos	2012-03-21
      Ubuntu: fix fat desktops and ldm themes selection.

 2143 Marc Gariepy	2012-03-20
      replace dpkg-query with dpkg to fix script and installs
      ldm-ubuntut-theme

 2142 Vagrant Cascadian 2012-03-18
      ltsp-update-kernels: only create yaboot symlinks if not otherwise
      present, making it possible to configure a custom yaboot
      environment.

 2141 Wim Muskee	2012-03-18
      Gentoo: 5.3 aware ltspfs is stable

 2140 Wim Muskee	2012-03-17
      Gentoo: Client download lts.conf not from x86 but i686.

 2139 Wim Muskee	2012-03-12
      Gentoo: Support for setting installed client video card drivers.

 2138 Wim Muskee	2012-03-12
      Blacklist Xsession.desktop in fat chroot autodetection.

 2137 Alkis Georgopoulos	2012-03-09
      Simplify fat chroot autodetection.

 2136 Stéphane Graber	2012-03-09 {ltsp-5.3.5}
      version 5.3.5

 2135 Alkis Georgopoulos	2012-03-09
      Only remove old kernels for valid chroots.

      This allows for e.g. updating the kernels for /opt/ltsp/i386 while
      /opt/ltsp/nfs-mounted-powerpc is temporarily unavailable.

 2134 Stéphane Graber	2012-03-08
      Ubuntu: Add ltsp-core.upstart to be installed as
      ltsp-client-core.upstart

 2133 Alkis Georgopoulos	2012-03-09
      Plymouth is sometimes using vt7, use openvt -f (force).

 2132 Alkis Georgopoulos	2012-03-08
      Use /usr/share/xsessions to autodetect fat chroots.

 2131 Alkis Georgopoulos	2012-03-08
      Allow 2 parameters in run_parts_list.

 2130 Alkis Georgopoulos	2012-03-08
      ltsp-init-common: delete functions that were moved to init-ltsp.d/.

 2129 Alkis Georgopoulos	2012-03-07
      Remove "exit 0" from /etc/rc.local.

 2128 Alkis Georgopoulos	2012-03-07
      Restructure screen sessions launching to save the openvt RAM.

 2127 Alkis Georgopoulos	2012-03-07
      ltsp-common-functions: if $1 is not a dir, echo nothing.

 2126 Alkis Georgopoulos	2012-03-06
      Ubuntu: disable cron, dbus and other services in clients with <=
      128 MB RAM.

 2125 Alkis Georgopoulos	2012-03-06
      Disable more cronjobs.

 2124 Alkis Georgopoulos	2012-03-06
      Sound volume is set from udev, remove it from ltsp-core.

 2123 Alkis Georgopoulos	2012-03-06
      Ubuntu: avoid running update-motd.d scripts.

 2122 Vagrant Cascadian 2012-03-05 {ltsp-5.3.4}
      version 5.3.4

 2121 Stéphane Graber	2012-03-05
      Remove ltsp-setup (nothing seems to reference it anymore)

 2120 Stéphane Graber	2012-03-05
      ltsp-core: Update lsb headers

 2119 Stéphane Graber	2012-03-05
      Usplash no longer exists, remove any remaining reference.

 2118 Vagrant Cascadian 2012-03-02
      ltsp-setup: remove functions now moved to init-ltsp.d hooks.

 2117 Vagrant Cascadian 2012-03-02
      init-ltsp.d/common/50-jetpipe: do not overwrite the DEVICE variable.

 2116 Vagrant Cascadian 2012-03-02
      init-ltsp.d/common/04-server: do not overwrite the DEVICE variable.

 2115 Marc Gariepy	2012-03-01
      LANG=C isn't enough, on ubuntu 11.04 i need to set LANGUAGE too.

 2114 Wim Muskee	2012-02-28 {ltsp-5.3.3}
      version 5.3.3

 2113 Wim Muskee	2012-02-26
      Moved some ltsp-init-common functions to init-ltsp.d scripts.

 2112 Wim Muskee	2012-02-26
      Gentoo: put cron and syslog deps in package, start by default

 2111 Wim Muskee	2012-02-26
      Gentoo: add client cron support

 2110 Wim Muskee	2012-02-26
      Gentoo: updated rc initscripts

 2109 Wim Muskee	2012-02-26
      Moved 50-mtab from common to Ubuntu, symlink to Debian.

 2108 Wim Muskee	2012-02-26
      Gentoo: adding init-ltsp.d scripts

 2107 Wim Muskee	2012-02-26
      Gentoo: separate build profiles for 5.3 client installs

 2106 Vagrant Cascadian 2012-02-24
      Remove init-ltsp.d/*/50-localdev, which shouldn't be needed
      any longer.

 2105 Stéphane Graber	2012-02-23 {ltsp-5.3.2}
      version 5.3.2

 2104 Stéphane Graber	2012-02-23
      Update xfreerdp script to handle the case where rdesktop or xfreerdp
      aren't there.

 2103 Alkis Georgopoulos	2012-02-23
      Let's decide that the default server is 192.168.0.1, not .254.

 2102 Alkis Georgopoulos	2012-02-23
      Append to ltsp_config, don't overwrite it.

 2101 Alkis Georgopoulos	2012-02-23
      Rearrange init-ltsp.d scripts to set SERVER in more cases.

 2100 Alkis Georgopoulos	2012-02-22
      Provide a KEEP_SYSTEM_SERVICES whitelist.

 2099 Alkis Georgopoulos	2012-02-22
      Remove I10-sound as it seems very deprecated.

 2098 Alkis Georgopoulos	2012-02-22
      Set sound volume on fat clients too (LP: #923923).

 2097 Alkis Georgopoulos	2012-02-22
      Disconnect NBD mounts when the ltsp-client service is stopped.

 2096 Vagrant Cascadian 2012-02-20 {ltsp-5.3.1}
      version 5.3.1

 2095 Vagrant Cascadian 2012-02-20
      init-ltsp: Always ensure /sys and /proc are mounted, since we
      depend on them for many of the init-ltsp.d scripts.

 2094 Vagrant Cascadian 2012-02-20
      Debian: use configuration variable to disable ltsp-update-image.

 2093 Vagrant Cascadian 2012-02-20
      ltsp-update-image: issue a message when ltsp-update-image is
      disabled.

 2092 Vagrant Cascadian 2012-02-20
      Debian: add ltsp-build-client plugin to disable ltsp-update-image
      when creating an NFS based install.

 2091 Vagrant Cascadian 2012-02-20
      Debian: when using create-fs-image plugin, call ltsp-update-image
      --skip-image to configure nbd and boot prompt options, and configure
      ltsp-update-image to skip image creation on future invocations.

 2090 Vagrant Cascadian 2012-02-20
      ltsp-update-image: add --skip-image (-s) option to skip image
      creation, which allows performing other tasks such as configuring
      nbd and boot prompt options.

 2089 Vagrant Cascadian 2012-02-20
      ltsp-update-image: use nbd user and group for nbd-server
      configuration if present, falling back to nobody/nogroup.

 2088 Vagrant Cascadian 2012-02-20
      Ensure that lts.conf ends up in /etc.

 2087 Alkis Georgopoulos	2012-02-21
      The tftp target path is specified, so no need for "cd".

 2086 Vagrant Cascadian 2012-02-20
      Debian: workaround bug in initramfs-tools not mounting /proc
      or /sys.	http://bugs.debian.org/660297

 2085 Vagrant Cascadian 2012-02-20
      Debian: add init-ltsp.d dir for Debian.

 2084 Vagrant Cascadian 2012-02-20
      Debian: add fat-client plugin.

 2083 Vagrant Cascadian 2012-02-20
      only overwrite lts.conf if it has non-zero size.

 2082 Vagrant Cascadian 2012-02-20
      only download tftp from $NBD_ROOT_HOST if it is defined.

 2081 Alkis Georgopoulos	2012-02-20
      ltsp_config: delete the cache files on boot.

 2080 Alkis Georgopoulos	2012-02-19
      Start ltsp-client-core only when an LTSP boot was requested.

 2079 Alkis Georgopoulos	2012-02-19
      set_lts_var: remove old values from the cache file

 2078 Vagrant Cascadian 2012-02-17
      Debian: create-fs-image plugin: set the nbdroot boot prompt option.

 2077 Vagrant Cascadian 2012-02-17
      Debian: squashfs-image plugin: remove direct handling of boot
      prompt options, as ltsp-update-image handles that itself, and
      overwrites it anyways...

 2076 Vagrant Cascadian 2012-02-17
      Debian: Use new NBD boot parameters with squashfs-image plugin.

 2075 Vagrant Cascadian 2012-02-17
      Debian: Use new NBD boot parameters with create-fs-image plugin.

 2074 Vagrant Cascadian 2012-02-17
      Debian: Fix ltsp-build-client kiosk plugin to use kiosk screen
      session. Code largely snagged from corresponding Ubuntu plugin
      and tweaked for debian.  http://bugs.debian.org/659396

 2073 Alkis Georgopoulos	2012-02-18
      Don't hardcode squashfs as the FSTYPE for LP #696435.

 2072 Alkis Georgopoulos	2012-02-18
      ltsp-build-client: copy /etc/default/keyboard if it exists.

 2071 Alkis Georgopoulos	2012-02-17
      Better workaround for wait-for-root bug described in LP #696435.

 2070 Stéphane Graber	2012-02-16 {ltsp-5.3}
      version 5.3

 2069 Stéphane Graber	2012-02-16
      Fix plymouth on Ubuntu

 2068 Stéphane Graber	2012-02-16
      umount_marked: Check that we actually have something to unmount.

 2067 Stéphane Graber	2012-02-16
      Silence 01-getltsconffile when lts.conf doesn't exist

 2066 Alkis Georgopoulos	2012-02-16
      Disable nbd-client service in favor of nbd-disconnect.

 2065 Alkis Georgopoulos	2012-02-16
      Try to cleanly disconnect NBD mounts.

 2064 Alkis Georgopoulos	2012-02-16
      Don't use -fp on poweroff/reboot, for clean shutdown.

 2063 Alkis Georgopoulos	2012-02-16
      init-ltsp: remove more thin client services.

 2062 Alkis Georgopoulos	2012-02-16
      Fix NBD_SWAP-related typo.

 2061 Alkis Georgopoulos	2012-02-16
      localapps: toggle condition for when to start sshfs.

 2060 Alkis Georgopoulos	2012-02-16
      Deprecate NFS_HOME, introduce FSTAB_[0-9].

 2059 Alkis Georgopoulos	2012-02-16
      initramfs: remove mkswap, swapon and tftp.

 2058 Alkis Georgopoulos	2012-02-16
      initramfs: remove nfs-bottom/ltsp.

 2057 Alkis Georgopoulos	2012-02-15
      localapps: don't rely on NFS_HOME to detect when to use sshfs.

 2056 Alkis Georgopoulos	2012-02-15
      ltsp-chroot: fix broken quoting causing unmount warnings.

 2055 Alkis Georgopoulos	2012-02-15
      localapps: avoid temp file creation for passwd parsing.

 2054 Stéphane Graber	2012-02-15
      Try to get rid of the current tag for good ...

 2053 Alkis Georgopoulos	2012-02-15
      ltsp-update-image: fix check for nbd support in the chroot.

 2052 Marc Gariepy	2012-02-15
      fix regex to work in dash

 2051 Marc Gariepy	2012-02-15
      configuring lo for nbd-proxy

 2050 Alkis Georgopoulos	2012-02-15
      Use the new nbd-server/conf.d approach.

 2049 Alkis Georgopoulos	2012-02-15
      nbdswapd: support name-based nbd exports.

 2048 Alkis Georgopoulos	2012-02-14
      init-ltsp: provide a break= kernel parameter.

 2047 Alkis Georgopoulos	2012-02-14
      ltsp-update-image: use ionice when calling mksquashfs.

 2046 Alkis Georgopoulos	2012-02-14
      Support using nbd-proxy with NBDCLIENT=nbd-client-proxy.

 2045 Alkis Georgopoulos	2012-02-14
      NBD: work around 30 secs delay caused by wait-for-root (LP:
      #696435).

 2044 Alkis Georgopoulos	2012-02-14
      In the real system, tftp is in /usr/bin, not in /bin.

 2043 Alkis Georgopoulos	2012-02-14
      Ensure a default SCREEN even when a display manager is installed.

 2042 Alkis Georgopoulos	2012-02-14
      Get NFS_SERVER or NBD_ROOT_HOST from /proc/cmdline.

 2041 Alkis Georgopoulos	2012-02-14
      No need to define BOOT in the initramfs anymore.

 2040 Alkis Georgopoulos	2012-02-14
      Avoid warning if /var/cache/ltsp already exists.

 2039 Alkis Georgopoulos	2012-02-14
      Save hostname to /etc/hostname too.

 2038 Alkis Georgopoulos	2012-02-14
      Move 50-resolv-conf earlier, in case some init-ltsp.d script
      needs DNS.

 2037 Alkis Georgopoulos	2012-02-14
      Source net-*.conf before lts.conf.

 2036 Vagrant Cascadian 2012-02-13
      ltsp-update-image: remove pxe configuration duplicated from
      update-kernels, which is called and configured earlier anyways.

 2035 Vagrant Cascadian 2012-02-13
      init-ltsp.d/common/50-hostname: get networking information from
      net-*.conf.

 2034 Vagrant Cascadian 2012-02-13
      initramfs: copy /tmp/net-*.conf into /var/cache/ltsp/ so it will
      be available during boot.

 2033 Vagrant Cascadian 2012-02-13
      slight coding style change in init-bottom/ltsp.

 2032 Alkis Georgopoulos	2012-02-13
      Remove ltsp_nbd. local-top/nbd will be used instead.

 2031 Francois-Denis Gonthier	2012-02-13
      fix buggy reconnection of nbd-proxy

 2030 Alkis Georgopoulos	2012-02-13
      Rename initramfs-scripts.d to init-ltsp.d.

 2029 Alkis Georgopoulos	2012-02-13
      Debian: allow running the initramfs-scripts.d scripts with
      init=/sbin/init-ltsp.

 2028 Alkis Georgopoulos	2012-02-13
      Ubuntu: migrate gconf defaults to gsettings.

 2027 Stéphane Graber	2012-02-12
      initramfs-scripts.d scripts are called though a chroot call,
      so no need to use $rootmnt there, though we need to make sure we
      have the final /run mounted there ...

 2026 Alkis Georgopoulos	2012-02-12
      ltsp_nbd: missed $rootmnt while saving $DEVICE.

 2025 Alkis Georgopoulos	2012-02-12 {current}
      Debian: allow DEBIAN_FRONTEND to be passthrough.

 2024 Alkis Georgopoulos	2012-02-12
      ltsp_nbd: remove whatever was moved to initramfs-scripts.

 2023 Alkis Georgopoulos	2012-02-12
      Allow initramfs-scripts to be called as init=.

 2022 Alkis Georgopoulos	2012-02-11
      Ubuntu: ureadahead upstart jobs are now deleted on boot.

 2021 Alkis Georgopoulos	2012-02-11
      Ubuntu: xorg.conf shouldn't exist anymore.

 2020 Alkis Georgopoulos	2012-02-11
      ltsp-chroot: remove --mount-dev-pts from short options too.

 2019 Alkis Georgopoulos	2012-02-11
      Ubuntu: tty[2-6] upstart jobs are now deleted on boot.

 2018 Alkis Georgopoulos	2012-02-11
      Ubuntu: plymouth-stop upstart job is now deleted on boot.

 2017 Wim Muskee	2012-02-11
      Updated ltsp-chroot man page.

 2016 Wim Muskee	2012-02-11
      ltsp-chroot: Move devpts mount to default dev mount.

 2015 Alkis Georgopoulos	2012-02-11
      Use VENDOR instead of DISTRO in initramfs-scripts.

 2014 Alkis Georgopoulos	2012-02-11
      Ubuntu: save LTSP_CLIENT_MAC var name too, not only its value.

 2013 Vagrant Cascadian 2012-02-10
      Fix uses of "sed -ie" to use "sed -i -e", as sed interprets the
      command slightly differently and ends up with crufty copies of
      files with "e" as a suffix.

 2012 Vagrant Cascadian 2012-02-10
      Debian: always force_load aufs, as overlayfs isn't always present,
      and our code supports both.

 2011 Marc Gariepy	2012-02-10
      export nbdport for nbd-proxy and fix the check to be able to
      use nbd-proxy

 2010 Francois-Denis Gonthier	2012-02-10
      new working version of nbd-proxy

 2009 Alkis Georgopoulos	2012-02-10
      Ubuntu: save the boot interface to ltsp_config.

 2008 Alkis Georgopoulos	2012-02-10
      Ubuntu: remove some system services on boot.

 2007 Alkis Georgopoulos	2012-02-10
      Ubuntu: disable some session services for fat clients.

 2006 Alkis Georgopoulos	2012-02-10
      ltsp-chroot: don't require root for showing usage.

 2005 Alkis Georgopoulos	2012-02-10
      ltsp-update-image: default to named NBD exports.

 2004 Alkis Georgopoulos	2012-02-09
      Debian: remove RC_WHITELIST, services will be deleted by
      initramfs-scripts.

 2003 Alkis Georgopoulos	2012-02-09
      Ubuntu: move some fat client stuff to initramfs-scripts.

 2002 Alkis Georgopoulos	2012-02-09
      Ubuntu: don't force use of NBD in the initramfs.

 2001 Alkis Georgopoulos	2012-02-09
      ltsp-chroot: add --mount-dev and --mount-all options.

 2000 Alkis Georgopoulos	2012-02-09
      New ltsp-common-functions: die, require_root, mark_mount,
      umount_marked.

 1999 Vagrant Cascadian 2012-02-06
      Debian: use unversioned kfreebsd-image packages.

 1998 Stéphane Graber	2012-02-06
      Ubuntu: move 020-kernel-selection to finalization instead of
      before-install, makes PAE/non-PAE detection actually work.

 1997 Stéphane Graber	2012-02-01
      Allow NBD_ROOT_HOST to be set using nbdserver, otherwise fallback
      to ROOTSERVER.

 1996 Stéphane Graber	2012-02-01
      Ubuntu: run previous check in the chroot rather than outside ...

 1995 Stéphane Graber	2012-02-01
      Ubuntu: As of 12.04 i386 media no longer contain non-PAE
      kernel. Have ltsp-build-client use the PAE kernel if it doesn't have
      a choice. Manual run of ltsp-build-client will still use non-PAE,
      until 12.10 where it'll be completely dropped.

 1994 Stéphane Graber	2012-01-30
      Update init scripts and initramfs script to deal with resolvconf
      if present

 1993 Gideon Romm	2012-01-11
      Broken lines fixed

 1992 Wim Muskee	2012-01-09
      Gentoo: Setup installer to use new make.profile.

 1991 Wim Muskee	2012-01-09
      Add ltsp-chroot man page.

 1990 Wim Muskee	2011-12-31 {ltsp-5.2.19}
      version 5.2.19

 1989 Wim Muskee	2011-12-31
      Gentoo: Bunch of small fixes.

 1988 Wim Muskee	2011-12-31
      Fix ltsp_config eval quoting issue.

 1987 Wim Muskee	2011-12-29
      Gentoo: kicktoo doesn't use umount file.

 1986 Wim Muskee	2011-12-18
      Gentoo: Removed baselayout-1 timezone check in profiles.

 1985 Wim Muskee	2011-12-18
      Gentoo: Added INSTALL_MASK to profiles.

 1984 Wim Muskee	2011-12-17
      Gentoo: Autobuild stages provide /etc/portage now.

 1983 Marc Gariepy	2011-12-12
      adjusting regex to match correctly what we want, find uses emacs
      regex by default.

 1982 Wim Muskee	2011-11-29
      Added eval to ltsp-chroot chroot execution.

 1981 Vagrant Cascadian 2011-11-28
      Debian: update create-fs-image plugin to take advantage of new
      initramfs scripts.

 1980 Vagrant Cascadian 2011-11-28
      support NFS with aufs/overlayfs and tmpfs from init-bottom.

 1979 Vagrant Cascadian 2011-11-28
      fix a couple missing " in client/initramfs-scripts.

 1978 Vagrant Cascadian 2011-11-28
      Debian: increase the default image size to 2G, as the default
      needs more than 1G to build, and it should leave some room for
      localapps and fatclients.

 1977 Stéphane Graber	2011-11-26
      Ubuntu: Switch from aufs to overlayfs (initramfs is now only
      compatible with >= oneiric).

 1976 Wim Muskee	2011-11-20
      Vendor detection now using common function in ltsp-build-client,
      ltsp-info and ltsp-chroot.

 1975 Wim Muskee	2011-11-20
      Detect vendor script in common functions.

 1974 Wim Muskee	2011-11-20
      Made ltsp-chroot also work for Gentoo.

 1973 Wim Muskee	2011-11-18
      Gentoo: Use stable ldm and ltsp-client for client install.

 1972 Wim Muskee	2011-11-13
      Gentoo: Some ltsp-build-client options from regular to advanced.

 1971 Wim Muskee	2011-11-13
      Gentoo: Prepare for building other stage archs then x86 and amd64.

 1970 Gideon Romm	2011-11-09
      Screen scripts will only run on boot. We will not allow dynamic
      creation of screen scripts on additional ttys.

 1969 Gideon Romm	2011-11-09
      Pull wait code into screen_session loop, so if a new graphical
      interface initializes on another tty, it does not start up and
      steal focus.

 1968 Gideon Romm	2011-11-09
      Create upstart scripts for ttys out of initramfs-scripts

 1967 Gideon Romm	2011-11-09
      Modify ltsp_config such that it processes lts vars only once and
      then stores them in a sourceable cache. This deprecates LTSP_CONFIG
      as sourcing is inexpensive. In addition, this framework includes
      resetting the lts conf vars in the environment and reprocessing
      lts.conf, allowing for plugins to update lts.conf live and
      reprocess.

 1966 Wim Muskee	2011-11-07
      Gentoo: removing configure_sound_volume from client init, now
      from udev.

 1965 Gideon Romm	2011-11-07
      Modify udev script for distros that don't have /sbin/alsa-utils

 1964 Wim Muskee	2011-11-05
      Gentoo: new use deps for several packages

 1963 Gideon Romm	2011-11-04
      Disable some cron jobs that add unnecesary client load

 1962 Gideon Romm	2011-11-04
      More initramfs scripts

 1961 Wim Muskee	2011-11-04
      Gentoo: bind mount function in install profiles

 1960 Gideon Romm	2011-11-04
      Move distro-agnostic initramfs plugins to common

 1959 Gideon Romm	2011-11-04
      More initramfs-scripts plugins

 1958 Gideon Romm	2011-11-04
      Only call ltsp-init-common once

 1957 Gideon Romm	2011-11-04
      Add more initramfs-scripts

 1956 Gideon Romm	2011-11-04
      Add initramfs plugin for swap

 1955 Gideon Romm	2011-11-04
      Replace getltscfg -a with ltsp_config, so we get all of the
      functions and preset vars.

 1954 Gideon Romm	2011-11-04
      lts.conf should be evaluated in initramfs-scripts

 1953 Gideon Romm	2011-11-04
      Recreate nfs-bottom/ltsp as initramfs-scripts plugins

 1952 Gideon Romm	2011-11-03
      Add mtab to initramfs-scripts

 1951 Gideon Romm	2011-11-03
      Implement modifying network interfaces in new
      initramfs-scripts. Also, fix reference to rootmnt in upstart
      initramfs-script.

 1950 Gideon Romm	2011-11-01
      Add distro dirs for initramfs-scripts and conf file that sets distro

 1949 Gideon Romm	2011-11-01
      Add ltsp boot parameter to call initramfs-script in chroot from
      initramfs

 1948 Gideon Romm	2011-11-01
      Move configure_sound_volume to udev script. Note: call temporarily
      remains in ltsp-core to avoid too much breakage with this commit.

 1947 Gideon Romm	2011-10-31
      UBUNTU: Remove 050-udev-speedup l-b-c plugin as it modifies a
      script that is no longer present.

 1946 Gideon Romm	2011-10-31
      Add removal of upstart services to initramfs, as part of
      bootable-chroot migration.

 1945 Wim Muskee	2011-10-30
      Gentoo: kicktoo locale configure from client conf.

 1944 Alkis Georgopoulos	2011-10-29
      Ubuntu: Don't blacklist packages for fat clients (LP #619398)

 1943 vagrant@freegeek.org	2011-10-29
      fix XSI:ism in ltsp-update-sshkeys

 1942 vagrant@freegeek.org	2011-10-29
      move "nc -q" detection into ltsp_config.d snippet.

 1941 vagrant@freegeek.org	2011-10-29
      split ltsp_config into ltsp_config.d snippets.

 1940 Stéphane Graber	2011-10-29
      Use consistently NBD_ROOT_HOST, NBD_ROOT_PORT, NBD_ROOT_NAME,
      NBD_SWAP_HOST and NBD_SWAP_PORT

 1939 Wim Muskee	2011-10-29
      Gentoo: implemented kicktoo setlocale, and some profile fixes

 1938 Wim Muskee	2011-10-26
      Gentoo: install profiles ccache cleanup

 1937 Wim Muskee	2011-10-16
      Gentoo: fix makeconf_lines, doh.

 1936 Wim Muskee	2011-10-16
      Gentoo: implemented kicktoo dynamic make.conf creation, fixed
      setstage.

 1935 Wim Muskee	2011-10-12 {ltsp-5.2.18}
      version 5.2.18

 1934 Wim Muskee	2011-10-12
      Gentoo: Add rdesktop to default packges for build client conf,
      ltspfs is stable in profiles.

 1933 Wim Muskee	2011-10-05
      Gentoo: Add predefined ltsp-build-client.conf.

 1932 Wim Muskee	2011-10-02
      Gentoo: Add kicktoo install profile.

 1931 Wim Muskee	2011-10-01
      Gentoo: moved quickstart profile to new Gentoo config dir.

 1930 Wim Muskee	2011-09-30
      Gentoo: Prepare bootstrap for multiple installers.

 1929 Wim Muskee	2011-09-27
      Gentoo: Find correct stage more reliable in plugins.

 1928 Gideon Romm	2011-09-22
      Remove hardcoded /home for NFS_HOME

 1927 Marc Gariepy	2011-09-09
      Adding set -f to prevent shell expansion for * in CRONTAB_XX

 1926 Marc Gariepy	2011-08-29
      Adjusting defaut reconnect on disconnect instead of waiting
      5 seconds.

 1925 vagrant@freegeek.org	2011-08-12
      update the date header in ltsp-build-client manpage.

 1924 Warren Togami	2011-08-11 {ltsp-5.2.17}
      version 5.2.17

 1923 Warren Togami	2011-08-11
      Fedora: Optional i586 chroot based on Fedora 11 for old thin
      client hardware

 1922 Warren Togami	2011-08-11
      Fedora: Don't care if mount and umount /proc fail

 1921 Wim Muskee	2011-08-11
      Exporting tftpdirs in plugin.

 1920 vagrant@freegeek.org	2011-08-11
      Debian: fix syntax error with 095-exports plugin. doh.

 1919 Wim Muskee	2011-08-11
      Updated ltsp-build-client.8 with exclude, removed dist.

 1918 Wim Muskee	2011-08-11
      Moved set-dist plugin from common to Ubuntu and Debian.

 1917 Wim Muskee	2011-08-11
      Split update-kernels and configuring tftp-dirs.

 1916 Warren Togami	2011-08-10 {ltsp-5.2.16}
      version 5.2.16

 1915 Warren Togami	2011-08-10
      Fedora: Fix detection of previous iptables rules in
      ltsp-server-tweaks

 1914 Stéphane Graber	2011-08-10
      Upgrade nbd-server to new name aware version

 1913 Warren Togami	2011-08-10 {ltsp-5.2.15}
      version 5.2.15

 1912 Warren Togami	2011-08-10
      Fedora: Remove older distros and mkinitrd, only EL6 and F14 with
      dracut are supported.

 1911 Warren Togami	2011-08-10
      Fedora: Update plymouth boot-duration

 1910 Warren Togami	2011-08-10
      Fedora: Faster Install: Run dracut only once during
      ltsp-build-client

 1909 Warren Togami	2011-08-10
      Fedora: Excluded wrong file from EL6 i686

 1908 Warren Togami	2011-08-10
      Fedora: EL6 i686 uses kernel-thinclient

 1907 Warren Togami	2011-08-09
      Fedora: Enable Scientifi Linux 6 "fastbugs" repo in chroot

 1906 Warren Togami	2011-08-09
      Fedora: Add epel-release to EL6 chroot

 1905 vagrant@freegeek.org	2011-08-10
      Debian: check for NFS exports in /etc/exports.d/*.exports

 1904 Warren Togami	2011-08-09 {ltsp-5.2.14}
      version 5.2.14

 1903 Warren Togami	2011-08-09
      Fedora: Remove aspell* from chroot

 1902 Warren Togami	2011-08-09
      Fedora: Add note about known bug introduced by SL-6.1
      livecd-creator.

 1901 Warren Togami	2011-08-08
      Fedora: Fix selinux warnings for good

 1900 Warren Togami	2011-08-08
      Fedora: Add wraplinux and mkelfimage to EL6 chroot

 1899 Warren Togami	2011-08-08
      ltsp-update-kernels: Also clean symvers-$version.gz files from
      the tftpdir

 1898 Warren Togami	2011-08-08
      Fedora: Shrink initramfs image by 1.5MB by removing dracut modules
      unneeded for netboot thin clients

 1897 Warren Togami	2011-08-08
      Fedora: Needed only /proc to silence the selinux errors

 1896 Warren Togami	2011-08-08
      Fedora: Tweak selinux warning fix to make chroot-creator work again

 1895 Warren Togami	2011-08-08
      Fedora: Allow ltsp-build-client to work on Fedora 14 host.

 1894 Warren Togami	2011-08-08
      Fedora: Fix permissions on previous selinux warning fix

 1893 Warren Togami	2011-08-08
      091-unmount-dirs: Remove noise if /proc/mounts does not exist

 1892 Warren Togami	2011-08-08
      ltsp-update-sshkeys: Noisy and not helpful error messages

 1891 Warren Togami	2011-08-08
      ltsp-update-sshkeys: missing ecdsa host key is valid

 1890 Warren Togami	2011-08-08
      Fedora: Get rid of selinux context warning messages during chroot
      install

 1889 Warren Togami	2011-08-08
      Fedora: Make chroot installer faster, get rid of some warning
      messages

 1888 Warren Togami	2011-08-08
      Fedora: Delete obsolete exclusion list, it slowed down install

 1887 vagrant@freegeek.org	2011-08-08
      Debian: add plugin to use eatmydata for faster development testing.

 1886 vagrant@freegeek.org	2011-08-08
      example /etc/exports.d/ltsp.exports NFS configuration.

 1885 vagrant@freegeek.org	2011-08-08
      Debian: use cdn.debian.net as default mirror, which points to a
      geographically close mirror based on ip address.

 1884 vagrant@freegeek.org	2011-08-08
      Debian: fix inverted logic appending locales package to debootstrap
      includes.

 1883 Wim Muskee	2011-08-08
      Gentoo: fix in qs profile for openrc required dir.

 1882 Wim Muskee	2011-08-07
      Gentoo: Add support for custom kernel sources and config.

 1881 Wim Muskee	2011-08-06
      Gentoo: Add support for EXCLUDE in client build.

 1880 Wim Muskee	2011-08-05
      Added tftp-dirs and purge-chroot options to ltsp-build-client man.

 1879 Stéphane Graber	2011-08-01 {ltsp-5.2.13}
      version 5.2.13

 1878 Stéphane Graber	2011-08-01
      Add missing import in nbd-update-config

 1877 Stéphane Graber	2011-08-01 {ltsp-5.2.12}
      version 5.2.12

 1876 vagrant@freegeek.org	2011-07-30
      ltsp-update-sshkeys: consistantly handle when ssh host keys are
      not present.

 1875 Warren Togami	2011-07-29
      Fedora: Clean up removals, stuff not present in EL6 or F14

 1874 Stéphane Graber	2011-07-29
      Add support for nbdname to ltsp-update-image (duplicates a lot of
      code and possibly a bit buggy)

 1873 Stéphane Graber	2011-07-29
      Add nbd-update-config script

 1872 Warren Togami	2011-07-29 {ltsp-5.2.11}
      version 5.2.11

 1871 Warren Togami	2011-07-28
      Fedora: k12linux-release yum config definition

 1870 Warren Togami	2011-07-26
      Fedora: Switch to SL6.1

 1869 vagrant@freegeek.org	2011-07-26
      Debian: ltsp-build-client: add --kernel-version commandline option.

 1868 vagrant@freegeek.org	2011-07-26
      Debian: change variable name from KERNEL_ARCH to KERNEL_VARIANT
      to mirror --kernel-variant commandline option.

 1867 vagrant@freegeek.org	2011-07-26
      Debian: ltsp-build-client: add --kernel-variant commandline option.

 1866 vagrant@freegeek.org	2011-07-26
      Debian: default to version 8 for kfreebsd kernel images.

 1865 vagrant@freegeek.org	2011-07-26
      Debian: drop support for lenny with squashfs-images.

 1864 vagrant@freegeek.org	2011-07-23
      Debian: pass keyring=foo to debootstrap (some versions of
      qemu-debootstrap don't support it correctly otherwise).

 1863 vagrant@freegeek.org	2011-07-23
      Debian: switch to qemu-debootstrap to handle cross-architecture
      building.

 1862 vagrant@freegeek.org	2011-07-23
      Debian: use debootstrap's --variant=minbase instead of a long list
      out outdated excludes.

 1861 vagrant@freegeek.org	2011-07-23
      Debian: remove commented-out RC*_WHITELIST options.

 1860 Stéphane Graber	2011-07-21
      Launchpad: no change commit to trigger a test rebuild

 1859 Stéphane Graber	2011-07-20
      Launchpad: no change commit to trigger a test rebuild

 1858 Stéphane Graber	2011-07-19
      Launchpad: no change commit to trigger a test rebuild

 1857 Stéphane Graber	2011-07-19
      Launchpad: no change commit to trigger a test rebuild

 1856 vagrant@freegeek.org	2011-07-19
      ltsp-init-common: support /run/sendsigs.omit.d in
      nbd_sendsigs_protection function.

 1855 Warren Togami	2011-07-12 {ltsp-5.2.10}
      Fedora: Make k12linux RPM URL's public

 1854 Warren Togami	2011-07-12 [merge]
      Fedora: f14 client support

 1853 Stéphane Graber	2011-07-08
      Update ltsp_nbd for named nbd devices support

 1852 Stéphane Graber	2011-07-08
      Update ltsp_config to work with nbd named devices

 1851 Stéphane Graber	2011-07-07
      Allow setting tftp-dirs from ltsp-build-client. Patch from Wim
      Muskee. (LP: #417127)

 1850 Stéphane Graber	2011-07-07
      Only call asoundconf if it actually exists (LP: #609766)

 1849 Stéphane Graber	2011-07-06
      Also copy sources.list.d entries when using --copy-sourceslist,
      thanks to Jimmy Hedman (LP: #706691)

 1848 Stéphane Graber	2011-07-06
      Remove abi and vmcoreinfo in ltsp-update-kernels cleanup function
      (LP: #769154)

 1847 Alkis Georgopoulos	2011-07-01
      screen.d/xterm: pass a single, quoted command to xinitrc

 1846 Alkis Georgopoulos	2011-07-01
      screen.d/xfreerdp: pass a single, quoted command to xinitrc

 1845 Alkis Georgopoulos	2011-07-01
      Revert r1843 to allow passing "--" as a xinit parameter, but clarify
      that screen scripts should either pass a quoted command to xinitrc,
      or `eval` it themselves if xinitrc isn't present. For example, with
      RDP_OPTIONS="-u ''", xinitrc $COMMAND $RDP_OPTIONS would break,
      while `xinitrc "$COMMAND $RDP_OPTIONS"` would work.

 1844 Alkis Georgopoulos	2011-06-27
      Replace screen.d/rdesktop with a new xfreerdp script that hopefully
      supports all use cases

 1843 Alkis Georgopoulos	2011-06-27
      Allow commands with empty parameters or parameters with spaces

 1842 Warren Togami	2011-06-16 {ltsp-5.2.9}
      version 5.2.9

 1841 Warren Togami	2011-06-16 [merge]
      merge

 1840 Alkis Georgopoulos	2011-06-16
      Add an xterm screen script

 1839 Warren Togami	2011-06-01
      Fedora: Fedora and EL6 no longer have xfs

 1838 Warren Togami	2011-06-01
      Fedora: ltsp-server-tweaks script

 1837 Warren Togami	2011-06-01
      Detect nc version for nc -q capability

 1836 Gideon Romm	2011-05-31
      Commited patch submitted by jam@tigger.ws to fix issues with RCFILE_
      and MODULE_

 1835 Gideon Romm	2011-05-31
      Remove modesetting part of XRANDR_AUTO_MULTIHEAD. Causes more
      problems than it solves.

 1834 Vagrant Cascadian 2011-05-23
      Unfuzzy some finnish translation strings. Thanks to Paul Brown.

 1833 Warren Togami	2011-05-23
      Fedora: EL6 needs pciutils for lspci command

 1832 Warren Togami	2011-05-22
      Fedora: Disable tty consoles in F13+ and EL6 in /etc/init/

 1831 Warren Togami	2011-05-21
      OBSOLETE: ltsp-vmclient is obsolete.  Mark it as an example.

 1830 Warren Togami	2011-05-21
      Fedora: kickstart changes needed to install EL6, might break Fedora,
      if so fix later

 1829 Warren Togami	2011-05-21
      Fedora: pxelinux.cfg syntax requirements changed sometime between
      syslinux-3.75 and 3.86

 1828 Warren Togami	2011-05-20
      Fedora: EPEL6 mirrorlist wants i386, not i686

 1827 Warren Togami	2011-05-20
      Fedora: Add EPEL6

 1826 Warren Togami	2011-05-20
      Fedora: system-config-display has been removed, and we probably
      didn't need it to begin with

 1825 Warren Togami	2011-05-20
      Fedora: s/mirrorlist/baseurl/

 1824 Warren Togami	2011-05-20
      Fedora: Preliminary EL6 definitions

 1823 Warren Togami	2011-05-20
      Fedora: common.ks - generic distro release

 1822 Wim Muskee	2011-05-10
      Gentoo: qs profile; openrc and baselayout are stable.

 1821 Marc Gariepy	2011-05-05
      new version of nbd-proxy

 1820 Stéphane Graber	2011-04-13 {ltsp-5.2.8}
      version 5.2.8

 1819 Stéphane Graber	2011-04-13
      Apparently chmod -f doesn't always return 0, avoid the issue by
      ignoring return code completely

 1818 Stéphane Graber	2011-04-12 {ltsp-5.2.7}
      version 5.2.7

 1817 Stéphane Graber	2011-04-12
      Make sure vmlinuz, initrd and nbi are ALWAYS readable by the
      tftp daemon

 1816 Vagrant Cascadian 2011-04-11
      ltsp-init-common: do not run ntpdate backgrounded, otherwise fast
      clients may fail to sync, and this introduces at most a 1 second
      delay. only sync hardware clock if ntpdate succeeds. ensure that
      it doesn't error out if either ntpdate or hwclock fail.

 1815 Vagrant Cascadian 2011-03-31
      Updated Catalan translation with by Jordà Polo and Jordi Mallach.
      http://bugs.debian.org/619437

 1814 Wim Muskee	2011-03-29
      Gentoo: Fixed bootstrap and setstage plugins.

 1813 Gideon Romm	2011-03-25
      Make CRONTAB_ respect inheritence. Code brought to you by Alkis,
      not me.

 1812 Gideon Romm	2011-03-25
      Add set -f so paths are not expanded - useful for CRONTAB params,
      for example

 1811 Vagrant Cascadian 2011-03-25
      Updated Finnish translation by Esko Arajärvi.
      http://bugs.debian.org/618937

 1810 Vagrant Cascadian 2011-03-25
      Updated Catalan translation by Jordà Polo.
      http://bugs.debian.org/619437

 1809 Vagrant Cascadian 2011-03-18
      Updated Slovak (sk) translation by Slavko.
      http://bugs.debian.org/618410

 1808 Vagrant Cascadian 2011-03-14
      run_parts_list function: simplify find call by always using a
      -name argument, although if no second argument is passed to the
      function it will match all files. another elegant solution by
      Alkis Georgopoulos!

 1807 Vagrant Cascadian 2011-03-14
      updated translation files.

 1806 Stéphane Graber	2011-03-01 {ltsp-5.2.6}
      version 5.2.6

 1805 Stéphane Graber	2011-03-01
      Add support for ecdsa keys in ltsp-update-sshkeys (shouldn't affect
      distros where ecdsa keys aren't supported)

 1804 Vagrant Cascadian 2011-02-22
      ltsp_config: ensure /proc/meminfo exists before using it when
      checking for FAT_RAM_THRESHOLD, otherwise scripts running with
      "set -e" could disasterously fail.

 1803 Stéphane Graber	2011-02-09
      Turn off nbd-proxy by default (for now)

 1802 Gideon Romm	2011-01-06
      Dereference asterisk in find_opts. Otherwise, this fails sometimes.

 1801 Wim Muskee	2011-01-06
      Gentoo: some cleaning in plugins, including fix for #409547

 1800 Wim Muskee	2010-12-30
      Gentoo: removing hal stuff because xorg 1.9 is stable.

 1799 Wim Muskee	2010-12-21
      Gentoo: used moved start_screen_sessions, see launchpad #687296
      for more info.

 1798 Vagrant Cascadian 2010-12-20
      Move code from ltsp-core to start screen sessions into a
      start_screen_sesssions function in ltsp-init-common, so that
      other distros can make use of it.  See launchpad bug #687296 for
      more information.

 1797 Wim Muskee	2010-12-18
      Gentoo: qs profile, some cleanup.

 1796 Stéphane Graber	2010-12-05 {ltsp-5.2.5}
      version 5.2.5

 1795 Vagrant Cascadian 2010-12-02
      ltsp-bindmounts: new variables to append to default writeable
      directories and files: LTSP_RW_DIRS_EXTRA, LTSP_COPY_DIRS_EXTRA,
      LTSP_BINDFILES_EXTRA

 1794 Scott Balneaves	2010-12-01
      Changes to jetpipe: now use python's daemon() library to background.
      Per ltsp-develop list.

 1793 Wim Muskee	2010-11-28
      Gentoo: qs profile, bind mounting new default layman dir.

 1792 Vagrant Cascadian 2010-11-19
      Debian: crude support for multistrap as an alternative to
      debootstrap.

 1791 Vagrant Cascadian 2010-11-15
      ltsp-init-common: set_time function: allow setting the hardware
      clock to local time, for foolish OSes that assume local time.

 1790 Marc Gariepy	2010-11-09
      make the file writable for the user in /tmp/ltsp-remoteapps-XXXXX

 1789 Marc Gariepy	2010-10-31
      closer to respecting XDG.

 1788 Marc Gariepy	2010-10-31
      fixing broken script

 1787 Marc Gariepy	2010-10-31
      reorganizing genmenu

 1786 Gideon Romm	2010-10-31
      More remoteapps stuff for fat clients

 1785 Gideon Romm	2010-10-31
      Remove X99-zkill-localapps-menu as it is redundant

 1784 Gideon Romm	2010-10-31
      Clean up after ourselves with remote apps

 1783 Marc Gariepy	2010-10-31
      remoteapps working in firefox (beta)

 1782 Gideon Romm	2010-10-31
      Added ltsp-open script that REMOTE_APPS will use to launch files

 1781 Alkis Georgopoulos	2010-10-19
      ltsp_nbd: increase min_ram to 65536 as Lucid clients won't boot
      without swap (and they also need nocompcache in the kernel cmdline

 1780 Marc Gariepy	2010-10-14
      cleanup, there is no need to specify the username since we use
      the socket

 1779 Alkis Georgopoulos	2010-10-13
      udhcp: don't send a client id (LP #505916)

 1778 Marc Gariepy	2010-10-08
      fixing remoteappsd, setting the right env to be able to launch
      applications on the server correctly.

 1777 Alkis Georgopoulos	2010-09-24
      ltsp_nbd: work around some udev problems on faster clients

 1776 Alkis Georgopoulos	2010-08-28
      ltsp-chroot: if $BASE/$ARCH doesn't exist, use the first chroot
      available

 1775 Vagrant Cascadian 2010-08-27
      ignore nameserver of 0.0.0.0 returned via dhcp, which ipconfig may
      return if both nameservers aren't specified. still allows specifying
      DNS_SERVER=0.0.0.0 via lts.conf if the admin really wants that.

 1774 Alkis Georgopoulos	2010-08-23
      ltsp_nbd: on panic, show which server is nbd-client tring to
      connect to

 1773 Vagrant Cascadian 2010-08-20
      initramfs-tools nfs-bottom hook: configure DNS from DHCP values.
      http://bugs.debian.org/593770

 1772 Alkis Georgopoulos	2010-08-05
      nbdrootd: use `exec nbd-server` to save RAM

 1771 Vagrant Cascadian 2010-07-31 {ltsp-5.2.4}
      version 5.2.4

 1770 Wim Muskee	2010-07-30
      Gentoo: Added dejavu as default client font.

 1769 Wim Muskee	2010-07-30
      Gentoo: pulseaudio requires rw access on /var/lib/pulse.

 1768 Alkis Georgopoulos	2010-07-30
      Apply r1765 (binfmt_misc unmounting) in ltsp-update-image too.

 1767 Vagrant Cascadian 2010-07-30
      Debian: ltsp-build-client mount-cdrom plugin: mount cdrom in
      /media/cdrom, as /cdrom symlink no longer exists. Thanks to Andreas
      B. Mundt.  http://bugs.debian.org/589646

 1766 Vagrant Cascadian 2010-07-30
      ltsp-build-client: chroot_mount function: strip off / from
      specified mount points. Thanks to Petter Reinholdtsen for the idea.
      http://bugs.debian.org/590268

 1765 Vagrant Cascadian 2010-07-30
      ltsp-build-client: simplify unmounting of /proc/sys/fs/binfmt_misc
      mount in chroot.	Patch by Petter Reinholdtsen.
      http://bugs.debian.org/590318

 1764 Vagrant Cascadian 2010-07-29
      ltsp-chroot: fix argument processing for --arch and --base.

 1763 Wim Muskee	2010-07-29
      Gentoo: Removed Funtoo fallback from profile.qs.

 1762 Wim Muskee	2010-07-28
      Gentoo: profile.qs updated layman default storage dir.

 1761 Vagrant Cascadian 2010-07-27
      ltsp-init-common: make missing file/dir warnings a little less
      alarming in bind_mounts function.

 1760 Marc Gariepy	2010-07-20
      adding a wrapper for rdesktop because it cannot be launched with
      pasuspender because the command get  two -- in the line.

 1759 Alkis Georgopoulos	2010-07-11
      udhcpc: set broadcast address (LP #604276)

 1758 Vagrant Cascadian 2010-07-05 {ltsp-5.2.3}
      version 5.2.3

 1757 Vagrant Cascadian 2010-07-05
      Debian: comment out RC*_WHITELIST defaults, as they are not
      respected properly in squeeze.

 1756 Vagrant Cascadian 2010-07-05
      ltsp-init-common: use module-stream-restore on newer versions
      of pulseaudio.

 1755 Vagrant Cascadian 2010-07-02
      Debian: put RAMRUN/RAMLOCK configuration in /etc/default/rcS instead
      of /etc/default/tmpfs, as the scripts which clean /var/run only
      source the values from rcS. http://bugs.debian.org/575307

 1754 Alkis Georgopoulos	2010-06-13
      modprobe -r is more elegant than rmmod, thanks vagrantc

 1753 Alkis Georgopoulos	2010-06-13
      Unload compcache if any other swap space is available

 1752 Alkis Georgopoulos	2010-06-12
      Add -swap parameter when calling nbd-client for nbd swap space

 1751 Marc Gariepy	2010-06-08
      Adding try..catch, to prevent the script to quit if the flush fail

 1750 Alkis Georgopoulos	2010-06-03
      ltsp_nbd: allow disabling nbd-proxy and disable it by default when
      RAM<100 Mb

 1749 Alkis Georgopoulos	2010-06-02
      ltsp-chroot: use a trap for safer cleanup

 1748 Alkis Georgopoulos	2010-06-02
      Rewrote ltsp-chroot

 1747 Vagrant Cascadian 2010-05-30
      ltsp-core: only attempt to chvt if SCREEN_DEFAULT is set.

 1746 Alkis Georgopoulos	2010-05-25
      Fat clients: for consistency, express FAT_RAM_THRESHOLD in MB,
      not KB

 1745 Alkis Georgopoulos	2010-05-25
      Don't set LTSP_FATCLIENT for low-RAM clients booting from a
      fat chroot

 1744 Gideon Romm	2010-05-11
      Do not configure localdev on init anymore now that it is handled
      by udev. It causes problems, especially with cdpinger.

 1743 Alkis Georgopoulos	2010-05-10
      Provide an NFS_HOME_OPTIONS lts.conf setting for fat
      clients/localapps

 1742 Gideon Romm	2010-05-07
      Add support for specifying server:port for remote servers on the
      command line.

 1741 Gideon Romm	2010-05-07
      Add -p flag to ltsp-update-sshkeys to specify sshd port on remote
      application servers.

 1740 Wim Muskee	2010-05-01
      Gentoo: Fixed hostname resolving and cleaned client init script.

 1739 Wim Muskee	2010-04-28
      Gentoo: Use sysklogd as default client logger.

 1738 Gideon Romm	2010-04-26
      Allow for passing of KIOSK_EXE and KIOSK_OPTIONS on kiosk
      session command line. PACKAGERS: Remember to include
      /usr/share/ltsp/kioskSession in your packages.

 1737 Wim Muskee	2010-04-25
      Gentoo: quickstart, sysvinit is stable.

 1736 Wim Muskee	2010-04-25
      Gentoo: Fixed localapps bindmount dir in client setup.

 1735 Vagrant Cascadian 2010-04-21
      New Slovak (sk) translation by Slavko.
      http://bugs.debian.org/578688

 1734 Vagrant Cascadian 2010-04-19 {ltsp-5.2.2}
      version 5.2.2

 1733 Stéphane Graber	2010-04-14
      Updated French (fr) translation by Stephane Graber

 1732 Gideon Romm	2010-04-14
      Go back to using files to create local ltsp server ssh keys,
      rather than using ssh-keyscan.

 1731 Alkis Georgopoulos	2010-04-14
      ltsp_nbd: prevent duplicate slashes in tftppath

 1730 Vagrant Cascadian 2010-04-09
      Updated Japanese (ja) translation by Hideki Yamane.
      http://bugs.debian.org/577067

 1729 Vagrant Cascadian 2010-04-09
      Updated Swedish (sv) translation by Martin Bagge.
      http://bugs.debian.org/577007

 1728 Vagrant Cascadian 2010-04-07
      Updated German (de) translation by Wolfgang Schweer.
      http://bugs.debian.org/576784

 1727 Vagrant Cascadian 2010-04-06
      Updated Portuguese (pt) translation by Américo Monteiro.
      http://bugs.debian.org/576450

 1726 Vagrant Cascadian 2010-04-05
      Updated Russian (ru) translation by Yuri Kozlov.
      http://bugs.debian.org/576561

 1725 Vagrant Cascadian 2010-04-05
      Updated Vietnamese (vi) translation by Clytie Siddall.
      http://bugs.debian.org/576506

 1724 Vagrant Cascadian 2010-04-05
      Updated Spanish (es) translation by José L. Redrejo Rodríguez.

 1723 Vagrant Cascadian 2010-04-05
      Updated Italian (it) translation by Vincenzo Campanella.

 1722 Vagrant Cascadian 2010-04-04
      New Chinese (simplified) (zh_CN) translation by YunQiang Su.

 1721 Vagrant Cascadian 2010-04-04
      export upstream changelog when building with mkdst.

 1720 Vagrant Cascadian 2010-04-04
      Updated Greek (el) translation by Alkis Georgopoulos.

 1719 Vagrant Cascadian 2010-04-04
      Updated Portuguese (pt) translation by Américo Monteiro.
      http://bugs.debian.org/576450

 1718 Vagrant Cascadian 2010-04-04
      update translation template.

 1717 Vagrant Cascadian 2010-03-26
      actually use the openvt we checked for. thanks alkisg!

 1716 Vagrant Cascadian 2010-03-26
      initialize the tty with openvt, so that it's possible to switch
      to later.  otherwise, the fgconsole while loop may get stuck in
      an infinite loop.

 1715 Vagrant Cascadian 2010-03-26
      remove commented out code treating SCREEN_01 as an error.

 1714 Vagrant Cascadian 2010-03-24
      Updated French (fr) translation by Jean-Baka Domelevo Entfellner.
      http://bugs.debian.org/571073

 1713 Stéphane Graber	2010-03-23 {ltsp-5.2.1}
      version 5.2.1

 1712 Stéphane Graber	2010-03-22
      Ubuntu: Fix plymouth and VT switch

 1711 Gideon Romm	2010-03-13
      Fix chvt issues and introduce new lts.conf param
      SCREEN_DEFAULT. When SCREEN_DEFAULT is set to a number between
      1 and 12, that will be the default screen that comes up.
      When SCREEN_DEFAULT is not set, the default screen will be the
      highest specified screen.

 1710 Alkis Georgopoulos	2010-03-12
      New NFS_HOME lts.conf variable for localapps and fat clients

 1709 Alkis Georgopoulos	2010-03-11
      fatclients: disable LOCALDEV

 1708 Alkis Georgopoulos	2010-03-11
      fatclients: revert r1706, as multiple consolekit sessions cause
      a PK authentication dialog on shutdown

 1707 Alkis Georgopoulos	2010-03-09
      udhcp: don't quote clientid

 1706 Alkis Georgopoulos	2010-03-09
      screen.d/shell: su is more appropriate than bash -login, it even
      registers the seat in CK

 1705 Marc Gariepy	2010-03-08
      fix lp:#533964, vt/screen-sessions mixed up

 1704 Alkis Georgopoulos	2010-03-08
      New common/091-unmount-dirs plugin. Saves some umounts/remounts,
      prevents apt cache from being included in nbd images, and solves
      a debian/ubuntu unmounting problem.

 1703 Alkis Georgopoulos	2010-03-07
      Set HOME and USER for shell sessions

 1702 Gideon Romm	2010-03-04
      Add RDP_SOUND parameter which, when set to 'nopulse' will suspend
      pulseaudio with pasuspender and when set to 'pulse-oss' will run
      rdesktop audio through padsp. To not use pulseaudio at all, one
      can set SOUND_DAEMON=False.

 1701 Gideon Romm	2010-03-04
      Do not start a sound daemon if SOUND_DAEMON is set to False, N,
      or No

 1700 Wim Muskee	2010-03-03
      build client: Fixes for loading custom config file.

 1699 Wim Muskee	2010-03-03
      Gentoo: Fixed quickstart profile space error.

 1698 Alkis Georgopoulos	2010-03-03
      udhcpc: allow clientid to be passed as a kernel parameter (LP
      #505916)

 1697 Marc Gariepy	2010-03-03
      switch tty if not the right one

 1696 Gideon Romm	2010-02-25
      Only clear screen when quiet

 1695 Gideon Romm	2010-02-25
      Use echo instead of log_msg and friends as evidently those functions
      are not yet sourced.

 1694 Alkis Georgopoulos	2010-02-25
      Debian/Ubuntu: new 035-install-debs plugin which installs all the
      .debs files in a directory

 1693 Gideon Romm	2010-02-25
      Quiet down some of the output and put a clear in there for
      readability

 1692 Gideon Romm	2010-02-25
      If using NBD, remove the /etc/mtab symlink and replace with a file,
      so mountall.conf does not complain.

 1691 Alkis Georgopoulos	2010-02-25
      Hide reboot and shutdown menus for fat clients

 1690 Gideon Romm	2010-02-24
      Make default microphone volume 40% if unspecified to avoid problems
      with sound feedback

 1689 Alkis Georgopoulos	2010-02-24
      ltsp_nbd: create tmpfs with mode=755, closes LP #516608

 1688 Alkis Georgopoulos	2010-02-24
      ltsp-update-image: add a `nice` in front of the mksquashfs call

 1687 Alkis Georgopoulos	2010-02-24
      Some localapps like chrome break with SSH_FOLLOW_SYMLINKS=True,
      set it to false by default

 1686 Alkis Georgopoulos	2010-02-22
      fat clients: Update code comments to reflect the previous changes

 1685 Stéphane Graber	2010-02-21
      fat clients: Drop lockscreen to defaults instead of mandatory,
      don't force metacity

 1684 Alkis Georgopoulos	2010-02-21
      New "NBD_SWAP_THRESHOLD" lts.conf parameter, to automatically
      enable NBD_SWAP for clients with less RAM than that threshold.

 1683 Alkis Georgopoulos	2010-02-21
      nbdswapd: increase the default SIZE to 64 MB

 1682 Alkis Georgopoulos	2010-02-20
      Ubuntu: Disable screen locking and user switching for gnome
      fat clients

 1681 Vagrant Cascadian 2010-02-19
      ltsp-info: add support for Ubuntu by using the same code as Debian
      uses, as there should be no significant differences.

 1680 Wim Muskee	2010-02-19
      ltsp-info: Added Gentoo functions and generalized some functions.

 1679 Gideon Romm	2010-02-19
      Add back an ssh key entry for server, since we write the hostname
      server to the client /etc/hosts

 1678 Vagrant Cascadian 2010-02-19
      consistantly change NBD_PORT to NBD_SWAP_PORT And NBD_ROOT_PORT
      and SWAP_SERVER to NBD_SWAP_SERVER  where appropriate.

 1677 Gideon Romm	2010-02-18
      Make sure rdesktop and other sessions return to the menu screen
      and do not daemonize.

 1676 Gideon Romm	2010-02-18
      Clean up usage info in ltsp-update-sshkeys.

 1675 Alkis Georgopoulos	2010-02-18
      ltsp_nbd: properly separate tftppath, closes LP #238010

 1674 Stéphane Graber	2010-02-17 {ltsp-5.2}
      version 5.2

 1673 Stéphane Graber	2010-02-17
      Ubuntu: Replace /etc/environment by /etc/default/locale

 1672 Stéphane Graber	2010-02-17
      ltsp-localapps: Do not generate the localapps menu when running
      a fat client

 1671 Vagrant Cascadian 2010-02-16
      Debian: fix typo for ltspfsd-core in backports plugin.

 1670 Gideon Romm	2010-02-16
      Make ltsp-update-image messages more accurate.

 1669 Wim Muskee	2010-02-16
      Gentoo: building in hal support for xorg on install.

 1668 Stéphane Graber	2010-02-16
      nbd-proxy: Resync from internal. Solves alkis' bug

 1667 Alkis Georgopoulos	2010-02-15
      ltsp-update-image: reapply commit #1640

 1666 Gideon Romm	2010-02-14
      Add support for getting keys from application servers to be stored
      in the chroot. Now, run ltsp-update-sshkeys -u [ip1] [ip2] [ip3] ...
      to gather keys from various application servers and update the
      chroot's ssh_known_hosts file.

 1665 Gideon Romm	2010-02-14
      Add support for passing an NBD_SERVER with -S

 1664 Gideon Romm	2010-02-14
      Add support for timeout and ipappend

 1663 Gideon Romm	2010-02-14
      Make sure we pass BOOTPROMPT_OPTS on the generated cfg file line

 1662 Gideon Romm	2010-02-14
      Add -o flag to pass kernel commandline arguments to all chroots

 1661 Gideon Romm	2010-02-14
      Source config files first so command line args can override. Allow
      for config files in old place /etc/default/ltsp-update-image and
      new place /etc/ltsp/ltsp-update-image.conf

 1660 Gideon Romm	2010-02-14
      Add a few flags to ltsp-update-image, such as -i to only roll the
      image and -f to force an update of all kernels and pxelinux.cfg
      files even if not necessary

 1659 Vagrant Cascadian 2010-02-14
      Debian: added crude support for backports

 1658 Gideon Romm	2010-02-14
      Rewrite ltsp-update-image to more intelligently handle updating
      ports. NOTE: ltsp-update-image now calls ltsp-update-kernels, so
      distros that run ltsp-update-image by default from ltsp-build-client
      may want to not run ltsp-update-kernels, as well.

 1657 Alkis Georgopoulos	2010-02-13
      locale-gen can't handle LANG.utf8, so change it to LANG.UTF-8

 1656 Gideon Romm	2010-02-12
      Adjust all sound channels with a single amixer call. Thanks, alkisg.

 1655 Vagrant Cascadian 2010-02-12
      Fix LOCAL_APPS_EXTRAMOUNTS by quoting the sshfs
      arguments.  Thanks to Adam J.  Lincoln for the patch.
      https://bugs.launchpad.net/ltsp/+bug/521147

 1654 Alkis Georgopoulos	2010-02-12
      runs_parts_list: major speed improvements. Thanks, Gadi!

 1653 Alkis Georgopoulos	2010-02-12
      Check if /etc/resolv.conf is writable

 1652 Gideon Romm	2010-02-11
      chvt to the right screen in ssh screen script

 1651 Gideon Romm	2010-02-11
      Fix up menu screen script

 1650 Alkis Georgopoulos	2010-02-11
      Apply the DNS info that is received from DHCP

 1649 Vagrant Cascadian 2010-02-10
      Debian: rename ALSA_DEFAULT_* to LTSP_ALSA_DEFAULT for setting
      sound variables.

 1648 Gideon Romm	2010-02-10
      Add VOLUME_MANUAL=<bool> lts.conf param. When true, only volume
      channels that are explicitly set will be set (as opposed to default
      behavior in which all volume channels are set to some level)

 1647 Gideon Romm	2010-02-10
      Replace basename with shell construct

 1646 Vagrant Cascadian 2010-02-10
      Updated Vietnamese (vi) translation by Clytie Siddall
      http://bugs.debian.org/569156

 1645 Gideon Romm	2010-02-10
      Use shell for loop instead of env|sort|awk construct for
      rcfiles. This limits the number of rcfiles to 10 for now.

 1644 Gideon Romm	2010-02-09
      Use shell for loop rather than env|grep construct

 1643 Wim Muskee	2010-02-09
      Gentoo: adding no_subtree_check to exports plugin.

 1642 Vagrant Cascadian 2010-02-08
      Debian: updated sound documentation to use environment variables
      ALSA_DEFAULT_* to allow sound hardware on the server to continue
      to work when logged in directly to the server.

 1641 Stéphane Graber	2010-02-08
      Add ltsp-cluster-info

 1640 Alkis Georgopoulos	2010-02-08
      ltsp-update-image: umount -l if ${CHROOT}/proc is in use

 1639 Gideon Romm	2010-02-07
      When guessing a proxy, consider http_proxy=false to be no proxy

 1638 Wim Muskee	2010-02-07
      Moved common 095-rootpass to Debian with a symlink to Ubuntu.

 1637 Gideon Romm	2010-02-06
      Add ability to specify switches to configure_sound_volume. Also add
      some more translations of special characters into shell variable
      friendly forms.

 1636 Gideon Romm	2010-02-06
      Only configure sound volume if SOUND is true

 1635 Gideon Romm	2010-02-06
      Remove chvt stuff from menu and ssh scripts, since we already chvt
      in screen_session

 1634 Wim Muskee	2010-02-06
      Gentoo: fixing and expanding quickstart locale setup.

 1633 Wim Muskee	2010-02-06
      Gentoo: in quickstart emerge udev seperate from world, add
      CONFIG_PROTECT_MASK for config dirs.

 1632 Alkis Georgopoulos	2010-02-06
      getltscfg: accept an empty lts.conf as valid

 1631 Gideon Romm	2010-02-05
      Some menu script cleanups

 1630 Gideon Romm	2010-02-05
      Some ssh screen script fixes

 1629 Wim Muskee	2010-02-04
      Gentoo: fix setting locale in quickstart.

 1628 Wim Muskee	2010-02-03
      Gentoo: put timezone scripting in quickstart function.

 1627 Vagrant Cascadian 2010-02-03
      initramfs-tools: simplify prereqs code, as it is a no-op.

 1626 Vagrant Cascadian 2010-02-02
      ltsp_config: make it possible to set SERVER and
      NBD_SERVER/NFS_SERVER to different values, just to make sure, but
      still keep it out of the while loop.  thanks alkisg for the nudging.

 1625 Vagrant Cascadian 2010-02-02
      test for presence of /proc/mounts before reading from it.

 1624 Vagrant Cascadian 2010-02-02
      ltsp_config: set SERVER directly from NBD_SERVER/NFS_SERVER,
      skipping the while loop.

 1623 Gideon Romm	2010-02-02
      Add console-based ssh screen script

 1622 Gideon Romm	2010-02-02
      Added whiptail menu screen script. Users can set MENU_TITLE,
      MENU_ITEM_{01-20}, MENU_COMMAND_{01-20}.	MENU_COMMANDS are screen
      scripts to invoke.

 1621 Stéphane Graber	2010-02-02
      initramfs: Add prereqs handling

 1620 Vagrant Cascadian 2010-02-01
      add /var/lib/urandom to rw_dirs, and /etc/udev/rules.d to copy_dirs
      to deal with read-only errors during boot.

 1619 Stéphane Graber	2010-02-01
      nbd-proxy: Update from internal branch

 1618 Vagrant Cascadian 2010-02-01
      register pids of nbd-client and nbd-proxy so that sendsigs doesn't
      kill them on shutdown/reboot.

 1617 Vagrant Cascadian 2010-02-01
      ltsp_config: also cache NFS_SERVER.

 1616 Vagrant Cascadian 2010-02-01
      ltsp_config: check for server at beginning of to avoid processing
      it every time.

 1615 Vagrant Cascadian 2010-02-01
      Debian: drop ltsp-setup.default file, instead use appropriate
      values from lts.conf: LTSP_RW_DIRS, LTSP_COPY_DIRS, LTSP_BINDFILES.

 1614 Vagrant Cascadian 2010-02-01
      Debian: drop support for temp_copy_dir/bind_unmounts.

 1613 Vagrant Cascadian 2010-02-01
      ltsp-init-common: use /proc/sys/kernel/hostname to read and set
      the hostname, if necessary.

 1612 Vagrant Cascadian 2010-02-01
      Debian: handle tmpfs bind mounts from the initramfs instead of
      from init script to ensure they're available very early.

 1611 Vagrant Cascadian 2010-02-01
      Debian/Ubuntu: initramfs-tools ensure that system is actually
      configured as an ltsp chroot by checking for the ltsp_chroot
      file to prevent doing evil on a "normal" system with ltsp-client
      packages installed.

 1610 Vagrant Cascadian 2010-02-01
      add ltsp_config.d directory to allow more flexible configuration
      options.

 1609 Alkis Georgopoulos	2010-02-01
      Remove useless calls to manual_add_modules (case mismatch, X
      vs ${x})

 1608 Gideon Romm	2010-02-01
      Add CHECK_CERTIFICATE option to getltscfg-cluster for secure SSL -
      default to insecure SSL for now

 1607 Gideon Romm	2010-02-01
      Make ltsp-cluster page for terminal configurable

 1606 Gideon Romm	2010-02-01
      Make DNS_SERVER entries space-delimited instead of comma-delimited

 1605 Gideon Romm	2010-02-01
      Allow DNS_SERVER to be set without SEARCH_DOMAIN and allow multiple
      DNS servers to be specified in a comma-delimited list

 1604 Gideon Romm	2010-02-01
      Now that we set the hostname in in initramfs, we do not need to
      do it again in initscripts

 1603 Alkis Georgopoulos	2010-02-01
      Check that HOSTNAME isn't null before exporting/setting it

 1602 Alkis Georgopoulos	2010-01-31
      Allow client hostnames to be specified from lts.conf

 1601 Gideon Romm	2010-01-31
      Fixed typo - extra doublequote

 1600 Gideon Romm	2010-01-31
      Much simpler REMOTE_APPS scheme which should work with any
      architecture

 1599 Vagrant Cascadian 2010-01-29
      ltsp_config: also cache NBD_PORT.

 1598 Vagrant Cascadian 2010-01-29
      ltsp_config: /proc/$pid/cmdline to get commandline information
      from nbd-client.

 1597 Vagrant Cascadian 2010-01-29
      Debian: ltsp-info verbose mode: - report lsb_release info from
      chroots - use file on NBD images

 1596 Vagrant Cascadian 2010-01-29
      added manpage for ltsp-info.

 1595 Vagrant Cascadian 2010-01-29
      added manpage for ltsp-remoteapps

 1594 Vagrant Cascadian 2010-01-29
      improve handling of read-only /etc/cups.

 1593 Vagrant Cascadian 2010-01-29
      Debian: don't tweak the kernel version unless running on lenny.

 1592 Vagrant Cascadian 2010-01-27
      ltsp_config: write to /var/cache/ltsp/ltsp_config even if the
      directory is already present, though do not error out if unable
      to write to the file.

 1591 CyberOrg	2010-01-27
      Added ltsp-info support for OpenSUSE

 1590 Vagrant Cascadian 2010-01-27
      Debian: squeeze+ includes aufs modules by default. yay.

 1589 Vagrant Cascadian 2010-01-27
      Debian/?: make /var/cache/ltsp writeable by default

 1588 Vagrant Cascadian 2010-01-27
      ltsp_config: do not fail if mkdir /var/cache/ltsp fails

 1587 Gideon Romm	2010-01-27
      Fix duplicate configure_localdev function calls

 1586 Stéphane Graber	2010-01-26
      nbd-proxy: Update from internal branch, bug fixes and huge speed
      improvements

 1585 Gideon Romm	2010-01-26
      Added kiosk screen script that calls /usr/share/ltsp/kioskSession
      and modified kiosk plugin.

 1584 Stéphane Graber	2010-01-25 {ltsp-5.1.99}
      version 5.1.99

 1583 Stéphane Graber	2010-01-25
      nbd-proxy: Update from internal branch (some more optimization
      and bug fix)

 1582 Stéphane Graber	2010-01-25
      Fix one more nc call

 1581 Vagrant Cascadian 2010-01-24
      ltsp-update-sshkeys: echo an empty line between each
      ssh_known_hosts.* entry.

 1580 Vagrant Cascadian 2010-01-24
      ltsp-build-client: remove extra = when setting vendor functions
      variable.

 1579 Alkis Georgopoulos	2010-01-24
      Properly save/restore IFS. Explanations in
      http://sourceforge.net/mailarchive/forum.php?thread_name=1264356715.1699.69.camel%40alkis&forum_name=ltsp-developer

 1578 Stéphane Graber	2010-01-23
      Whitespaces cleanup in X01-localapps

 1577 Stéphane Graber	2010-01-23
      Make sure we restore the old IFS in ltsp-genmenu

 1576 Vagrant Cascadian 2010-01-23
      Updated Polish (pl) translation by Wiktor Wandachowicz.

 1575 Stéphane Graber	2010-01-23
      nbd-proxy: Update from internal branch, brings speed improvement
      and bug fixes

 1574 Vagrant Cascadian 2010-01-22
      localapps: optimize by use a case statement instead of "echo |
      grep" when pruning groups.

 1573 Vagrant Cascadian 2010-01-22
      localapps: optimize group pruning by using case statements instead
      of increasingly longer and longer for loops.

 1572 Vagrant Cascadian 2010-01-22
      localapps: updated comments to reflect that we're actually modifying
      the user/group information on the system directly.

 1571 Vagrant Cascadian 2010-01-22
      localapps: get rid of another 'getent passwd' call by saving
      uid/gid in variables.

 1570 Vagrant Cascadian 2010-01-22
      localapps: fix setting LDM_HOME by stashing the getent passwd output
      in a file, and then reading the file in the "while read" loop.

 1569 Vagrant Cascadian 2010-01-22
      localapps ldm hook: use a ":" separator when setting gnames and
      gids, as the IFS affects for loops as well.

 1568 Vagrant Cascadian 2010-01-22
      localapps ldm hook: optimize calls to reduce 3 calls of "getent
      passwd | cut" down to a single "while read".

 1567 Vagrant Cascadian 2010-01-22
      localapps ldm hook: fix use of gusers.

 1566 Vagrant Cascadian 2010-01-22
      localapps: properly unset and reset IFS.

 1565 Vagrant Cascadian 2010-01-22
      localapps ldm hook: fix some missing calls using the whole line.

 1564 Vagrant Cascadian 2010-01-22
      localapps: whitespace cleanup

 1563 Vagrant Cascadian 2010-01-22
      localapps ldm hook: set IFS so that "while read" can set group/gid
      variables directly.

 1562 Vagrant Cascadian 2010-01-22
      localapps ldm hook: optimize to use only inscrutable shell parameter
      expansion instead of echo and cut.

 1561 Vagrant Cascadian 2010-01-22
      Ubuntu: switch ubuntu to using add_mirrors function, moving
      security-mirror and updates-mirror handling into specific plugin, as
      it differs from Debian.  symlink manage-mirrors plugin, to Debian's.

 1560 Vagrant Cascadian 2010-01-22
      Debian: switch to using add_mirrors.

 1559 Vagrant Cascadian 2010-01-22
      Debian: new and improved add_mirrors function, deprecating
      add_mirror and add_multiple_mirrors. add backwards-compatibility
      functions. switch debian plugins to use add_mirrors.

 1558 Vagrant Cascadian 2010-01-22
      Debian: use vendor-specific functions for the add_mirror and
      add_multiple_mirrors functions.

 1557 Vagrant Cascadian 2010-01-22
      implement infrastructure for vendor-specific functions for
      ltsp-build-client.

 1556 Vagrant Cascadian 2010-01-22
      Debian: drop special-casing of security mirrors, as it is all
      handled in the security-mirror plugin directly.

 1555 Vagrant Cascadian 2010-01-22
      Debian: move all security mirror handling into security-mirror
      plugin.

 1554 Vagrant Cascadian 2010-01-22
      Debian: add missing semi-colon in case statement

 1553 Vagrant Cascadian 2010-01-22
      whitespace fix in localapps ldm plugin

 1552 Vagrant Cascadian 2010-01-22
      Debian: whitespace correction in security-mirror plugin

 1551 Alkis Georgopoulos	2010-01-22
      Also accept enter-separated EXTRA_MIRRORs, for more readable
      ltsp-build-client.conf

 1550 Gideon Romm	2010-01-20
      Move sourcing ltsp-common-functions back to the top of ltsp_config
      just to make absolutely sure that any script that sources
      ltsp_config gets ltsp-common-functions, too.

 1549 Alkis Georgopoulos	2010-01-20
      Ubuntu: allow the fat client DE to be defined in
      ltsp-build-client.conf

 1548 Alkis Georgopoulos	2010-01-20
      Ubuntu: if --fat-client was specified, default LTSP_FATCLIENT
      to True

 1547 Gideon Romm	2010-01-20
      Replace some extraneous calls to awk with shell built-ins

 1546 Vagrant Cascadian 2010-01-19
      New Japanese (ja) translation by Hideki Yamane.
      http://bugs.debian.org/565956

 1545 Stéphane Graber	2010-01-19
      Looks like sourcing ltsp_config doesn't always get us
      ltsp-common-functions (variable export works fine, function export
      doesn't), so sourcing it again in screen_session. Maybe we should
      always source it at the top of ltsp_config and stop sourcing
      it everywhere.

 1544 Gideon Romm	2010-01-19
      A few more optimizations and explanations of sourcing
      ltsp-common-functions

 1543 Stéphane Graber	2010-01-19
      Fix ltsp_config to not set PATH to empty ;)

 1542 Stéphane Graber	2010-01-19
      initramfs: Drop 2s sleep after starting nbd-proxy, screen-x-common:
      Source /usr/share/ltsp/ltsp-common-functions if needed

 1541 Stéphane Graber	2010-01-19
      nbd-proxy: Update nbd-proxy (complete daemon mode)

 1540 Stéphane Graber	2010-01-19
      nbd-proxy: Sync with internal branch + replace tabs by spaces

 1539 Alkis Georgopoulos	2010-01-19
      Ubuntu: respect ltsp-build-client.conf defaults

 1538 Vagrant Cascadian 2010-01-18
      updated translation template

 1537 Vagrant Cascadian 2010-01-18
      sync some eval_gettext strings across various distro plugins.

 1536 Vagrant Cascadian 2010-01-18
      allow --early-packages and --late-packages to override default
      values.

 1535 Vagrant Cascadian 2010-01-18
      screen-x-common: fix use of boolean_is_true before sourcing file
      with appropriate function.

 1534 Gideon Romm	2010-01-18
      ltsp_config now sources ltsp-common-functions, so we don't need
      to source it in scripts that also source ltsp_config

 1533 Gideon Romm	2010-01-18
      As per alkisg: Do not source ltsp_config if it has been already.

 1532 Gideon Romm	2010-01-18
      Make sure to ltsp_config sources ltsp-common-functions, as it
      needs it

 1531 Gideon Romm	2010-01-18
      Background configure_sound_volume to speed up boot process

 1530 Gideon Romm	2010-01-18
      Cache the value of NBD_SERVER that ltsp_config finds for those
      distros that use nbd but not the ltsp_nbd initramfs script

 1529 Alkis Georgopoulos	2010-01-18
      Make some plugins more ltsp-build-client.conf friendly

 1528 Alkis Georgopoulos	2010-01-18
      Force SOUND=False for fat clients

 1527 Alkis Georgopoulos	2010-01-18
      Use return 0 instead of return

 1526 Stéphane Graber	2010-01-16
      nbd-proxy: Turns out the current version isn't very functional
      (Bus error at boot time), let's revert to something less broken

 1525 Stéphane Graber	2010-01-16
      nbd-proxy: Fix e-mail address in case someone wants to complain ;)

 1524 Stéphane Graber	2010-01-16
      nbd-proxy: Replace new calls to printf by print_debug

 1523 Stéphane Graber	2010-01-16
      nbd-proxy: Replace tabs by spaces

 1522 Julien Desfossez	2010-01-16
      nbd-proxy: Resync from internal branch with changes from Julien
      Desfossez and David Goulet.

 1521 Vagrant Cascadian 2010-01-15
      Updated Spanish (es) translation by José Luis Redrejo Rodríguez.

 1520 Alkis Georgopoulos	2010-01-15
      Option to mount a server dir for apt package caching

 1519 Alkis Georgopoulos	2010-01-15
      Partial rewrite of the fat client script

 1518 Stéphane Graber	2010-01-15
      initramfs: Fix missing ltsp cache directory

 1517 Vagrant Cascadian 2010-01-14
      Updated Russian (ru) translation by Yuri Kozlov.
      http://bugs.debian.org/565293

 1516 Vagrant Cascadian 2010-01-14
      Updated German (de) translation by Wolfgang Schweer.
      http://bugs.debian.org/565261

 1515 Stéphane Graber	2010-01-14
      screen-x-common: Fix tty detection code to get the console number
      (what we actually want there)

 1514 Stéphane Graber	2010-01-14
      Implement some caching for NBD information

 1513 Stéphane Graber	2010-01-14
      Fix NBD server detection when using nbd-proxy

 1512 Stéphane Graber	2010-01-14
      Update the initramfs script to use nbd-proxy correctly

 1511 Stéphane Graber	2010-01-14
      nbd-proxy: Implement some debugging and start as daemon

 1510 Stéphane Graber	2010-01-14
      nbd-proxy: Replace tabs by spaces

 1509 Wim Muskee	2010-01-14
      Gentoo: remove stage symlink after install.

 1508 Vagrant Cascadian 2010-01-13
      Updated Greek (el) translation by Alkis Georgopoulos.

 1507 Vagrant Cascadian 2010-01-13
      Updated Swedish (sv) translation by Martin Bagge.
      http://bugs.debian.org/565198

 1506 Stéphane Graber	2010-01-13
      Update initramfs for nbd-proxy

 1505 Vagrant Cascadian 2010-01-13
      Updated Portuguese (pt) translation by Américo Monteiro.
      http://bugs.debian.org/565190

 1504 Stéphane Graber	2010-01-13
      fr.po: Update last-translator

 1503 Stéphane Graber	2010-01-13
      Update autogen.sh to build nbd-proxy

 1502 Stéphane Graber	2010-01-13
      Drop monitor_nbd, include nbd-proxy

 1501 Stéphane Graber	2010-01-13
      Update french translation after template update

 1500 Vagrant Cascadian 2010-01-13
      Updated Italian (it) translation by Vincenzo Campanella.

 1499 Vagrant Cascadian 2010-01-13
      updated translation template.

 1498 Vagrant Cascadian 2010-01-13
      ltsp-build-client: consistantly use lowercase and no period at
      the end for help output.

 1497 Vagrant Cascadian 2010-01-13
      fix typo: MOUNTPOUNT -> MOUNTPOINT

 1496 Vagrant Cascadian 2010-01-13
      rewrite code handling SERVER variable into nice simple case
      statement.

 1495 Vagrant Cascadian 2010-01-13
      handle NFS root with arbitrary paths.

 1494 Scott Balneaves	2010-01-12
      Per vagrant's suggestions, all in one loop now

 1493 Scott Balneaves	2010-01-12
      Per vagrant's quick eye, we might end up with nbd swap

 1492 Scott Balneaves	2010-01-12
      Change to better handle nbd mounts

 1491 Marc Gariepy	2010-01-12
      removing %f since it break firefox in localapps.

 1490 Wim Muskee	2010-01-11
      Gentoo: add extras USE to udev.

 1489 wim	2010-01-07
      Gentoo: add plugin to get latest stage from gentoo.

 1488 wim	2010-01-07
      Gentoo: sshs-fuse is stable now.

 1487 Vagrant Cascadian 2010-01-05
      drop the zzz from the ltsp-logout-action hook, as the timing isn't
      crucial to be run very last.

 1486 Stéphane Graber	2010-01-04 {ltsp-5.1.98}
      version 5.1.98

 1485 Stéphane Graber	2010-01-04
      Ubuntu: Make sure ureadahead doesn't run

 1484 Jonathan Carter	2010-01-04
      Ubuntu: Add experimental fat-client plugin

 1483 Vagrant Cascadian 2010-01-04
      add ldm hook for handling ltsp-logout-action.

 1482 Vagrant Cascadian 2010-01-04
      adapt restart/shutdown desktop files to use xatom method.

 1481 Vagrant Cascadian 2010-01-04
      change ldm-logout-action to ltsp-logout-action, to make it a more
      generic mechanism.

 1480 Stéphane Graber	2010-01-04
      Ubuntu: Drop the usplash magic for now as usplash no longer exists
      in Lucid

 1479 Vagrant Cascadian 2010-01-01
      Debian: error out when unable to select appropriate kernel.

 1478 Vagrant Cascadian 2010-01-01
      Debian: powerpc cross-architecture support is semi-functional with
      qemu 0.12.1

 1477 Vagrant Cascadian 2010-01-01
      Debian: partial support for cross-architecture mips and mipsel
      installs

 1476 Vagrant Cascadian 2010-01-01
      Debian: only 64 bit kernel is supported in Debian Lenny+ on sparc

 1475 Vagrant Cascadian 2009-12-27
      Updated Catalan (ca) translation by Jordà Polo
      http://bugs.debian.org/562710

 1474 Vagrant Cascadian 2009-12-24
      patch to support wildcards in lts.conf, by John S. Skogtvedt.
      http://bugs.debian.org/550989

 1473 Stéphane Graber	2009-12-23
      Implement experimental intelligent VT switching (only switch for
      the first screen and only if not already the current VT). Useful
      for multi-screen setup (screen-switching/user-switching) and for
      flickerless boot

 1472 Stéphane Graber	2009-12-22
      Redirect rdesktop output to null

 1471 Stéphane Graber	2009-12-21
      Restore hal in ltsp-core as Debian uses it

 1470 Stéphane Graber	2009-12-21
      Drop hal for Ubuntu

 1469 Stéphane Graber	2009-12-21 {ltsp-5.1.97}
      version 5.1.97

 1468 Stéphane Graber	2009-12-21
      Do not cat ldm-logout-action if it doesn't exist.

 1467 Marc Gariepy	2009-12-11
      Adding correction if gid exist but not the group.

 1466 Stéphane Graber	2009-12-11 {ltsp-5.1.96}
      version 5.1.96

 1465 Alkis Georgopoulos	2009-12-08
      Provide a way to reboot/halt from within the session

 1464 Warren Togami	2009-12-03 {ltsp-5.1.95}
      version 5.1.95

 1463 Warren Togami	2009-12-03
      Fedora: Fedora 12 client chroot kickstarts.

 1462 Vagrant Cascadian 2009-11-30
      Debian: add note (copied from Ubuntu plugin) to lts.conf describing
      that most variables are automatically detected.

 1461 Vagrant Cascadian 2009-11-30
      Debian: update plugin that generates lts.conf to mention manpage
      and ltsp-docs package.

 1460 Stéphane Graber	2009-11-25
      ltsp-cluster-info: Fix firefox not being able to load from ldm

 1459 Stéphane Graber	2009-11-25
      Fix typo in ltsp-init-common (block boot process)

 1458 Stéphane Graber	2009-11-24 {ltsp-5.1.94}
      version 5.1.94

 1457 Stéphane Graber	2009-11-24
      Fix CRONTAB so whitespaces can be added pretty much everywhere,
      fix SHUTDOWN_TIME to work as poweroff isn't inside cron's path

 1456 Gideon Romm	2009-11-24
      Only run XINITRC_COMMAND_ON_EXIT if the loop breaks.

 1455 Gideon Romm	2009-11-24
      Redirect ldm-dialog to /dev/null in case it isn't there, so it is
      not a hard dependency.

 1454 Gideon Romm	2009-11-24
      Added the ability to daemonize xinit commands for screen scripts
      such as rdesktop, and updated the rdesktop screen script.
      Also added some XINITRC_ variables to control behavior in the
      xinitrc loop, such as XINITRC_PROMPT_ON_EXIT which, when true,
      will prompt the user when the session is over to loop back without
      restarting X or to exit from the Xserver.

 1453 Stéphane Graber	2009-11-23
      Fix crontab regexp so it allows whitspaces, fix shutdown_time not
      working when no ldm socket

 1452 Gideon Romm	2009-11-22
      Add a server-side tmpdir cleanup.

 1451 Gideon Romm	2009-11-22
      Added ltsp-remoteapps support (beta). To work properly,
      ltsp-remoteappsd should be in /opt/ltsp/i386/usr/share/ltsp/,
      ltsp-remoteapps should be in /opt/ltsp/i386/usr/bin/, X51-remoteapps
      should be in /opt/ltsp/i386/usr/share/ldm/rc.d/.	AND, for now,
      REMOTE_APPS=True should be set in lts.conf.  This commit allows
      a local application to call:  ltsp-remoteapps <command>, such as
      ltsp-remoteapps oowriter to launch openoffice writer on the server.

 1450 Gideon Romm	2009-11-20
      Move all init functions into ltsp-init-common

 1449 Stéphane Graber	2009-11-19 {ltsp-5.1.93}
      version 5.1.93

 1448 Gideon Romm	2009-11-17
      Add %f so localapps can handle filename arguments properly

 1447 Gideon Romm	2009-11-16
      Actually, we should only quote arguments with spaces.

 1446 Gideon Romm	2009-11-16
      Fix localapps to allow for quoted argument with spaces, such as
      filename with spaces.

 1445 Stéphane Graber	2009-11-02
      udhcp: Patch from Alkis to properly handle spaces (multiple values)
      in dhcp reply

 1444 Vagrant Cascadian 2009-11-01
      Initial Czech (cs) translation by Miroslav Kure
      http://bugs.debian.org/553664

 1443 Vagrant Cascadian 2009-11-01
      New Polish (pl) translation by Wiktor Wandachowicz
      http://bugs.debian.org/553564

 1442 Vagrant Cascadian 2009-11-01
      Updated Russian (ru) translation by Yuri Kozlov
      http://bugs.debian.org/553545

 1441 Vagrant Cascadian 2009-10-29
      updated Italian (it) translation by Vincenzo Campanella

 1440 Stéphane Graber	2009-10-26 {ltsp-5.1.92}
      version 5.1.92

 1439 Stéphane Graber	2009-10-24
      ltsp-cluster: Do the required changes to use ltsp-cluster-info

 1438 Marc Gariepy	2009-10-23
      localapps: Make ssh follow symlinks by default

 1437 Scott Balneaves	2009-10-23
      Removed lts-parameters.txt support.  In future, please
      make all updates to parameters to the lts.conf.xml file in
      lp:~ltsp-docwriters/ltsp/ltsp-docs-trunk

 1436 Marc Gariepy	2009-10-23
      ltsp-update-image: Add --tftpbootdir to specify a different tftp
      directory

 1435 Marc Gariepy	2009-10-23
      ltsp-update-image: Add --exclude-dirs to add additional directories
      to exclude from the image

 1434 Vagrant Cascadian 2009-10-23
      Updated Finnish (fi) translation by Esko Arajärvi
      http://bugs.debian.org/552151

 1433 Vagrant Cascadian 2009-10-22
      added ltsp-info script to help get troubleshooting information.

 1432 Vagrant Cascadian 2009-10-22
      updated German (de) translation by Wolfgang Schweer
      http://bugs.debian.org/551648

 1431 Stéphane Graber	2009-10-22
      LTSP-Cluster: Add support for login time balancing

 1430 Vagrant Cascadian 2009-10-19
      Updated Swedish (sv) translation by Martin Bagge
      http://bugs.debian.org/551644

 1429 Vagrant Cascadian 2009-10-19
      updated Greek (el) translation by Alkis Georgopoulos

 1428 Vagrant Cascadian 2009-10-19
      Updated Spanish (es) translation by José Luis Redrejo Rodríguez

 1427 Vagrant Cascadian 2009-10-19
      Updated Portuguese (pt) translation by Américo Monteiro

 1426 Vagrant Cascadian 2009-10-18
      updated translation template.

 1425 Scott Balneaves	2009-10-14
      Fixed quoting and commandline issue per bug
      https://bugs.edge.launchpad.net/ubuntu/+source/ltsp/+bug/419081

 1424 Vagrant Cascadian 2009-10-12
      ltsp-build-client: remove un-used KMODULES variable.

 1423 Vagrant Cascadian 2009-10-12
      ltsp-build-client: use lsb_release longhand options

 1422 Vagrant Cascadian 2009-10-12
      Debian: added ltsp-chroot script.

 1421 Vagrant Cascadian 2009-10-11
      Debian/?: add Should-Start: hal to lsb headers, which puts it after
      hal if hal is installed, but doesn't fail if hal is not available.

 1420 Vagrant Cascadian 2009-10-11
      Debian/Ubuntu/?: fix missing ;; in case statement.

 1419 Vagrant Cascadian 2009-10-11
      Debian/Ubuntu: when updating kernels, use dpkg's
      --print-architecture instead of the deprecated
      --print-installation-architecture option.

 1418 Stéphane Graber	2009-10-09
      ltsp_config: Add ltsp-cluster support

 1417 Warren Togami	2009-10-06 {ltsp-5.1.91}
      version 5.1.91

 1416 Warren Togami	2009-10-06
      Fedora: chroot install needs lokkit, split into sub-package

 1415 Vagrant Cascadian 2009-10-04
      Debian: add support for selecting appropriate kernel package
      for kfreebsd.

 1414 Vagrant Cascadian 2009-10-04
      Debian: whitespace cleanup in 020-kernel-selection plugin

 1413 Stéphane Graber	2009-10-03 {ltsp-5.1.90}
      version 5.1.90

 1412 Vagrant Cascadian 2009-10-02
      Debian/Ubuntu: ltsp-core initscript: add Provides: ltsp-client-core,
      as that is what it is installed as in Debian/Ubuntu.

 1411 Stéphane Graber	2009-10-02
      Add example ltsp-restart and ltsp-shutdown desktop files

 1410 Stéphane Graber	2009-09-29
      localapps: If only cups-client and cups-bsd are installed, no
      /etc/cups directory exists so don't check for it and create it in
      all cases

 1409 Warren Togami	2009-09-28 {ltsp-5.1.89}
      version 5.1.89

 1408 Warren Togami	2009-09-28
      Fedora: Exclude more services that we don't want running on a
      thin client.

 1407 Warren Togami	2009-09-28
      Fedora: We don't want the nfs daemon running on the thin client.

 1406 Stéphane Graber	2009-09-27
      localapps: No need to call echo to print a single variable

 1405 Marc Gariepy	2009-09-27
      localapps: Add support for extra mount points

 1404 Stéphane Graber	2009-09-26
      localapps: Add a X-LTSP-NoChange flag that disable our rewritting
      of the Exec path in .desktop files

 1403 Vagrant Cascadian 2009-09-26
      updated translation template

 1402 Vagrant Cascadian 2009-09-26
      updated Vietnamese (vi) translation by Clytie Siddall.
      http://bugs.debian.org/548172

 1401 Stéphane Graber	2009-09-26
      Ubuntu: sudo-localapps is no longer needed as ldm-logout-action
      is implemented

 1400 Stéphane Graber	2009-09-26
      initscripts: Use log_action for boot messages, drop switch to vt7
      as usplash will switch to vt1 anyway, move ltsp-cluster bit before
      usplash to have the splash for as long as possible

 1399 Vagrant Cascadian 2009-09-25
      fix typo: nbd 2.9.13+

 1398 Vagrant Cascadian 2009-09-25
      nbdrootd: don't use -a option to set a timeout unless a second
      argument is passed. note that nbd 0.9.13+ removed support for the
      -a option entirely.

 1397 Vagrant Cascadian 2009-09-25
      initramfs: do not error if /etc/hostname is not writeable.

 1396 Vagrant Cascadian 2009-09-25
      initramfs: use ${rootmnt} variable instead of hard-coded /root

 1395 Stéphane Graber	2009-09-25
      localapps: Drop MY_LANG and instead simply put its content in the
      environment before calling ltsp-localappsd

 1394 Vagrant Cascadian 2009-09-24
      updated Vietnamese (vi) translation by Clytie Siddall.
      http://bugs.debian.org/548172

 1393 Stéphane Graber	2009-09-23
      localapps: Split ltsp-localappsd startup into its own script
      executed after the language is determined

 1392 Stéphane Graber	2009-09-23 {ltsp-5.1.88}
      version 5.1.88

 1391 Stéphane Graber	2009-09-23
      nbdroot: Make reconnection delay configurable

 1390 Stéphane Graber	2009-09-23
      nbdrootd: Set delay to 2 hours instead of 5 minutes

 1389 Stéphane Graber	2009-09-23
      Ubuntu: Set update and security mirrors correctly and upgrade
      chroot when building

 1388 Stéphane Graber	2009-09-23
      Ubuntu: Set --no-install-recommends by default through apt.conf

 1387 Stéphane Graber	2009-09-23
      nbdrootd: Disconnect after 5 minutes without network activity

 1386 Stéphane Graber	2009-09-22
      initramfs: Make sure /etc/hostname contains the right hostname

 1385 Stéphane Graber	2009-09-21 {ltsp-5.1.87}
      version 5.1.87

 1384 Vagrant Cascadian 2009-09-18
      Debian: add dbus and hal to the RC2_WHITELIST by default, otherwise
      keyboard and mouse may break with newer X.org.

 1383 Stéphane Graber	2009-09-18
      initramfs: Fix udhcp sending an uid to the server (causing two
      leases for each thin client)

 1382 Stéphane Graber	2009-09-18
      ltsp-cluster: don't always create an autologin account

 1381 Warren Togami	2009-09-17 {ltsp-5.1.86}
      version 5.1.86

 1380 Warren Togami	2009-09-17
      Fedora: Run new-kernel-pkg with --dracut parameter when it is needed

 1379 Warren Togami	2009-09-16
      Fedora: F-12 switch from mkinitrd to dracut

 1378 Vagrant Cascadian 2009-09-13
      add dnsmasq improvements largely provided by Alkis Georgopoulos:
      https://bugs.launchpad.net/ubuntu/+source/ltsp/+bug/428760

 1377 Warren Togami	2009-09-11
      Fedora: another s/initrd-generic/initramfs/ change

 1376 Vagrant Cascadian 2009-09-11
      prefer memtest86+ and memtest86 without the .bin extension, to work
      around bug(s) in pxelinux/memtest86*: http://bugs.debian.org/546219

 1375 Warren Togami	2009-09-10
      Fedora: install charge plymouth theme package

 1374 Warren Togami	2009-09-10
      Fedora: dracut's output filename was changed
      s/initrd-generic/initramfs/

 1373 Vagrant Cascadian 2009-09-09
      remove configure-x-xdebconfigurator, as xdebconfigurator is no
      longer maintained.

 1372 Vagrant Cascadian 2009-09-08
      updated Portuguese (pt) translation by Américo Monteiro
      http://bugs.debian.org/545386

 1371 Vagrant Cascadian 2009-09-08
      compatibility for common HORZSYNC/HORIZSYNC typo

 1370 Vagrant Cascadian 2009-09-07
      updated Portuguese (pt) translation by Américo Monteiro
      http://bugs.debian.org/545386

 1369 Stéphane Graber	2009-09-06
      Fedora/SuSE: Remove /bin/bash from ltsp-build-client scripts as
      they are sourced

 1368 Stéphane Graber	2009-09-06 {ltsp-5.1.85}
      version 5.1.85

 1367 Vagrant Cascadian 2009-09-06
      update translation template with corrected typo

 1366 Vagrant Cascadian 2009-09-06
      fix typo in description of --purge-chroot commandline option

 1365 Vagrant Cascadian 2009-09-06
      updated translation template

 1364 Vagrant Cascadian 2009-09-06
      Debian/?: mark ltsp-core initscript as executable.

 1363 Scott Balneaves	2009-09-03
      Added support for scanning.  Add SCANNER=True to lts.conf
      workstation entries.  Relies on a saned supported scanner, and
      saned supporting the -a option

 1362 Warren Togami	2009-09-01 {ltsp-5.1.84}
      version 5.1.84

 1361 Warren Togami	2009-09-01
      Fix detection of pulseaudio-0.9.16+

 1360 Vagrant Cascadian 2009-08-31
      Debian/Ubuntu: make init-premount/udhcp script executable.

 1359 Warren Togami	2009-08-31
      pulseaudio: Detect 0.9.16+ version where you need module-udev-detect

 1358 Warren Togami	2009-08-31
      Fedora: Do not replace /etc/rc.sysinit symlink with file, fix the
      symlink if it was broken prior.

 1357 Stéphane Graber	2009-08-30
      Add ltsp-remoteapps proof of concept

 1356 Stéphane Graber	2009-08-30
      Add udhcp initramfs script

 1355 Warren Togami	2009-08-26
      Fedora: dracut needs root=dhcp explicitly unlike mkinitrd

 1354 Warren Togami	2009-08-26
      Fedora: link the dracut initrd

 1353 Oliver Grawert	2009-08-20
      commit fix to configure-x.sh (LP bug #412034), thanks to Juha
      Erkkilä

 1352 Vagrant Cascadian 2009-08-19
      Debian/?: drop hal from LSB headers for ltsp-core, as not all
      environments really need hal, and it causes the package to fail
      to install if hal is not installed first.

 1351 Johnny Robeson	2009-08-19
      Gentoo: udev and fuse now have proper stable versions, removing
      them from the profile

 1350 Johnny Robeson	2009-08-19
      Gentoo: adding pulseaudio to global USE and making ccache optional

 1349 Johnny Robeson	2009-08-19
      fixing the double chroot bug by setting ROOT empty before quickstart
      and putting it back afterwords (thanks to Wim Muskee)

 1348 Stéphane Graber	2009-08-17 {ltsp-5.1.83}
      version 5.1.83

 1347 Stéphane Graber	2009-08-17
      localapp: Only run action on ssh socket if it exists

 1346 Stéphane Graber	2009-08-17
      Start monitor_nbd with start-stop-daemon as simply starting it in
      the background fails. Multi-distro solution are welcome, if any
      distro other than Debian and Ubuntu is using that script.

 1345 Stéphane Graber	2009-08-16 {ltsp-5.1.82}
      version 5.1.82

 1344 Stéphane Graber	2009-08-16
      Add monitor_nbd to restart nbd when it breaks

 1343 Vagrant Cascadian 2009-08-14
      Debian: no longer install squashfs-modules package for newer debian
      versions, as they are included in-kernel.

 1342 Vagrant Cascadian 2009-08-08
      Debian: fix typo with /var/cache/hald in initscripts

 1341 Vagrant Cascadian 2009-08-08
      Debian/?: update LSB headers to ensure that ltsp-core init script
      runs after hal to ensure that keyboards and mice are properly
      configured.

 1340 Vagrant Cascadian 2009-08-08
      Debian: add /var/lib/dbus and /var/cache/hal to rw_dirs, to ensure
      that newer versions of dbus and hal can start.

 1339 Vagrant Cascadian 2009-08-06 {ltsp-5.1.81}
      version 5.1.81

 1338 Warren Togami	2009-08-05
      Fedora: Reorganize the rwtab.d/k12linux entries

 1337 Warren Togami	2009-08-04
      Fedora: This should fully handle generic initrd wrapping too

 1336 Warren Togami	2009-08-04
      Fedora: Cleanup generic initrd's too

 1335 Warren Togami	2009-08-04
      Fedora: Fix initrd handling

 1334 Vagrant Cascadian 2009-08-04
      Debian: fix missing double-quite in previous patch. thanks again
      to Libor Klepáč.

 1333 Vagrant Cascadian 2009-08-04
      Debian: fix typo in previous commit. thanks to the ever vigilant
      Gadi!

 1332 Vagrant Cascadian 2009-08-04
      Debian: fix bug in cross-architecture handling when building i386
      on an amd64 server.  thanks to Libor Klepáč for the bug report.
      http://bugs.debian.org/539898

 1331 Vagrant Cascadian 2009-08-04
      update ltsp-localapps and ltsp-build-client manpages to use properly
      quoted minus signs, otherwise groff turns them into hyphens.

 1330 Warren Togami	2009-08-03 {ltsp-5.1.80}
      version 5.1.80

 1329 Warren Togami	2009-08-03
      Fedora: F12+ delete the other initrd

 1328 Warren Togami	2009-08-03
      Fedora: F12+ dracut initrd

 1327 Vagrant Cascadian 2009-08-03
      Debian: only add "shm-size-bytes" if not building a lenny
      environment, as it breaks on lenny.

 1326 Vagrant Cascadian 2009-08-03 {ltsp-5.1.79}
      version 5.1.79

 1325 Vagrant Cascadian 2009-07-30
      Debian/Ubuntu: fixed LSB initscript headers to run before mountall
      and drop $local_fs

 1324 Vagrant Cascadian 2009-07-30
      Debian/Ubuntu: updated LSB initscript headers

 1323 Vagrant Cascadian 2009-07-30
      Debian: pulseaudio: don't set disable-shm in configuration file,
      as it's passed on the commandline.

 1322 Vagrant Cascadian 2009-07-29
      Debian: fix minor typos in initscript config

 1321 Vagrant Cascadian 2009-07-29
      Debian: write a brief document describing how to use the cross-arch
      support.

 1320 Vagrant Cascadian 2009-07-29
      Debian: prefer qemu emulators that contain static in the name for
      cross-arch support.

 1319 Vagrant Cascadian 2009-07-29
      Debian: run pulseaudio-tweaks plugin in the finalization phase

 1318 Vagrant Cascadian 2009-07-29
      work around newer pulseaudio versions, requiring an absurd
      amount of ram and attempting to start hal modules we don't
      need. http://bugs.debian.org/537526

 1317 Vagrant Cascadian 2009-07-26
      Debian: switch from ltsp-chroot to using "chroot $ROOT" in
      debootstrap plugin, as ltsp-chroot isn't yet upstream.

 1316 Vagrant Cascadian 2009-07-26
      Debian: if unknown kernel type on cross-architecture installs, issue
      an error suggesting to use --kernel-packages commandline option.

 1315 Vagrant Cascadian 2009-07-25
      export ROOT, so that it's available to programs called from plugins.

 1314 Vagrant Cascadian 2009-07-25
      support cross-architecture builds using statically built qemu
      binaries (0.11+) and binfmt_misc. http://bugs.debian.org/480664

 1313 Vagrant Cascadian 2009-07-23
      Debian: updated location of lts.conf in comments of plugin which
      creates it.

 1312 Vagrant Cascadian 2009-07-22
      allow /srv/tftp as an alternative tftp
      location. http://bugs.debian.org/537639

 1311 Vagrant Cascadian 2009-07-22
      Debian: ensure that /var/lib/pulse is present and add to bind
      mounts.

 1310 Stéphane Graber	2009-07-22 {ltsp-5.1.78}
      version 5.1.78

 1309 Marc Gariepy	2009-07-22
      If present, change /etc/default/console-setup with the wanted
      layout so plugging USB keyboards will use it instead of falling
      back to default

 1308 Warren Togami	2009-07-21
      Fedora 12 is i686 minimum

 1307 Vagrant Cascadian 2009-07-21
      Debian: set OMITKILL=/dev/nbd0 in nbd-client config file, which
      prevents /dev/nbd0 from getting killed before the system is shut
      down (introduced in debian's nbd 1:2.9.13-2, but should not break
      older versions).

 1306 Warren Togami	2009-07-20
      /etc/modprobe.conf is deprecated, write to its own .d file instead

 1305 Oliver Grawert	2009-07-18
      Ubuntu: fix 010-cleanup-consoles plugin to work with upstart 0.6

 1304 Oliver Grawert	2009-07-18
      Ubuntu: add armel support (defaults to the imx51
      architecture and requires preparation described at
      https://wiki.ubuntu.com/ARM/BuildEABIChroot) as well as manual
      redboot netboot setup on the client

 1303 Vagrant Cascadian 2009-07-18 {ltsp-5.1.77}
      ltsp version 5.1.77

 1302 Vagrant Cascadian 2009-07-17
      issue warning of /etc/cron.d is not writeable when attempting to
      write cron file.

 1301 Vagrant Cascadian 2009-07-17
      lower default timeout on pxelinux boot menu to 5 seconds

 1300 Vagrant Cascadian 2009-07-17
      add /etc/cron.d to copy_dirs, remove /etc/cron.d/ltsp from copy_dirs

 1299 Vagrant Cascadian 2009-07-17
      Debian: add /etc/cron.d/ltsp to bindfiles

 1298 Vagrant Cascadian 2009-07-17
      use full path to tftp, to ensure that the binary is used to
      download lts.conf rather than the busybox built-in. thanks to Tobias
      Gruetzmacher for the suggestion. http://bugs.debian.org/537374

 1297 Vagrant Cascadian 2009-07-17
      initramfs-tools: use "panic" when issueing error message about NBD
      mount failing, to stop the user from seeing a bunch of hopeless
      gibberish about failed mounts. thanks to gadi and ogra.

 1296 Vagrant Cascadian 2009-07-17
      initramfs-tools ltsp_nbd hook: allow for other filesystems for
      the rofs mount.

 1295 Vagrant Cascadian 2009-07-17
      Debian: set KILLALL=false in nbd-client configuration so nbd root
      doesn't get disconnected before shutdown is completed.

 1294 Vagrant Cascadian 2009-07-17
      Debian: whitelist nbd-client in runlevel "S"

 1293 Johnny Robeson	2009-07-06
      Gentoo: adding svg useflag so cairo will build

 1292 Vagrant Cascadian 2009-07-05
      Debian: fix squashfs-image to add the appropriate module packages

 1291 Oliver Grawert	2009-07-05
      add devpts plugin to suppress noise on client building (LP: #294403)

 1290 Oliver Grawert	2009-07-05
      make the common/001-set-arch and Gentoo/001-set-arch plugins
      respect the ARCH anvironment vaiable so it can be used in
      ltsp-build-client.conf if wanted (LP: #372135), thanks to: Wim
      Muskee <wimmuskee@gmail.com> for the patch

 1289 Vagrant Cascadian 2009-07-04 [merge]
      merge pxelinux flexibility improvements

 1288 Stéphane Graber	2009-07-04
      ltsp-setup: Cron doesn't seem to do path completion

 1287 Stéphane Graber	2009-07-04
      ltsp-setup: Merge changes from Ubuntu

 1286 Stéphane Graber	2009-07-04
      ltsp-setup: Cleanup and remove bashims

 1285 Stéphane Graber	2009-07-04
      Update parameter list for shutdown_time and crontab

 1284 Marc Gariepy	2009-07-04
      Add support for CRONTAB_ entries and SHUTDOWN_TIME

 1283 Vagrant Cascadian 2009-06-28
      ltsp_nbd: default to using NBD_ROOT_SERVER when setting
      NBD_SWAP_SERVER and fetching lts.conf from tftp.

 1282 Marc Gariepy	2009-06-16
      ltsp-update-image: Add --no-comp to support non-compressed
      squashfs image

 1281 Marc Gariepy	2009-06-16
      fixes bug: https://launchpad.net/bugs/345914 ltsp-update-image:
      Do not remove the previous squashfs image before the new one is
      ready, handle mksquashfs errors and small code cleanup

 1280 Stéphane Graber	2009-06-14 {ltsp-5.1.76}
      version 5.1.76

 1279 Vagrant Cascadian 2009-06-13
      getltscfg-cluster: minor tweak to reduce calls to binaries

 1278 Vagrant Cascadian 2009-06-13
      do not mess with /etc/adjtime when syncing the hardware clock
      after ntpdate.

 1277 Stéphane Graber	2009-06-10
      ltsp-cluster: Sometimes the nbd entry shows twice, only take
      the first

 1276 Stéphane Graber	2009-06-09
      initramfs: Whitespace/tabs cleanup

 1275 Stéphane Graber	2009-06-09
      Ubuntu: Update 030-artwork for the new ldm themes

 1274 Vagrant Cascadian 2009-06-08
      use 'nc -z' to test that the XFS port is open. thanks to Peter
      Stein.

 1273 Warren Togami	2009-06-07
      Fedora: Comment out temp repo, and delete Fedora 9 configs.

 1272 Stéphane Graber	2009-06-03 {ltsp-5.1.75}
      version 5.1.75

 1271 Stéphane Graber	2009-06-03
      ltsp-localapps: If the Xauthority is in its own directory, then
      chown it to the user so the localapps can then lock it

 1270 Stéphane Graber	2009-06-03
      Don't hardcode opt/ltsp in ltsp-update-kernels (Thanks to Duncan
      Sands)

 1269 Stéphane Graber	2009-06-02
      ltsp-localapps: Also set LANGUAGE with the user's locale

 1268 Gideon Romm	2009-05-27
      Add reasonable default to ltsp_nbd's tftpath.  On some networks,
      I have seen a bug where the filename option is not passed properly
      and the download fails with a file not found error because the
      path is wrong.

 1267 Stéphane Graber	2009-05-25
      Ubuntu: Use Debian scripts when possible

 1266 Stéphane Graber	2009-05-22 {ltsp-5.1.74}
      version 5.1.74

 1265 Marc Gariepy	2009-05-15
      ltsp-localapps: Fix cases where the case doesn't match between
      what the user entered as login and the name given by getent on
      the server (happens with LDAP)

 1264 Gideon Romm	2009-05-12
      Use eval exec to free some memory in xinitrc.  Thanks, alkisg

 1263 Gideon Romm	2009-05-12
      Make xinitrc evaluate the COMMAND so that quoted arguments are
      treated properly.  Also, add the quoted argument of -u '' to the
      rdesktop screen script so that it defaults to no username.

 1262 Vagrant Cascadian 2009-05-11 {ltsp-5.1.73}
      version 5.1.73

 1261 Vagrant Cascadian 2009-05-11
      updated translation template

 1260 Vagrant Cascadian 2009-05-11
      added manpages for various localapps related programs

 1259 Vagrant Cascadian 2009-05-11
      updated ltsp-build-client man page: - include a CONFIG FILE
      section - drop distro-specific commandline options - add some
      missing commandline options - mention that it is usually run as root

 1258 Vagrant Cascadian 2009-05-08
      updated French translation by Jean-Baka Domelevo-Entfellner
      http://bugs.debian.org/527563

 1257 Warren Togami	2009-04-30 {ltsp-5.1.72}
      version 5.1.72

 1256 Warren Togami	2009-04-27
      Fedora: Note the official way to disable ltspbr0.

 1255 Warren Togami	2009-04-23 {ltsp-5.1.71}
      version 5.1.71

 1254 Warren Togami	2009-04-22
      Fedora: import all keys, ignore errors

 1253 Warren Togami	2009-04-22
      Fedora: Ensure that wrappers will work

 1252 Warren Togami	2009-04-22
      Fedora: Fix kickstart typo

 1251 Warren Togami	2009-04-22
      Fedora: Fedora 11 kickstart

 1250 Warren Togami	2009-04-22
      /dev/snd/* permissions might disallow pulse from access, explicitly
      allow it with fsacls.  Ignore any errors.

 1249 Warren Togami	2009-04-22
      /dev/dsp is only OSS, we don't use this anymore.	Die die die!

 1248 Vagrant Cascadian 2009-04-17
      ltsp-build-client: when using --purge-chroot commandline option, use
      --one-file-system option to rm, to reduce potential for disasterous
      mistakes when bind-mounting filesystems inside the chroot.

 1247 Stéphane Graber	2009-04-15
      Ubuntu: Fix locale

 1246 Warren Togami	2009-04-15 {ltsp-5.1.70}
      version 5.1.70

 1245 Warren Togami	2009-04-15
      Fedora: Fedora 11 configure plymouth graphical boot

 1244 Warren Togami	2009-04-15
      vmclient: Change default virtual eth from e1000 to rtl8139 since
      e1000 is broken.

 1243 Warren Togami	2009-04-15
      Fedora: Fix typo in mkinitrd config file

 1242 Vagrant Cascadian 2009-04-10
      ltsp-build-client common plugins: add --purge-chroot commandline
      option to force removal of chroot rather than exiting.

 1241 Vagrant Cascadian 2009-04-06
      Updated Finnish (fi) translation by Esko Arajärvi
      http://bugs.debian.org/522833

 1240 Vagrant Cascadian 2009-04-05
      updated Russian (ru) translation by Yuri Kozlov
      http://bugs.debian.org/522654

 1239 Vagrant Cascadian 2009-04-01 {ltsp-5.1.69}
      version 5.1.69

 1238 Vagrant Cascadian 2009-03-30
      updated Spanish (es) translation by José L. Redrejo Rodríguez

 1237 Ryan Niebur	2009-03-30 {ltsp-5.1.68}
      version 5.1.68

 1236 Ryan Niebur	2009-03-30
      no, no exporting the changelog

 1235 Ryan Niebur	2009-03-29 {ltsp-5.1.67}
      version 5.1.67

 1234 Ryan Niebur	2009-03-29
      make a ChangeLog

 1233 Ryan Niebur	2009-03-29 {ltsp-5.1.66}
      version 5.1.66

 1232 Vagrant Cascadian 2009-03-28
      new Greek translation by Άλκης Γεωργόπουλος
      (a.k.a. Alkis Georgopoulos)

 1231 Ryan Niebur	2009-03-27
      fix default vmclient configuration (patch from Dan Young)

 1230 Vagrant Cascadian 2009-03-26
      updated Catalan (ca) translation by Jordà Polo
      http://bugs.debian.org/521319

 1229 Vagrant Cascadian 2009-03-26
      Italian translation by Vincenzo Campanella
      http://bugs.debian.org/521250

 1228 Vagrant Cascadian 2009-03-24
      updated German translation by Wolfgang Schweer
      http://bugs.debian.org/521087

 1227 Vagrant Cascadian 2009-03-23
      added Swedish (sv) translation by Martin Bagge
      http://bugs.debian.org/520950

 1226 Vagrant Cascadian 2009-03-23
      updated ltsp po translation template

 1225 Stéphane Graber	2009-03-22 {ltsp-5.1.65}
      version 5.1.65

 1224 Stéphane Graber	2009-03-22
      Ubuntu: Make last fix even cleaner

 1223 Stéphane Graber	2009-03-22
      Ubuntu: Make last fix cleaner (thanks to Colin Watson)

 1222 Stéphane Graber	2009-03-22
      Ubuntu: Fix ltsp-build-client failure when trying to install a
      non-existent usplash theme

 1221 Stéphane Graber	2009-03-14
      Fix typo

 1220 Johnny Robeson	2009-03-09
      Gentoo: update stage uri link

 1219 Vagrant Cascadian 2009-03-08 {ltsp-5.1.64}
      version 5.1.64

 1218 Vagrant Cascadian 2009-03-08
      fix eval of channel volume

 1217 Gideon Romm	2009-03-03
      Another update - need to make sure channel name has no hyphens,
      as they are not allowed in variable names

 1216 Gideon Romm	2009-03-03
      Minor update to make sure sound setting code is set properly

 1215 Warren Togami	2009-03-02
      Fedora: Fedora 11 is now minimum i586 in all packages.

 1214 Warren Togami	2009-03-02
      Fedora: These were never useful, and are no longer shipped.

 1213 Gideon Romm	2009-03-02
      Minor changes to lts-parameters.txt

 1212 Stéphane Graber	2009-02-27 {ltsp-5.1.63}
      version 5.1.63

 1211 Stéphane Graber	2009-02-26
      Add default printer support for localapps too

 1210 Gideon Romm	2009-02-26
      Export COMMAND env variable with the command that was passed to
      xinitrc.	This can be useful for scripts to take session-specific
      actions

 1209 Gideon Romm	2009-02-26
      New sound volume setting code.  More flexible, so it can control
      all channels of a particular sound card.

 1208 Warren Togami	2009-02-25
      Fedora: F10+ plymouth graphical boot on supported hardware.

 1207 Stéphane Graber	2009-02-25
      Allow anonymous login on Pulse's unix socket and drop all the
      PULSE_SERVER=127.0.0.1, improves performances

 1206 Gideon Romm	2009-02-23
      BUGFIX: VideoRam should not be quoted - causes parse error in
      xorg.conf

 1205 Stéphane Graber	2009-02-18 {ltsp-5.1.62}
      version 5.1.62

 1204 Gideon Romm	2009-02-18
      Another fix for groups with spaces

 1203 Gideon Romm	2009-02-18
      Another fix for groups with spaces

 1202 Gideon Romm	2009-02-18
      Another fix for groups with spaces

 1201 Gideon Romm	2009-02-18
      Fix id (again) to accommodate groups with spaces

 1200 Stéphane Graber	2009-02-18 {ltsp-5.1.61}
      version 5.1.61

 1199 Stéphane Graber	2009-02-18
      ltsp-cluster: Replace hardcoded eth0 by the interface name

 1198 Gideon Romm	2009-02-18
      Fix bug that copies icon file without extension

 1197 Vagrant Cascadian 2009-02-16
      updated copyright/license header to include current FSF address

 1196 Vagrant Cascadian 2009-02-16
      updated copyright notice with current copy of GPL v2
      http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt

 1195 Vagrant Cascadian 2009-02-16
      updated copyright/license header to include correct FSF address

 1194 Stéphane Graber	2009-02-15
      ltsp_config: Drop the grep when loading lts.conf, getltscfg should
      be fixed not to error when the file is 100% comment

 1193 Vagrant Cascadian 2009-02-15
      ltsp-init-common: set default for PCM_VOLUME=90, as someone might
      likely set VOLUME=100 and maxing both could "saturate the speakers",
      says Gadi.

 1192 Vagrant Cascadian 2009-02-15
      ltsp-init-common: set other audio channels to use VOLUME as the
      default, rather than hard-coding 90 in all places.

 1191 Gideon Romm	2009-02-15
      Move X_VIRTUAL from screen_hacks to display_hacks

 1190 Stéphane Graber	2009-02-15
      ltsp-init-common: Make pulseaudio log to syslog and amixer output
      redirected to null

 1189 Gideon Romm	2009-02-15
      Fix timeserver code so ntpdate then sets the hwclock.  Otherwise,
      does not work properly.

 1188 Stéphane Graber	2009-02-15
      Ubuntu: Restore 030-default-lts-conf but add a minimal section so
      that it doesn't make the parser to fail

 1187 Stéphane Graber	2009-02-14
      Ubuntu: remove default-lts-conf

 1186 Vagrant Cascadian 2009-02-13
      rdesktop: remove cruft from older iteration of xinitrc.d handling

 1185 Vagrant Cascadian 2009-02-11
      delete un-used ChangeLog (precisely one entry since 2006)

 1184 Vagrant Cascadian 2009-02-09
      Debian/Ubuntu/?: use full "if ... ; then ... " for multi-line test
      in init script

 1183 Vagrant Cascadian 2009-02-09
      Debian/Ubuntu/?: use [ ! -w "/" ] to test for writeability of /

 1182 Stéphane Graber	2009-02-09 {ltsp-5.1.60}
      version 5.1.60

 1181 Stéphane Graber	2009-02-09
      localapps-menu: Fix XDG menu permissions (using getent)

 1180 Stéphane Graber	2009-02-09
      ltsp-cluster: Fix inventory.sh to return a clean output

 1179 Gideon Romm	2009-02-08
      Do not make CD and FRONT capture devices

 1178 Stéphane Graber	2009-02-08
      Ubuntu: Fix 025-locales (option locale isn't boolean)

 1177 Stéphane Graber	2009-02-08
      Ubuntu: Implement a complete configuration generator for
      ltsp-cluster

 1176 Stéphane Graber	2009-02-08 {ltsp-5.1.59}
      version 5.1.59

 1175 Stéphane Graber	2009-02-08
      Ubuntu: Create getltscfg-cluster.conf in the chroot not outside

 1174 Stéphane Graber	2009-02-08
      Ubuntu: Make sure /etc/ltsp/ exists before creating
      getltscfg-cluster.conf

 1173 Warren Togami	2009-02-06
      Fedora: kernel-2.6.29 F11+ renamed modules.modesetting to
      modules.drm.  Support both.

 1172 Gideon Romm	2009-02-03
      Added X_VIRTUAL to docs.

 1171 Gideon Romm	2009-02-03
      Added some parameters to the lts-parameters list in an endless
      effort to document.

 1170 Warren Togami	2009-02-03 {ltsp-5.1.58}
      version 5.1.58

 1169 Warren Togami	2009-02-03
      Fix the cleanup at startup script.

 1168 Warren Togami	2009-02-03
      Reorder the parts most likely to fail to the end.

 1167 Warren Togami	2009-02-03
      Fedora: make /var/cache/ltsp-localapps/ writable

 1166 Gideon Romm	2009-02-03
      Cleanup localapps cleanup

 1165 Warren Togami	2009-02-03 {ltsp-5.1.57}
      version 5.1.57

 1164 Warren Togami	2009-02-03
      Fix id parsing, allow /etc/group to be written on read-only /etc

 1163 Warren Togami	2009-02-03
      Fedora: disable crond, cups and exim in chroot

 1162 Vagrant Cascadian 2009-02-02
      localapps: only make a single call to getent group for all the
      groups

 1161 Stéphane Graber	2009-02-02
      ltsp-localapps: Make sure the user groups are added to /etc/group
      even if they are filtered from "getent group"

 1160 Vagrant Cascadian 2009-02-01 {ltsp-5.1.56}
      version 5.1.56

 1159 Gideon Romm	2009-02-01
      Change TryExec to just "xprop", as TryExec refers only to the
      excutable that must be present in the PATH in order for the item
      to display in the menus - not the actual command to run.	Thanks,
      alkisg.

 1158 Vagrant Cascadian 2009-01-31 [merge]
      use XDG_DATA_DIRS for setting up LOCAL_APPS_MENU rather than
      mucking with the user's home directory. XDG_DATA_DIRS
      is defined in the freedesktop.org spec:
      http://standards.freedesktop.org/basedir-spec/basedir-spec-0.5.html

 1157 Oliver Grawert	2009-01-31
      add proper copyright header to configure-x.sh (all people were added
      based on best knowledge and code commits, please add yourself or
      people you committed code for in case i forgot someone)

 1156 Oliver Grawert	2009-01-31
      add proper copyright header to xinitrc (all people were added based
      on best knowledge and code commits, please add yourself or people
      you committed code for in case i forgot someone)

 1155 Oliver Grawert	2009-01-31
      add proper copyright header to ltsp_config (all people were added
      based on best knowledge and code commits, please add yourself or
      people you committed code for in case i forgot someone)

 1154 Oliver Grawert	2009-01-31
      add proper copyright header to update-kernels (all people were added
      based on best knowledge and code commits, please add yourself or
      people you committed code for in case i forgot someone)

 1153 Oliver Grawert	2009-01-31
      add proper copyright header to screen_session (all people were added
      based on best knowledge and code commits, please add yourself or
      people you committed code for in case i forgot someone)

 1152 Oliver Grawert	2009-01-31
      add proper copyright header to nbdswapd (all people were added
      based on best knowledge and code commits, please add yourself or
      people you committed code for in case i forgot someone)

 1151 Oliver Grawert	2009-01-31
      add proper copyright header to nbdrootd (all people were added
      based on best knowledge and code commits, please add yourself or
      people you committed code for in case i forgot someone)

 1150 Oliver Grawert	2009-01-31
      add proper copyright header to ltsp-swapfile-delete (all people
      were added based on best knowledge and code commits, please add
      yourself or people you committed code for in case i forgot someone)

 1149 Oliver Grawert	2009-01-31
      add proper copyright header to ltsp-keys (all people were added
      based on best knowledge and code commits, please add yourself or
      people you committed code for in case i forgot someone)

 1148 Oliver Grawert	2009-01-31
      add proper copyright header to ltsp-build-client (all people were
      added based on best knowledge and code commits, please add yourself
      or people you committed code for in case i forgot someone)

 1147 Oliver Grawert	2009-01-31
      add proper copyright header to ltsp-update-kernels (all people
      were added based on best knowledge and code commits, please add
      yourself or people you committed code for in case i forgot someone)

 1146 Oliver Grawert	2009-01-31
      add proper copyright header to ltsp-update-sshkeys (all people
      were added based on best knowledge and code commits, please add
      yourself or people you committed code for in case i forgot someone)

 1145 Oliver Grawert	2009-01-31
      add proper copyright header to ltsp-update-image (all people were
      added based on best knowledge and code commits, please add yourself
      or people you committed code for in case i forgot someone)

 1144 Oliver Grawert	2009-01-31
      add proper copyright header to ltsp_nbd

 1143 Warren Togami	2009-01-29 {ltsp-5.1.55}
      version 5.1.55

 1142 Warren Togami	2009-01-29
      Fix default setting of ALSA hardware volume.  This worked earlier,
      but it broke after we added alsa-plugins-pulseaudio to the chroot
      to allow localapps to use sound, which redirected the default ALSA
      output to pulseaudio instead of hardware.  WARNING: This triples
      the default software volume and will be a big surprise if your
      speakers are maxed out.

 1141 Warren Togami	2009-01-28 {ltsp-5.1.54}
      version 5.1.54

 1140 Warren Togami	2009-01-28
      Fedora: Fix ltsp-build-client, missing semicolons

 1139 Vagrant Cascadian 2009-01-28
      Debian/Ubuntu: only run popularity-contest script once per week
      if it's configured in cron.weekly

 1138 Warren Togami	2009-01-28 {ltsp-5.1.53}
      version 5.1.53

 1137 Warren Togami	2009-01-28
      Fedora: Do not killall5 during shutdown, necessary for shutdown
      to succeed with nbd root

 1136 Warren Togami	2009-01-28
      Kill everything launched by ltsp-client-launch before itself
      is killed.

 1135 Johnny Robeson	2009-01-27
      Gentoo: adding udev and sysvinit deps

 1134 Johnny Robeson	2009-01-26
      Gentoo: move joystick,xdm deps to ltsp-client,ldm respectively

 1133 Stéphane Graber	2009-01-25
      Ubuntu: Fix plugins symlinks (they were absolute instead of
      relative)

 1132 Vagrant Cascadian 2009-01-25
      codingstyle cleanup: use full 'if ; then ; fi' for tests that span
      more than a single line

 1131 Vagrant Cascadian 2009-01-25
      if TIMESERVER=auto, set TIMESERVER to the root filesystem server

 1130 Johnny Robeson	2009-01-25
      Gentoo: do lts.conf in ltsp-client ebuild

 1129 Stéphane Graber	2009-01-25
      Update fr.po headers

 1128 Vagrant Cascadian 2009-01-25
      Debian/Ubuntu: fix popularity-contest plugin to work with newer
      versions of popularity-contest (1.45+)

 1127 Johnny Robeson	2009-01-25
      drop ~arch ubuntulooks, gtk-engines will work just fine

 1126 Stéphane Graber	2009-01-24 {ltsp-5.1.52}
      version 5.1.52

 1125 Stéphane Graber	2009-01-24
      Ubuntu: Resync plugins with Debian

 1124 Stéphane Graber	2009-01-24
      Update .po, translate remaining french strings

 1123 Gideon Romm	2009-01-24
      Accommodate ICON with extension (even though this is technically
      not kosher according to the spec) but do so with a single find
      command, as find can be expensive.  Don't want to do it twice.

 1122 Vagrant Cascadian 2009-01-24
      mention version and package in headers

 1121 Vagrant Cascadian 2009-01-24
      fix licensing comments to refer to ltsp.

 1120 Gideon Romm	2009-01-24
      Make X_COLOR_DEPTH apply when not specifying a pre-defined xorg.conf
      file (as was probably originally the intent).  Thanks, AliksG.

 1119 Stéphane Graber	2009-01-24
      ltsp-genmenu: Fix cases where Icon=iconname.png. Code cleanup
      (trailing spaces, empty lines)

 1118 Stéphane Graber	2009-01-23
      Update translation template

 1117 Vagrant Cascadian 2009-01-23
      Debian: link to Ubuntu plugin for adding loopback to
      /etc/network/interfaces

 1116 Stéphane Graber	2009-01-23
      ltsp-cluster: Get the configuration from ltsp-client-setup as well

 1115 Stéphane Graber	2009-01-22
      Drop that last change, the issue I was trying to fix was caused
      by something else (packaging)

 1114 Stéphane Graber	2009-01-22
      ltsp-cluster: Make ltsp_config update the client configuration

 1113 Stéphane Graber	2009-01-22
      localapps: Add LOCAL_APPS_MENU_ITEMS to ltsp-genmenu's environment

 1112 Warren Togami	2009-01-21 {ltsp-5.1.51}
      version 5.1.51

 1111 Warren Togami	2009-01-21
      Fedora: Fedora 11 support

 1110 Warren Togami	2009-01-21
      Fedora: Allow rpm key import to fail (not really needed, necessary
      on rawhide)

 1109 Stéphane Graber	2009-01-21 {ltsp-5.1.50}
      version 5.1.50

 1108 Warren Togami	2009-01-21
      Fedora: Silence F10 asound.state and F9 /var/lib/random-seed
      during shutdown

 1107 Stéphane Graber	2009-01-20
      Remove localapps-menu as it's no longer necessary with Gadi's
      new ltsp-genmenu

 1106 Gideon Romm	2009-01-19
      New ltsp-genmenu script replaces menu entries in the xdg menu with
      localapps entries transparently.

 1105 Vagrant Cascadian 2009-01-19
      Debian: add /etc/cups and /media to copy_dirs

 1104 Vagrant Cascadian 2009-01-19
      Debian: typo: --no-guess-proxy does not require an argument

 1103 Vagrant Cascadian 2009-01-19
      Debian: add plugin to guess http proxy settings from apt.  - add
      --no-guess-proxy option to disable - add --http-proxy to override
      the setting from apt

 1102 Stéphane Graber	2009-01-19
      ltsp-localapps: Add CUPS_SERVER to be used to specify a separate
      cups server

 1101 Vagrant Cascadian 2009-01-18
      localapps: put server and client group information into a separate
      file, so that /etc/group is always properly pruned of dupes.

 1100 Warren Togami	2009-01-16
      Moved F9 live config to bzr.fedoraproject.org.

 1099 Warren Togami	2009-01-16
      Put symlink to yaboot and yaboot.conf in the right place, fixes
      ppc netboot.

 1098 Stéphane Graber	2009-01-15
      ltsp-cluster: Fix hardware inventory

 1097 Stéphane Graber	2009-01-15 {ltsp-5.1.49}
      version 5.1.49

 1096 Stéphane Graber	2009-01-15
      screen-session.d: Force XAA acceleration for geode GX2

 1095 Johnny Robeson	2009-01-15
      Gentoo: adding /etc/lts.conf to the list of bindfiles

 1094 Stéphane Graber	2009-01-15
      ltsp-cluster: Move the initial configuration from ltsp_config to
      the init script, add the "prompt" action to getltscfg-cluster,
      code cleanup.

 1093 Stéphane Graber	2009-01-15
      ltsp-cluster: Update ltsp-build-client plugin

 1092 Stéphane Graber	2009-01-14 {ltsp-5.1.48}
      version 5.1.48

 1091 Stéphane Graber	2009-01-13
      ltsp-cluster: Revert last changes as it doesn't work.

 1090 Stéphane Graber	2009-01-13
      ltsp-cluster: Turn off caching as it's causing some bugs and
      doesn't help that much

 1089 Stéphane Graber	2009-01-13
      ltsp-cluster: Use ltsp-cluster's autologin only when LDM_USERNAME
      isn't set

 1088 Stéphane Graber	2009-01-13
      localapps: id is translated so set LANG to C

 1087 Gideon Romm	2009-01-11
      Make ltsp-localapps use all arguments passed to it and not just
      the first to execute a command with arguments.

 1086 Gideon Romm	2009-01-10
      Make the XRANDR_AUTO_MULTIHEAD code just a bit more clever -
      hopefully doing the right thing more often.

 1085 Vagrant Cascadian 2009-01-09 {ltsp-5.1.47}
      version 5.1.47

 1084 Gideon Romm	2009-01-09
      Handle localapps groups when a server system group conflicts with
      a client system group.

 1083 Vagrant Cascadian 2009-01-08
      typo: fix sed expression to remove trailing commas in when setting
      groups for localapps

 1082 Vagrant Cascadian 2009-01-08
      typo: add missing ")" when setting myGroups

 1081 Johnny Robeson	2009-01-08
      Gentoo: don't need to force portage 2.2 anymore

 1080 Johnny Robeson	2009-01-08
      Gentoo: s/stage_url/stage_url/

 1079 Gideon Romm	2009-01-08
      Keep xauth xinit script quiet.

 1078 Vagrant Cascadian 2009-01-07
      use /usr/bin/id instead of /usr/bin/groups to check for pam_groups
      stuff

 1077 Vagrant Cascadian 2009-01-07
      copy group file instead of mv'ing it (needed for bind mounted
      /etc/group)

 1076 Stéphane Graber	2009-01-07 {ltsp-5.1.46}
      version 5.1.46

 1075 Stéphane Graber	2009-01-07
      localapps: Fix group separation when adding the user

 1074 Gideon Romm	2009-01-07
      Export sound environment variables and setup alsa to go through
      pulseaudio for non-LDM screen scripts

 1073 Gideon Romm	2009-01-07
      Minor error in unsetting shell var.

 1072 Stéphane Graber	2009-01-07 {ltsp-5.1.45}
      version 5.1.45

 1071 Vagrant Cascadian 2009-01-02
      Debian/Ubuntu: use initramfs-tools's configure_networking
      function instead of re-implementing it in our own code. this
      will break support for alternate DHCP port until it is adopted in
      initramfs-tools: http://bugs.debian.org/509077

 1070 Vagrant Cascadian 2008-12-31
      no need to check if display_hacks is set, as write_display will
      output nothing

 1069 Vagrant Cascadian 2008-12-31
      trigger write_xorg_conf if display_hacks is set also

 1068 Vagrant Cascadian 2008-12-31
      set up a write_display function: - call from write_screen if
      display_hacks is set - convert X_MODES_* hook to use display_hacks -
      create a single display section rather than one for each hard-coded
      depth

 1067 Vagrant Cascadian 2008-12-31
      if X_MODE_[0-2] are set and xrandr is disabled, generate a Display
      section with the defined modes.

 1066 Vagrant Cascadian 2008-12-31
      split write_* functions out into separate hook, so it is possible
      to add hooks with custom functions

 1065 Vagrant Cascadian 2008-12-31
      reduce places where ${XCONF} is written to down to one by putting
      all write_* calls into a single function, and only calling that
      function if appropriate *_hacks variables are set.

 1064 Vagrant Cascadian 2008-12-30
      add some spacing when adding Monitor to the Screen section

 1063 Gideon Romm	2008-12-30
      Fix resetting IFS code.

 1062 Gideon Romm	2008-12-30
      Fix localapps code so that it works both with Active Directory
      groups AND pam_group groups.

 1061 Stéphane Graber	2008-12-29
      Ubuntu: Add a symlink to Debian's mount-cdrom

 1060 Stéphane Graber	2008-12-29 {ltsp-5.1.44}
      version 5.1.44

 1059 Vagrant Cascadian 2008-12-29
      Debian/Ubuntu: if no hostname is defined, generate a
      hostname based on ip or mac address, defaulting to ip
      address. http://bugs.debian.org/483760

 1058 Vagrant Cascadian 2008-12-29
      fix awk expression for real, thanks to Gadi!

 1057 Vagrant Cascadian 2008-12-29
      Debian: add hackish 099-mount-cdrom plugin

 1056 Vagrant Cascadian 2008-12-29
      fix gawk-ism in awk call

 1055 Vagrant Cascadian 2008-12-28 {ltsp-5.1.43}
      version 5.1.43

 1054 Vagrant Cascadian 2008-12-28
      use full "if [ ]; then ; fi" instead of "[ ] && \" style multi-line
      tests

 1053 Vagrant Cascadian 2008-12-28
      if a Monitor section is being generated, reference the monitor
      from the Screen section

 1052 Vagrant Cascadian 2008-12-28
      check X_VIRTUAL_AUTO using boolean_is_true

 1051 Vagrant Cascadian 2008-12-28
      make X_MODULE_* and X_MONITOR_* more robust in the face of empty
      variables

 1050 Vagrant Cascadian 2008-12-28
      only trigger when X_DEVICE_OPTION_* and/or X_OPTION_* are set

 1049 Vagrant Cascadian 2008-12-28
      have assembleXorgConf handle all the writing to XCONF, rather than
      in each function.

 1048 Vagrant Cascadian 2008-12-28
      Debian/Ubuntu: no longer call configure_x function from init script,
      as it was removed

 1047 Gideon Romm	2008-12-26
      Generate xauth file for non-ldm screen scripts in xinitrc

 1046 Stéphane Graber	2008-12-23 {ltsp-5.1.42}
      ltsp-5.1.42

 1045 Stéphane Graber	2008-12-23
      localapps: Also export LANG= so firefox and other localapps appear
      in the right language

 1044 Stéphane Graber	2008-12-23
      ltsp-cluster: Handle guestlogin correctly

 1043 Gideon Romm	2008-12-23
      export X_DEVICE_OPTION_* to the environment so the env check picks
      it up for sure.

 1042 Vagrant Cascadian 2008-12-19
      use a single call to grep

 1041 Vagrant Cascadian 2008-12-19
      test for non-empty X_VIRTUAL_AUTO before running lspci

 1040 Stéphane Graber	2008-12-19 {ltsp-5.1.41}
      version 5.1.40

 1039 Stéphane Graber	2008-12-19
      getltscfg-cluster: Send filter when login/logout so that logging
      it actually works

 1038 Gideon Romm	2008-12-19
      Make intel-virtual-hack use lspci instead of hal, so it works on
      distros with no hal in the chroot.

 1037 Gideon Romm	2008-12-18
      Support X_OPTION_ and X_DEVICE_OPTION_ (which was what it was
      called in LTSP4)

 1036 Warren Togami	2008-12-18
      TODO: airlied suggests trying option "UseFBDev" "true", where the
      r128 driver uses fbdev possibly with a little more perfomance than
      fbdev directly.  I wont have a chance to test this for a few weeks.
      https://bugzilla.redhat.com/show_bug.cgi?id=445419

 1035 Warren Togami	2008-12-18
      Fedora: Cleanups of chroot kickstart scripts.

 1034 Gideon Romm	2008-12-18
      Change all hacks that set vars to just set vvars and happen earlier
      (XS20)

 1033 Gideon Romm	2008-12-18
      geode hack should just set lts.conf vars - not be called in
      a function

 1032 Warren Togami	2008-12-18
      Force ppc ATI Rage 128 to use fbdev because it was broken for many
      years now.

 1031 Gideon Romm	2008-12-18
      Clean up X* code to only create/call functions when needed.

 1030 Gideon Romm	2008-12-18
      Changed geode hack to set COnFIGURE_X.

 1029 Gideon Romm	2008-12-18
      Fix comments to make sense.

 1028 Gideon Romm	2008-12-18
      Added support for the X_VIDEO_RAM parameter in lts.conf

 1027 Warren Togami	2008-12-18
      Fedora: Hopefully a complete list of PPC MAC addresses

 1026 Warren Togami	2008-12-18
      Fedora: yaboot.conf needs no delay because there are no other
      boot options

 1025 Warren Togami	2008-12-18
      Fedora: add another PPC MAC prefix

 1024 Warren Togami	2008-12-18
      Fedora: Autodetect PPC Mac's and give them the ppc root-path.
      This list of PPC MAC addresses is likely incomplete.

 1023 Gideon Romm	2008-12-18
      Kill off configure-x.sh.	(Can still be enabled with:
      CONFIGURE_X_COMMAND=/usr/share/ltsp/configure-x.sh).  Now,
      CONFIGURE_X is false (ie no xorg.conf file is created) unless a
      variable is set that requires it (XSERVER, X_*, ...).  There is
      also an XRANDR_DISABLE var (default unset) that if set to True
      will disable the XRANDR_* functions (in case someone is using
      their own xorg.conf to force things or some such).

 1022 Vagrant Cascadian 2008-12-17 {ltsp-5.1.40}
      version 5.1.40

 1021 Johnny Robeson	2008-12-17
      Gentoo: use funtoo stage3, since it is more up to date

 1020 Vagrant Cascadian 2008-12-17
      split X_CONF setting into separate hook

 1019 Vagrant Cascadian 2008-12-17
      clean ups: fix indentation and get rid of unused for loop

 1018 Vagrant Cascadian 2008-12-17
      updated README to mention XS and XK scripts.

 1017 Vagrant Cascadian 2008-12-17
      renumbered screen-session.d/XS* to make it easier to insert hooks
      before and after other hooks

 1016 Vagrant Cascadian 2008-12-17
      correct typo in useage function: -base, not -basedir

 1015 Vagrant Cascadian 2008-12-17
      updated ltsp-update-image manpage taken from Ubuntu: - specify
      "base" argument rather than "basedir"

 1014 Stéphane Graber	2008-12-17
      ltsp-cluster: Drop display= from getltscfg-cluster as it's not
      shown in the web UI and doesn't seem to work anyway

 1013 Vagrant Cascadian 2008-12-17
      fix typo: look for $XCONF rather than hard-coded path

 1012 Stéphane Graber	2008-12-16 {ltsp-5.1.39}
      version 5.1.39

 1011 Stéphane Graber	2008-12-16
      Make the rdesktop script use X_ARGS

 1010 Warren Togami	2008-12-16
      Fedora: yaboot cannot be in a directory due to OFW bugs =(

 1009 Warren Togami	2008-12-16
      Fedora: ltsp-update-image skips non-directories and allows optional
      updating of only a specified arch

 1008 Warren Togami	2008-12-16
      Fedora: Specify full path of ppc kernel and initrd for yaboot,
      because OFW is lame

 1007 Warren Togami	2008-12-16
      OFW on Mac is lame, it cannot tftp from a directory.

 1006 Warren Togami	2008-12-16
      Fedora: SPARC elftoaout and piggyback support for netboot.
      Still needs more work to make this complete for SPARC.
      http://wiki.auroralinux.net/wiki/BuildingTFTPImages
      http://wiki.auroralinux.net/wiki/NetBootRarp

 1005 Warren Togami	2008-12-15
      Fedora: Theoretically this is what we need to fully configure
      netboot.

 1004 Warren Togami	2008-12-15
      Fedora: correct typo

 1003 Warren Togami	2008-12-15
      Fedora: Support ppc chroot creation on F10

 1002 Warren Togami	2008-12-15
      Fedora: mkelfimage and wraplinux are only i386 and x86-64

 1001 Warren Togami	2008-12-15
      Fedora: xorg-x11-drivers pulls in openchrome, so we do not want
      to list it explicitly, as it does not exist on other archs like ppc.
	      Fedora 8 did not, however we do not support 8.  Will need
	      to list it manually when we later support RHEL5.

 1000 Stéphane Graber	2008-12-15
      Source ltsp-common-functions from screen_session

  999 Gideon Romm	2008-12-15
      Set Xserver ARGS at the end, when we have a conf file.

  998 Gideon Romm	2008-12-15
      Add Xserver ARGS if X_CONF=/var/run/ltsp-xorg.conf

  997 Warren Togami	2008-12-12 {ltsp-5.1.38}
      version 5.1.38

  996 Warren Togami	2008-12-12
      Fix whitelist enforcement to work properly, thanks stgraber for
      code review

  995 Warren Togami	2008-12-12
      If LOCAL_APPS_APPS_WHITELIST is defined, reject anything not listed.
      Allow by default.

  994 Stéphane Graber	2008-12-12
      ltsp-cluster: Drop fixxorg from getltscfg-cluster, they will be
      moved as screen-session.d either Ubuntu-specifc or ltsp-wide

  993 Gideon Romm	2008-12-12
      Fix bug in XS98-sync-ranges

  992 Gideon Romm	2008-12-12 [merge]
      Fix bug in XS99-assembleXorgConf

  991 Gideon Romm	2008-12-12
      Fix bug in XS99-assembleXorgConf

  990 Warren Togami	2008-12-11 {ltsp-5.1.37}
      version 5.1.37

  989 Warren Togami	2008-12-11
      Fedora: LDM_SYSTEMWIDE_DMRC renamed to LDM_GLOBAL_DMRC.

  988 Vagrant Cascadian 2008-12-11
      only check for geode if XSERVER isn't set.

  987 Warren Togami	2008-12-11
      Make it possible for lts.conf to force a different video driver
      (like vesa) for debugging.

  986 Warren Togami	2008-12-11
      Force AMD Geode GX2 to use the geode driver, since upstream X.org
      is incapable of detecting this at the moment.  This will cause
      Geode GX1 to fail... which seems OK because GX1 is less common
      and already fails for other reasons.

  985 Warren Togami	2008-12-11
      find cannot handle paths

  984 Warren Togami	2008-12-11
      Fail out if autogen.sh failed.

  983 Gideon Romm	2008-12-10 [merge]
      Added screen-session directory scripts to handle setting up
      of the X environment.  Should replicate the essential parts of
      configure-x.sh, eliminating the need for configure-x.sh

  982 Stéphane Graber	2008-12-10
      ltsp-cluster: Fix typo in I00-cluster

  981 Warren Togami	2008-12-09
      Fedora: LDM_SYSTEMWIDE_DMRC and note that LDM_DIRECTX is very
      insecure

  980 Vagrant Cascadian 2008-12-08
      Debian: set LTSP_CONFIG=True in lts.conf to avoid warnings from
      getltscfg when lts.conf contains no variables

  979 Vagrant Cascadian 2008-12-08
      Debian: drop default setting for X_COLOR_DEPTH in lts.conf

  978 Vagrant Cascadian 2008-12-08
      allow for LTSP_CONFIG=False

  977 Vagrant Cascadian 2008-12-08
      ensure ltsp 4.x compatibility variables are exported

  976 Vagrant Cascadian 2008-12-08
      switch screen_session to use run_parts_list function

  975 Vagrant Cascadian 2008-12-08
      add optional prefix limitation to run_parts_list function

  974 Johnny Robeson	2008-12-08
      Gentoo: remove VIDEO_CARDS=vesa.. now it will install all drivers

  973 Warren Togami	2008-12-07 {ltsp-5.1.36}
      version 5.1.36

  972 Warren Togami	2008-12-07
      Fedora: new name for the live quickstart guide.

  971 Johnny Robeson	2008-12-06
      Gentoo: drop configure_localdev

  970 Johnny Robeson	2008-12-06
      Gentoo: add TIMEZONE and TIMESERVER support

  969 Johnny Robeson	2008-12-06
      Gentoo: forcing portage 2.2 for automatic blocker resolution

  968 Stéphane Graber	2008-12-05
      Add example screen-session.d script

  967 Stéphane Graber	2008-12-05
      Implement screen-session.d to source scripts before and after the
      screen.d script (used to tweak X or change the environment)

  966 Warren Togami	2008-12-04
      Fedora: /etc/cups/client.conf must be writable specifically for
      local apps printing to printers plugged directly into the client.
      User must also manually install cups into the client chroot for
      this to work.

  965 Gideon Romm	2008-11-30 [merge]
      Merged xrandr support from separate branch.

  964 Oliver Grawert	2008-11-27
      Ubuntu: add 010-mount-devpts plugin, to quieten down dpkg messages
      in ltsp-build-client moaning about /dev/pts not being available

  963 Stéphane Graber	2008-11-24
      localapp: Set the full path to 'groups'

  962 Stéphane Graber	2008-11-24
      localapp: Use groups instead of a long getent + parsing (make
      pam_group to work too)

  961 Stéphane Graber	2008-11-23
      Remove unused parameter from lts-parameters.txt

  960 Stéphane Graber	2008-11-23
      ltsp-cluster: The call to getltscfg-cluster in I00-cluster is
      useless, environment is already set

  959 Stéphane Graber	2008-11-23 {ltsp-5.1.35}
      version 5.1.35

  958 Stéphane Graber	2008-11-23
      Make xinitrc executable

  957 Stéphane Graber	2008-11-23
      Update screen_session so when ltsp-cluster is used screen scripts
      can be changed on logout and environement is always clean. Won't
      affect standard ltsp

  956 Stéphane Graber	2008-11-21
      Move the x-keyboard-settings script to ltsp xinitrc.d

  955 Stéphane Graber	2008-11-21
      Add the ltsp-cluster xinit script, reindex the dpms xinit scripts
      to 10 instead of 00

  954 Stéphane Graber	2008-11-21
      localapps: Workaround freedesktop bug #17923

  953 Vagrant Cascadian 2008-11-20
      Debian: drop use of configure_localdev function, which is entirely
      handled in ltspfs itself now.

  952 Stéphane Graber	2008-11-20
      Add ltsp-cluster scripts, update ltsp_config for that change

  951 Gideon Romm	2008-11-20
      DPMS file was not added in last commit.  Sorry.

  950 Gideon Romm	2008-11-20
      Added X_BLANKING variable to control DPMS/Blanking.  When set to 0,
      there is no blanking and dpms is turned off.  When set to a nonzero
      number, dpms standby will kick in after that many seconds.  If the
      monitor does not support dpms, blanking screensaver will kick in.

  949 Vagrant Cascadian 2008-11-19
      Debian/Ubuntu: allow an arbitrary number of mirrors.  based on
      patch by Raman Pandarinathan.

  948 Scott Balneaves	2008-11-15
      Fix bug number LP207854, --export shouldn't require a chroot to
      be present

  947 Stéphane Graber	2008-11-13 {ltsp-5.1.34}
      version 5.1.34

  946 Vagrant Cascadian 2008-11-12
      switch xinitrc to use run_parts_list function (run-parts --list
      is a Debian-specific feature)

  945 Vagrant Cascadian 2008-11-12
      move run_parts_list function into ltsp-common-functions

  944 Vagrant Cascadian 2008-11-12
      set DISP for backwards compatibility with older screen scripts

  943 Vagrant Cascadian 2008-11-12
      simpler, cleaner way to call xinitrc.d scripts

  942 Gideon Romm	2008-11-12
      Added xinitrc.d infrastructure.  Packagers should put xinitrc and
      xinitrc.d in /usr/share/ltsp

  941 Warren Togami	2008-11-12
      Fedora: Include modesetting kernel modules in initrd if they exist.

  940 Warren Togami	2008-11-12
      Fedora: Move ldm to VT1 by default.

  939 Stéphane Graber	2008-11-12 {ltsp-5.1.33}
      version 5.1.33

  938 Gideon Romm	2008-11-12
      Cleaned up jetpipe shell syntax

  937 Gideon Romm	2008-11-12
      Pass jetpipe args to jetpipe

  936 Vagrant Cascadian 2008-11-11
      ltsp-init-common: only call jetpipe if a printer is defined

  935 Gideon Romm	2008-11-11
      openvt needs -- in case the command_arguments contain flags (so
      they do not get interpreted as openvt flags)

  934 Warren Togami	2008-11-10
      Fedora: Fix %post exiting with non-zero return code in error

  933 Stéphane Graber	2008-11-10
      screen_session: Force openvt and use the TTY number instead of
      the whole path

  932 Gideon Romm	2008-11-10
      Moved while loop into screen_session and run screen scripts
      with openvt.  openvt should be a dependency, packagers

  931 Warren Togami	2008-11-10
      Fedora: #LOCAL_APPS_MENU=True to default lts.conf

  930 Warren Togami	2008-11-10
      Fedora: plymouth support

  929 Warren Togami	2008-11-10
      Fedora: Add support for TIMEZONE and TIMESERVER lts.conf options.

  928 Warren Togami	2008-11-10
      Fedora: SCREEN_01 is not an error on Fedora.

  927 Gideon Romm	2008-11-10
      Added TIMEZONE and TIMESERVER parameters to set proper time on
      the thin client.	Important for some localapps.

  926 Stéphane Graber	2008-11-09
      localapps-menu: Add example configuration files

  925 Stéphane Graber	2008-11-09
      Update for devel policy

  924 Gideon Romm	2008-11-08
      Added xdg auto-menu creation for localapps.  Requires
      LOCAL_APPS_MENU=True in lts.conf to turn it on.

  923 Gideon Romm	2008-11-08
      Serial printer support added to jetpipe

  922 Scott Balneaves	2008-11-07
      Just create the 'DISPLAY' variable properly

  921 Stéphane Graber	2008-11-07
      Make ltsp-localappsd to use logger instead of ldm.log

  920 Vagrant Cascadian 2008-11-06
      Debian: fix kernel selection on oddball architectures

  919 Johnny Robeson	2008-11-03
      Gentoo: openssh 5.1 is now stable, remove it from ~arch

  918 Warren Togami	2008-11-01
      Fedora: Remove configs for Fedora 8

  917 Warren Togami	2008-11-01 {ltsp-5.1.32}
      version 5.1.32

  916 Warren Togami	2008-11-01
      Fedora: Point Fedora 10 chroot creator at Fedora 10 instead
      of rawhide.  Prep for Fedora 11.

  915 Warren Togami	2008-11-01
      Fedora: Exclude wireless drivers because they cannot netboot,
      and they can often cause boot problems because of missing firmware

  914 Vagrant Cascadian 2008-10-31
      Debian: fix typo, stray " in 020-kernel-selection plugin

  913 Warren Togami	2008-10-31 {ltsp-5.1.31}
      version 5.1.31

  912 Warren Togami	2008-10-31
      Fedora: LDM_NUMLOCK option in example lts.conf, disabled by default

  911 Warren Togami	2008-10-31
      Revert pulseaudio module-suspend-on-idle because it broke things on
      Fedora.  Furthermore it is a hack workaround for buggy applications
      that need to be fixed.

  910 Warren Togami	2008-10-30 {ltsp-5.1.30}
      version 5.1.30

  909 Warren Togami	2008-10-30
      Fedora: Add volume parameters to default lts.conf

  908 Warren Togami	2008-10-30
      Move ldminfod from ltsp-trunk to ldm-trunk.  Packages need to
      adjust.

  907 Warren Togami	2008-10-30
      Fedora: turn off debug shells by default, edit
      /var/lib/tftpboot/i386/lts.conf manually if you want them back

  906 Warren Togami	2008-10-30
      Fedora: Remove random-seed from rwtab, it causes an error message
      during shutdown on F9 (barely noticable), but very noticable error
      message during bootup on F10.

  905 Warren Togami	2008-10-30
      Fedora: iproute syntax changed, prevent error during startup

  904 Warren Togami	2008-10-28
      Fedora: Add alsa-plugins-pulseaudio to the chroot so sound works
      for localapps

  903 Vagrant Cascadian 2008-10-22
      Debian: simpler use of versioned kernels

  902 Vagrant Cascadian 2008-10-22
      Debian: also use the full kernel version when creating squashfs
      images

  901 Vagrant Cascadian 2008-10-22
      Debian: select the running kernel for unusual architectures.

  900 Stéphane Graber	2008-10-20
      Add module-suspend-on-idle to the list of PulseAudio modules
      (so running audacity as localapp works)

  899 Vagrant Cascadian 2008-10-19
      add code to return appropriate Xsession script

  898 Oliver Grawert	2008-10-15 {ltsp-5.1.29}
      version 5.1.29

  897 Oliver Grawert	2008-10-15
      Ubuntu: make sure console-setup console-screen.kbd.sh are executed
      on thin clients in rcS.d to support localized keyboards on console

  896 Vagrant Cascadian 2008-10-13
      Debian/Ubuntu: get locale settings in the initscript (patch
      from ogra)

  895 Warren Togami	2008-10-12
      Fedora: README no longer in ltsp source, moved into
      ltsp-server-livesetupdocs package

  894 Vagrant Cascadian 2008-10-11
      crude plugin to support apt pinning

  893 Stéphane Graber	2008-10-10 {ltsp-5.1.28}
      version 5.1.27

  892 Stéphane Graber	2008-10-10
      Fix rootpass logic in 095-rootpass

  891 Stéphane graber	2008-10-10 {ltsp-5.1.27}
      version 5.1.27

  890 Stéphane graber	2008-10-10
      Add ltsp-cluster support to ltsp_config

  889 Vagrant Cascadian 2008-10-10
      add --wait option to ltsp-localapps command

  888 Vagrant Cascadian 2008-10-10
      use LTSP_COMMAND_WAIT x property to not background localapp
      (useful for running whole session as a localapp)

  887 Vagrant Cascadian 2008-10-10
      add reset_xprop function

  886 Oliver Grawert	2008-10-10
      drop the CONFIGURE_X=True default, Xorg 1.5 doesnt want a config
      file by default, users should enable CONFIGURE_X deliberately to
      create xorg.conf now

  885 Oliver Grawert	2008-10-10
      Ubuntu: add COMPCACHE_SIZE=25% to default settings in
      client/initramfs/conf.d/ltsp

  884 Oliver Grawert	2008-10-10
      Ubuntu: use all components (incl. universe and multiverse)
      by default

  883 Vagrant Cascadian 2008-10-09
      test if ROOTPASS=prompt rather than ROOTPASS is unset.

  882 Warren Togami	2008-10-05 {ltsp-5.1.26}
      version 5.1.26

  881 Warren Togami	2008-10-05
      Fedora: Copy mkinitrd config file into place within chroot

  880 Stéphane graber	2008-10-04 {ltsp-5.1.25}
      version 5.1.25

  879 Stéphane graber	2008-10-04
      Start nbd-client with -persist so it reconnects in case of
      nbd-server crash (needs nbd-client 2.9)

  878 Stéphane graber	2008-10-02
      Update 019-ltsp-cluster: use APT_GET_OPTS, add the PPA before
      apt-get update is run, turn on accept_unsigned_packages by default
      as we are using a PPA (and warn the user)

  877 Stéphane graber	2008-10-02
      Add LDM_RUNONCE to ltsp-parameters.txt

  876 Stéphane graber	2008-10-01
      ltsp-cluster script: install recommends

  875 Vagrant Cascadian 2008-10-01 [merge]
      Ubuntu: merge plugins from Stéphane graber: - allow users on thin
      client to sudo shutdown and eject - add ltsp-cluster plugin

  874 Vagrant Cascadian 2008-10-01
      set PULSE_SERVER when SOUND=true (patch inspired by Stéphane
      Graber)

  873 Vagrant Cascadian 2008-10-01
      actually fail if the 3rd attempt failed

  872 Vagrant Cascadian 2008-10-01
      prompt for password 3 times (patch inspired by Stéphane Graber)

  871 Gideon Romm	2008-09-23
      Add code to local apps to set up cups as a client to the cups
      server running on LDM_SERVER (if cups is installed in the chroot)

      NOTE:  Cups server must be configured to allow connections from
      the client and to Listen *:631

  870 Vagrant Cascadian 2008-09-22
      if not already set, get LDM_USERNAME by connecting through the
      ssh tunnel

  869 Gideon Romm	2008-09-12
      Removed AlwaysCore option from touchsreen in configure-x.sh,
      which causes touchscreen not to work from Xorg 1.4 on

  868 Vagrant Cascadian 2008-09-12
      Debian: mount /var/cache/ltsp-localapps for localapp related cache

  867 Vagrant Cascadian 2008-09-12
      Debian/Ubuntu: use configure_sound_volume in init script

  866 Warren Togami	2008-09-11 {ltsp-5.1.24}
      version 5.1.24

  865 Johnny Robeson	2008-09-11
      adjust ltsp-client to run after alsasound and use
      configure_sound_volume adjust ltsp-client-setup to run before
      modules, not clock

  864 Warren Togami	2008-09-11
      Fedora: Point Live .ks to newkey repo.

  863 Warren Togami	2008-09-11
      Enable sound volume setting variables from LTSP-4.2.  VOLUME,
      HEADPHONE_VOLUME, PCM_VOLUME, CD_VOLUME, FRONT_VOLUME Set values
      higher than default if not specified in lts.conf.  MIC_VOLUME not
      set by default, but can be controlled by lts.conf.

  862 Johnny Robeson	2008-09-11
      Gentoo: update /etc/conf.d/ltsp-client-setup to include the
      /etc/conf.d files and local apps stuff as per recent debian changes

  861 Vagrant Cascadian 2008-09-10
      remove #!/bin/sh, ldm hooks are sourced, not executed

  860 Vagrant Cascadian 2008-09-10
      rename localapps* to ltsp-localapps* to proactively avoid namespace
      conflicts

  859 Vagrant Cascadian 2008-09-10
      use /var/cache/localapps instead of /var/cache/ldm

  858 Vagrant Cascadian 2008-09-10
      remove commented cruft

  857 Vagrant Cascadian 2008-09-10
      - rename xrexec* to localapps* - store group/password file in
      /var/cache/localapps instead of /var/cache/ldm

  856 Warren Togami	2008-09-10 {ltsp-5.1.23}
      version 5.1.23

  855 Warren Togami	2008-09-10
      Fedora: Point repositories at newkey for F8 and F9.

  854 Johnny Robeson	2008-09-05
      Gentoo: initscripts: get lts.conf from tftp server if available,
      automatically generate a hostname if the dhcp server doesn't
      provide one, use gentoo style module and dns server settings

  853 Johnny Robeson	2008-09-05
      Gentoo: ~arch keywording for ~net-misc/openssh-5.1 and
      ~sys-fs/sshfs-fuse-2.1

      remove TODO now that we can serve lts.conf from the tftp server

  852 Donnie Berkholz	2008-08-29 [merge]
      Merge in Gentoo work.

  851 Oliver Grawert	2008-08-27
      tagging ltsp-5.1.22, bumping release.conf

  850 Oliver Grawert	2008-08-27 {ltsp-5.1.22}
      configure-x.sh, fix quoting of EXTRAMOUSE settings

  849 Oliver Grawert	2008-08-27
      configure-x.sh add missing handling for monitor options from ubuntu
      hardy branch

  848 Oliver Grawert	2008-08-27
      Ubuntu: add support for hal-input (keyboard localization out of
      the box, yay)

  847 Warren Togami	2008-08-25
      Fedora: Exclude /var/cache/yum/* from mksquashfs

  846 Warren Togami	2008-08-24 {ltsp-5.1.21}
      version 5.1.21

  845 Warren Togami	2008-08-24
      Safe cleanup of old kernels and images no longer installed
      in chroots.  This will recognize only kernels with the vmlinuz-*
      name, and cleanup the files commonly found on Fedora, Debian and
      Ubuntu.  Some archs and distros do not use this naming convention,
      though this is at least safe because it will simply do nothing in
      that case.  Please discuss further improvements on the list.

  844 Warren Togami	2008-08-24
      Fedora: Exclude /proc/* and /sys/* contents from mksquashfs

  843 Warren Togami	2008-08-24 {ltsp-5.1.20}
      version 5.1.20

  842 Warren Togami	2008-08-24
      Fedora: Abort nbdswapd if liveimg

  841 Warren Togami	2008-08-22
      Fedora: Detect latest kernel version in a more accurate way.

  840 Warren Togami	2008-08-22
      Fedora: ltsp-update-image implementation for Fedora, since we
      cannot use the Debian version

  839 Warren Togami	2008-08-21
      Fedora: Add script to rewrap the latest installed client chroot
      kernel

  838 Warren Togami	2008-08-21
      Fedora: Add example nbd root-path

  837 Warren Togami	2008-08-21
      Fedora: mkinitrd options to support nbd root, older mkinitrd is
      unaffected by this option, so things should just work.

  836 Warren Togami	2008-08-21
      Fedora: Silence /etc/mtab* removal errors

  835 Vagrant Cascadian 2008-08-20
      Debian: fix missing ;; in debootstrap gpg keyring patches

  834 Warren Togami	2008-08-21
      Fedora: Set default NBD root path and filename.

  833 Warren Togami	2008-08-20
      Fedora: Fix nbdswap to pick an unused nbd device
	      nbdrootd needs a filename to offer on the default port 2000.

  832 Scott Balneaves	2008-08-18
      move to shell based daemon per Gadi: xrexecd.c -> xatomwait.c,
      simply wait for an atom to change, print atom contents, and exit.
      modified xrexecd.sh to xatomwait

  831 Warren Togami	2008-08-17
      Fedora: Remove old netboot images along with corresponding kernel
      during upgrade

  830 Warren Togami	2008-08-17
      Fix location of nbd-server for nbdrootd as well.

  829 Warren Togami	2008-08-17
      Fedora: xinetd set to KEEPALIVE, which should kill nbd-server
      processes after a timeout if disconnected.
	      /proc/sys/net/ipv4/tcp_keepalive_time is 7200 seconds
	      timeout by default.

  828 Warren Togami	2008-08-14
      version 5.1.19

  827 Warren Togami	2008-08-14
      Fedora: If not Etherboot or PXELinux, then it is likely BOOTP.
      Try the NBI image.
	      (I have no idea if this actually works, since mknbi used
	      to create this image years ago.)

  826 Warren Togami	2008-08-14
      Fedora: Remove mknbi and install wraplinux by default in Fedora's
      chroot.

  825 Warren Togami	2008-08-14
      Fedora: Standardize on wraplinux for NBI, and mkelfimage for
      ELF images.
	      Defaults added to Fedora's /etc/ltsp/dhcpd.conf.

  824 Warren Togami	2008-08-14
      Fedora: Also use wraplinux to create NBI and ELF images.
	     mknbi's NBI image isn't working for me, while wraplinux's
	     NBI seems to work.  I plan on doing more testing to see
	     which to keep...

  823 Warren Togami	2008-08-14
      Fedora: Install mknbi into chroot by default.

  822 Warren Togami	2008-08-13
      Fedora: Fix chroot-creator so it actually uses mkelfimage during
      ltsp-build-client.
	      mkelfimage should automatically trigger upon every new
	      kernel upgrade within the chroot as well.

  821 John Ellson	2008-08-13
      Fedora: add support for x86_64 chroot, separate yum rpm caches
      by arch

  820 Vagrant Cascadian 2008-08-13
      Debian: allow debootstrap to use different keyring

  819 Vagrant Cascadian 2008-08-13
      Debian: have debootstrap verify gpg signature of Release file
      unless --accept-unsigned-packages is used

  818 Warren Togami	2008-08-13 {ltsp-5.1.18}
      version 5.1.18

  817 Warren Togami	2008-08-13
      More cleanup

  816 Warren Togami	2008-08-13
      nbdswapd: Add two cleanups suggested by Gadi.

  815 Warren Togami	2008-08-13
      nbd-server is located in /usr/bin in Fedora, Gentoo and SuSE.
      /bin is a dumb location to have a server daemon?	Auto-detect both
      locations and do the right thing.

  814 Warren Togami	2008-08-13
      Fedora: Install nbd-client into chroot.

  813 Warren Togami	2008-08-13
      nbdswapd error redirect to /dev/stderr never did work.

  812 Vagrant Cascadian 2008-08-11 [merge]
      merge patch from gadi to restore passwd and group when xrexecd.sh
      exits

  811 Vagrant Cascadian 2008-08-11 {ltsp-5.1.17}
      version 5.1.17

  810 Vagrant Cascadian 2008-08-11
      Debian(?): add rsyslog.d to directories to mount writeable

  809 Vagrant Cascadian 2008-08-10
      configure rsyslog

  808 Vagrant Cascadian 2008-08-10
      Debian: whitelist rsyslog init script

  807 Vagrant Cascadian 2008-08-10
      only set LOCAL_APPS=True if sshfs is present

  806 Vagrant Cascadian 2008-08-10
      Debian: whitelist fuse init script

  805 Vagrant Cascadian 2008-08-10 {ltsp-5.1.16}
      version 5.1.16

  804 Vagrant Cascadian 2008-08-10
      make /home, /var/cache/ldm, /etc/passwd and /etc/group writeable
      for localapps

  803 Vagrant Cascadian 2008-08-10
      drop /var/lib/discover from directories to mount, as it's no
      longer used

  802 Vagrant Cascadian 2008-08-10
      avoid trying to configure syslog.conf if not present

  801 Vagrant Cascadian 2008-08-10
      updated translation template

  800 Gideon Romm	2008-08-10
      Removed "-a" in usermod, because we pass a complete comma-seperated
      list of groups

  799 Vagrant Cascadian 2008-08-10
      make only a single call to usermod using a comma-separated list
      of groups

  798 Vagrant Cascadian 2008-08-10
      relocate ldm hook script to live with the rest of localapps code

  797 Warren Togami	2008-08-10
      Fedora: Install mkelfimage in the chroot

  796 Warren Togami	2008-08-10
      Fedora: Generate ELF image automatically for Coreboot or
      Etherboot-5.4 You must install mkelfimage into the chroot and
      use the dhcpd.conf changes.  This should theoretically work with
      anything with vendor-class-identifier of "Etherboot-5.4".  I also
      tried mknbi-linux for even older clients, but the resulting output
      NBI file seems to broken.  Perhaps our modern kernel + initrd is
      just too big.

  795 Warren Togami	2008-08-08
      Fedora: Add README to Desktop of Live LTSP Server and adjust
      live configs

  794 Vagrant Cascadian 2008-08-08
      force DISPLAY for xrexecd.sh, as su seems to clean that out on
      Debian, and should hopefully be safe for other distros.

  793 Warren Togami	2008-08-07 {ltsp-5.1.15}
      version 5.1.15

  792 David Johnston	2008-08-07
      Fedora: Fix usage of ipcalc during ltsp-server-initialize

  791 Warren Togami	2008-08-07
      Fedora: ltsp-build-client detects the host's operating system
      release from the environment itself.

  790 Warren Togami	2008-08-07
      Fedora: Add xterm to the client chroot.

  789 Warren Togami	2008-08-07
      Fix pulseaudio --system so it wont exit.	Turns out that it needed
      a negative value, not zero.

  788 Warren Togami	2008-08-07
      Shell version of xrexecd that works, until we can fix the C version.
      This ultimately does not belong in ltsp-trunk.  We plan on creating
      a ltsp-localapps-trunk for xrexecd and S01-localapps (currently
      in ldm).

  787 Warren Togami	2008-08-07
      Fedora: Undo the last change, we already had it in the list.

  786 Warren Togami	2008-08-06
      Fedora: Silence more shutdown errors

  785 Warren Togami	2008-08-06
      Add pulseaudio --exit-idle-time=0 parameter.
      https://tango.0pointer.de/pipermail/pulseaudio-discuss/2008-July/002088.html
      pulseaudio-0.9.11+ is spawned on demand and exits after a timeout,
      which causes problems with the --system mode that we use since
      there is no way to spawn it on demand for remote sound clients.
      This parameter according to Lennart should work as expected in
      previous versions of pulseaudio as well.

  784 Warren Togami	2008-08-06
      Fedora: Sadly this makes it difficult to mount /proc

  783 Warren Togami	2008-08-06
      Fedora: New pulseaudio requires /var/lib/pulse writable.

  782 Warren Togami	2008-08-06
      Fedora: Do graphical boot on F10.  (Harmless on F9.)

  781 Warren Togami	2008-08-06
      Fedora: Enable messagebus and haldaemon because X in F10+ needs
      it for input to work at all.

  780 Warren Togami	2008-08-06
      Fedora: Allow haldaemon to work in read-only root

  779 Warren Togami	2008-08-05
      Fedora: Silence local filesystems mount errors during bootup

  778 Warren Togami	2008-08-05
      Fedora: Silence sysfs already mounted error during bootup
	      Works on F10 but not F9 for some reason.	Needs further
	      investigation.

  777 Warren Togami	2008-08-05
      Fedora: Automate symlink and permission setting of vmlinuz and
      initrd after mkinitrd

  776 Warren Togami	2008-08-05
      Fedora: Correct typo, fuse-sshfs

  775 Warren Togami	2008-08-05
      Fedora: Silence /etc/mtab rwtab error message during bootup

  774 Warren Togami	2008-08-05
      Fedora: Silence alsa error message during shutdown

  773 Oliver Grawert	2008-08-01 [merge]
      merge rootpass plugin fix

  772 Warren Togami	2008-08-01
      Fedora: Add fuse-sshfs to chroot, needed for $HOME mounts for
      local apps

  771 Warren Togami	2008-08-01
      Fedora: Put the sshd key copy marker in the right place

  770 Warren Togami	2008-07-28
      vmclient: Make sound and bridge device name configurable.

  769 Warren Togami	2008-07-28
      Fedora: Live LTSP Server config files for livecd-creator and ugly
      hack in an init script to allow it to work at first boot.

  768 Warren Togami	2008-07-27 {ltsp-5.1.14}
      version 5.1.14

  767 Warren Togami	2008-07-27
      Use cd instead of pushd/popd so it does not require bash.

  766 Warren Togami	2008-07-27
      LDM_DEBUG off by default.  LDM_DEBUG on by default in Fedora.
      Currently writes to /var/log/ldm.log, but may later switch to
      syslog.

  765 Gideon Romm	2008-07-27 [merge]
      Cleaned up lts-parameters.txt

  764 Warren Togami	2008-07-27
      Fedora: Silence pcspkr because it is annoying.

  763 Gideon Romm	2008-07-27
      Added LOCAL_APPS=True as default in ltsp_config

  762 Warren Togami	2008-07-26
      Fedora: link /etc/mtab to /proc/mounts This isn't perfect, but
      it seems to work well enough.  This is our only option for fuse
      mounts to work before we have union-style mounts in Fedora.

  761 Warren Togami	2008-07-26
      Fedora: /etc/passwd and /etc/group must be writable for local apps.

  760 Warren Togami	2008-07-26
      Enable emulated sound card in vmclient.

  759 sbalneav	2008-07-26 [merge]
      Merge from Warren

  758 sbalneav	2008-07-26
      Cleanup of xrexecd, glib, now to be started from ldm's rc.d
      mechanism

  757 Warren Togami	2008-07-18 {ltsp-5.1.13}
      version 5.1.13

  756 Warren Togami	2008-07-18
      Fedora: Run ltsp-chroot-setup after chroot creation.

  755 Warren Togami	2008-07-18
      Fedora: (untested) Fedora 10 client chroot

  754 Warren Togami	2008-07-18
      Fedora: correct comment

  753 Warren Togami	2008-07-16 {ltsp-5.1.12}
      version 5.1.12

  752 Warren Togami	2008-07-16
      Fedora: silence some debugging

  751 Warren Togami	2008-07-16
      Fedora: Move certain ltsp-build-client plugins into %post plugins
      run within the chroot itself.  This makes it possible for future
      ltsp-client package upgrades to make further changes in the chroot
      without the need to run ltsp-build-client again.

  750 Warren Togami	2008-07-16
      Fedora: correct some comments

  749 Warren Togami	2008-07-11
      Run autogen.sh automatically if processed by mkdst.

  748 Warren Togami	2008-07-10
      Fedora: RHEL5 with Fedora 9 client chroot

  747 Warren Togami	2008-07-10 {ltsp-5.1.11}
      version 5.1.11

  746 Warren Togami	2008-07-08
      Fedora: disable iptables service if it was somehow pulled into
      the chroot

  745 Warren Togami	2008-07-08
      Fedora: Some dep changed, add system-config-firewall-tui to install
      list so chroot-creator works.

  744 Warren Togami	2008-07-06
      Fedora: LDM_DIRECTX=yes by default for Fedora

  743 Vagrant Cascadian 2008-06-27
      only start cdpinger and ltspfsd if not already running

  742 Oliver Grawert	2008-06-25 {ltsp-5.1.10}
      version 5.1.10

  741 Oliver Grawert	2008-06-25
      Ubuntu: run /etc/kernel/postinst.d/ltsp-update-kernels in the
      update-image plugin to make sure the pxe config is really updated
      even in corner cases

  740 Oliver Grawert	2008-06-25
      Ubuntu: merge fix from LP: #213927 (fix quoting for apt $http_proxy
      setting)

  739 Oliver Grawert	2008-06-25
      there seem to be some bashisms and quoting errors in configure-x.sh,
      merged the quickfix from LP: #196706 that sets the intrepreter to
      bash until thats fully inspected

  738 Oliver Grawert	2008-06-25
      Ubuntu: merge fix from LP: #72482 (make sure we have a working
      resolv.conf in the client chroot)

  737 Oliver Grawert	2008-06-25
      add fix from LP: #198356 (make it easier to specify
      alternate DHCP ports) to ltsp_nbd script and documentation to
      client/initramfs/conf.d/ltsp

  736 Oliver Grawert	2008-06-25
      Ubuntu: merge fixes from LP: #163278, LP: #212738 (kiosk plugin
      overhaul)

  735 Oliver Grawert	2008-06-25
      merge fix from LP: #198157 (make sure to not use hardcoded chroot
      path in ltsp-update-image, quiten down removal of former image
      and make sure there is no .tmp image araound when calling mksquashfs

  734 Oliver Grawert	2008-06-25
      add fix from LP: #151503 (make sure the ltsp-update-* scripts
      operate on symlinked dirs by adding a trailing / to the find
      command)

  733 Oliver Grawert	2008-06-25
      Ubuntu: merge fix from LP: #197723 (copy servers localtime setting
      as well as timezone config)

  732 Oliver Grawert	2008-06-25
      merge fix from LP: #197744 into lts-parameters.txt (point out that
      these vars should be used in lts.conf)

  731 Oliver Grawert	2008-06-25
      move lts-parameters.txt to server/doc so distros can install it on
      the server instead of the client, the old doc path in the chroot
      always caused confusion

  730 Vagrant Cascadian 2008-06-22
      Debian: symlink plugin from Ubuntu to copy sources.list

  729 Vagrant Cascadian 2008-05-28
      Debian: default to using quiet in boot prompts (just like new
      installs from debian-installer).

  728 Vagrant Cascadian 2008-05-28
      change unionfs to rootfs in configure_fstab function

  727 Vagrant Cascadian 2008-05-28
      Debian: slightly modified patch to switch from unionfs to aufs by
      José "L. Redrejo" Rodríguez http://bugs.debian.org/481210

  726 Vagrant Cascadian 2008-05-28
      remove obsoleted, possibly never used, initramfs-tools hooks

  725 Vagrant Cascadian 2008-05-22 {ltsp-5.1.9}
      version 5.1.9

  724 Vagrant Cascadian 2008-05-21
      updated pot for ltsp translations

  723 Vagrant Cascadian 2008-05-21
      Debian: plugin to create squashfs+aufs images

  722 Warren Togami	2008-05-19 {ltsp-5.1.8}
      version 5.1.8

  721 Warren Togami	2008-05-16
      Fedora: Get lts.conf from NBD or NFS server of the root filesystem.
	      This should make things work better when DHCP server !=
	      LTSP server or if you have multiple LTSP servers.

  720 Warren Togami	2008-05-08
      Read nbdswapd SIZE from nbdswapd.conf or default to 32MB if it
      isn't defined.

  719 Warren Togami	2008-05-08
      Add slash to nbdswapd tempfile path.  Not every distro needs it,
      but it doesn't hurt.

  718 Warren Togami	2008-05-08
      9572 is the default LTSP5 upstream nbdswapd port number

  717 Warren Togami	2008-04-30
      ip -> /sbin/ip to ensure that it works in sudo

  716 Warren Togami	2008-04-28 {ltsp-5.1.7}
      version 5.1.7

  715 Eric Harrison	2008-04-27
      Fedora: script bug fixes

  714 Warren Togami	2008-04-28
      Fedora: Create /etc/mtab in chroot to workaround a ltspfsd bug
      where it fails to mount anything if /etc/mtab is absent.

  713 Warren Togami	2008-04-27 {ltsp-5.1.6}
      version 5.1.6

  712 Warren Togami	2008-04-27
      Split config file from ltsp-vmclient into /etc/ltsp/vmclient.

  711 Warren Togami	2008-04-27
      Fedora: move /etc/ltsp/ltsp-dhcpd.conf to /etc/ltsp/dhcpd.conf to
      match Debian

  710 Warren Togami	2008-04-27
      Fedora: set LANG before X sessions from client's /etc/sysconfig/i18n

  709 Vagrant Cascadian 2008-04-25 {ltsp-5.1.5}
      release version 5.1.5

  708 Vagrant Cascadian 2008-04-24
      add options to enable tftp server

  707 Vagrant Cascadian 2008-04-24
      use same ip address range as example for isc dhcpd

  706 Vagrant Cascadian 2008-04-19
      fix bashism in ltsp-update-kernels http://bugs.debian.org/476759

  705 Warren Togami	2008-04-17
      Fix race condition in getltscfg Makefile, sometimes it would
      randomly fail to build.

  704 Warren Togami	2008-04-17 {ltsp-5.1.4}
      version 5.1.4

  703 Warren Togami	2008-04-16
      Fedora: configure /etc/hosts only once

  702 Warren Togami	2008-04-16
      Fedora: Use configure_swap(), configure_printer(),
      configure_serial_mouse() during ltsp client startup

  701 Warren Togami	2008-04-16
      Remove configure_x() from ltsp-setup because Vagrant says this
      isn't needed anymore due to screen-x-common.  There is still
      another configure_x() in ltsp-init-common that is run by ltsp-setup.

  700 Warren Togami	2008-04-16
      Move configure_printer(), configure_swap(), and
      configure_serial_mouse() from ltsp-setup into ltsp-init-common.

  699 Warren Togami	2008-04-16
      Include ltsp-init-common for common init functions, which indirectly
      includes these other two files

  698 Warren Togami	2008-04-16
      Fedora: remove temporary hack of event-compat-sysv

  697 Warren Togami	2008-04-16
      Fedora: Use fedora 9 repos instead of rawhide to install fedora
      9 chroots.

  696 Warren Togami	2008-04-14 {ltsp-5.1.3}
      version 5.1.3

  695 Warren Togami	2008-04-13
      VMWare X driver is a bit hosed, default to kvm's default for now.

  694 Warren Togami	2008-04-13
      Fedora: Ensure that event-compat-sysv is installed in a F9 chroot.
      This is a temporary hack.

  693 Eric Harrison	2008-04-13
      Fedora-specific sound and dependency fixes

  692 Vagrant Cascadian 2008-04-11 [merge]
      merge ALTLinux

  691 Warren Togami	2008-04-11
      Fedora: this was a bad idea, too many things break.  Force the
      user to mount /proc manually in order to use yum in the chroot.

  690 Warren Togami	2008-04-11
      Fedora: Ensure repo names are unique to avoid cache collisions

  689 Vagrant Cascadian 2008-04-10
      ltsp-common-functions: source ltsp-vendor-functions if present

  688 Vagrant Cascadian 2008-04-05
      Debian: do not hard-code string for nfs exports - add
      no_subtree_check to default nfs export string

  687 Vagrant Cascadian 2008-04-04
      - add DEBUG_FILE variable to output debug messages to a file -
      include mode in load_plugins debug messages

  686 Warren Togami	2008-03-30 {ltsp-5.1.2}
      5.1.2

  685 Warren Togami	2008-03-30
      Fedora: Fix typo, it is /var/lib/tftpboot, not /var/lib/tftp.
      Thanks Axel Thimm (#381601)

  684 Warren Togami	2008-03-30
      Ensure exit code 0 if the script reached the end.

  683 Vagrant Cascadian 2008-03-28 [merge]
      merge ALTLinux plugins, iniscripts and configuration files

  682 Vagrant Cascadian 2008-03-28 [merge]
      merge SUSE_LINUX plugins

  681 Warren Togami	2008-03-26 {ltsp-5.1.1}
      5.1.1

  680 Vagrant Cascadian 2008-03-25
      set default CONFIG value only if not already defined

  679 Vagrant Cascadian 2008-03-25
      use -f to test for presence of files (-e returns true on
      directories)

  678 Vagrant Cascadian 2008-03-25
      drop configuration file handling in ltsp-build-client, which was
      moved to common/001-load-configuration-file plugin

  677 Vagrant Cascadian 2008-03-24
      typo: only source ltsp_config if it has *not* already been sourced

  676 CyberOrg	2008-03-24
      SuSE: ltsp-build-client plugin

  675 Warren Togami	2008-03-24
      Generalize with "ltspdist" name so other distros can use it.

  674 Vagrant Cascadian 2008-03-23
      Debian: error out if DIST script is not in /usr/lib or /usr/share

  673 Vagrant Cascadian 2008-03-23
      Debian: add check to see if DIST is supported by debootstrap
      - issue an error message explaning use of the --dist option
      (http://bugs.debian.org/472346)

  672 Warren Togami	2008-03-23
      Fedora: /etc/hosts is now a symlink to /var/run, no longer good
      in rwtab

  671 Vagrant Cascadian 2008-03-23
      Debian: only set defaults for MKFS_OPTS if not already defined

  670 Vagrant Cascadian 2008-03-23 [merge]
      split code for X related screen scripts into common file.

  669 Vagrant Cascadian 2008-03-21
      only set HOME once (keep the longer comments)

  668 Vagrant Cascadian 2008-03-21
      minor updates, additions and corrections to lts.conf documentation

  667 Vagrant Cascadian 2008-03-20 [merge]
      set LTSP_CONFIG environment variable in ltsp_config, and don't
      bother to source ltsp_config again if this environment variable
      is set to True

  666 Warren Togami	2008-03-20
      Fedora: Write client's address to /etc/hosts during bootup to
      avoid ipcalc -h lookup delay in the absence of DNS

  665 Vagrant Cascadian 2008-03-19
      fix case statement typo for setting MKFS_OPTS

  664 Vagrant Cascadian 2008-03-19
      Debian: only pass options to mkfs for ext2/ext3, as other mkfs.*
      do not consistantly support the same options

  663 Warren Togami	2008-03-19
      Fedora: Verify tftpdir (#436911)

  662 Vagrant Cascadian 2008-03-19
      Debian: generalize ext2 image plugin to any filesystem supported
      by mkfs

  661 Vagrant Cascadian 2008-03-19
      Debian: only make the directory to install ltsp initramfs-tools
      hook into

  660 Warren Togami	2008-03-19
      Fedora: 010-mount-proc not desired in Fedora.

  659 Warren Togami	2008-03-19
      Silence which's error when chroot is not in PATH

  658 Vagrant Cascadian 2008-03-18
      Debian: plugin to handle when TMP and/or TMPDIR are set.
      http://bugs.debian.org/451878

  657 Vagrant Cascadian 2008-03-18
      - allow CHROOTEXEC to be overridden - test for chroot in PATH
      first - ensure that chroot is a file and executable

  656 Warren Togami	2008-03-18
      Fedora: include xorg-x11-xinit needed by screen.d/rdesktop (thanks
      Darryl Bond)

  655 Warren Togami	2008-03-18
      Fedora: ugly hacks so yum will work in the chroot

  654 Vagrant Cascadian 2008-03-18
      Debian: copy ltsp hook from nfs-bottom to local-bottom when using
      ext2 images with NBD

  653 Vagrant Cascadian 2008-03-18
      - detect SERVER when root=/dev/nbd* - optimize for fewer calls
      to binaries

  652 Warren Togami	2008-03-17
      Detect location of chroot command and set it to CHROOTEXEC.
      (Debian and Ubuntu still need to be updated.)

  651 Vagrant Cascadian 2008-03-16
      only default to xdmcp if /usr/bin/X is installed

  650 Vagrant Cascadian 2008-03-16
      add plugin to upgrade packages

  649 Vagrant Cascadian 2008-03-16
      add default BOOTPROMPT_OPTS when creating ext2 image

  648 Vagrant Cascadian 2008-03-16
      create a sparse file which will only consume as much space as
      it uses

  647 Vagrant Cascadian 2008-03-15
      call chroot without full path

  646 Vagrant Cascadian 2008-03-15
      mark ltsp-build-client executable for consistancy.

  645 Vagrant Cascadian 2008-03-15
      add Debian plugin to create ext2 images for use with NBD

  644 Vagrant Cascadian 2008-03-15
      plugin to bind-mount server's package cache

  643 Vagrant Cascadian 2008-03-14
      sync init scripts with debian

  642 Warren Togami	2008-03-14
      Fedora: uname -m could be i586 too, remap to i386

  641 Warren Togami	2008-03-14
      Remove ltsp.spec, mkdst wrapper and everything mkdst related.

  640 Vagrant Cascadian 2008-03-12 [merge]
      merge ltsp-common-functions branch: - split boolean_is_true function
      into separate file to be used in server or
	client scripts
      - use ltsp-init-common in ltsp-core init script - use
      ltsp-common-functions in ltsp-setup init script

  639 Vagrant Cascadian 2008-03-12
      drop call to tr in boolean_is_true function

  638 Vagrant Cascadian 2008-03-12
      moved debian/ubuntu specific server/scripts/* to
      server/scripts/debian/

  637 Warren Togami	2008-03-10
      Fedora: fix build on ppc

  636 Warren Togami	2008-03-10
      Fedora: spec fixes suggested by package review and use proper
      --add and --del of ltsp-dhcpd

  635 Warren Togami	2008-03-10
      Fedora: improve ltsp-dhcpd init.d script

  634 Warren Togami	2008-03-10
      Fedora: add better descriptions and client requires ltspfsd

  633 Warren Togami	2008-03-10
      Fedora: bind mount /root too

  632 Warren Togami	2008-03-09
      Fedora: F-9 with upstart no longer uses /etc/inittab, handle both
      old and new

  631 Warren Togami	2008-03-09
      Fedora: sysvinit not on F-9 anymore, initscripts dep will do the
      right thing

  630 Vagrant Cascadian 2008-03-08
      - look for openvt in /bin as well - fall back to calling "/bin/bash
      --login" if openvt is not found

  629 Warren Togami	2008-03-08
      RPM: %{_sysconfdir}/sysconfig/network-scripts/ and tftp-server
      are needed on all archs

  628 Warren Togami	2008-03-08
      RPM: Add some cleanup suggested by cyberorg

  627 Warren Togami	2008-03-07
      Fedora: F-8 chroot: move unsafe packages into 8-client only repo

  626 Warren Togami	2008-03-07
      Fedora: ltsp-server requires livecd-tools >= 015

  625 Warren Togami	2008-03-06
      Fedora: oops, forgot to move ifcfg-ltspbr0 from vmclient to server

  624 Warren Togami	2008-03-06
      Fedora: Fully fix k12_dist, ltsp-server requires gettext

  623 Warren Togami	2008-03-06
      Filter non-.utf8$ languages from ldminfod's list This makes it at
      least work on Fedora.  Ogra suggested this sometime last week.

  622 Warren Togami	2008-03-06
      Fedora: fix non-cache using case

  621 Warren Togami	2008-03-06
      Fedora: fully s/cachedir/cache/

  620 Warren Togami	2008-03-06
      Fedora: chroot-creator change --cachedir to --cache to match
      livecd-creator syntax

  619 Warren Togami	2008-03-06
      Rename launch-vmclient to a more logical ltsp-vmclient

  618 Warren Togami	2008-03-05
      Fedora: get rid of dependency on lsb_release, this should work on
      F9 now (except ldm is broken)

  617 Warren Togami	2008-03-05
      Fedora: move ifcfg-ltspbr0 to ltsp-server, it is now the default
      LTSP network for K12Linux
	      Use brctl addif ltspbr0 ethX for temporary testing.
	      Define ifcfg-ethX to permanently add an ethernet interface
	      to the bridge.
      Example: DEVICE=eth0 BOOTPROTO=static ONBOOT=yes TYPE=Ethernet
      BRIDGE=ltspbr0

  616 Warren Togami	2008-03-05
      Fedora: ltsp-dhcpd requires dhcp

  615 Warren Togami	2008-03-05
      Fedora: ltsp-server requires ltspfs and redhat-lsb, /opt/ltsp
      owned by ltsp-server

  614 Warren Togami	2008-03-05
      Fedora: add more to rwtab

  613 Warren Togami	2008-03-05
      Fedora: first attempt of Fedora 9 chroot
	      split common.ks out added options --release and --distro
	      to ltsp-build-client

  612 Warren Togami	2008-03-04
      Fedora: use xorg-x11-drivers instead of listing all xorg drivers

  611 Warren Togami	2008-03-04
      Fedora: add openssh-clients to client chroot

  610 Warren Togami	2008-03-04
      Fedora: Switch to ldm by default

  609 Warren Togami	2008-03-04
      Fedora: add /etc/hosts to rwtab.d

  608 Warren Togami	2008-03-04
      screen.d/shell improvement: job control and a real login session

  607 Warren Togami	2008-03-04
      Fedora: xinetd.d/* must be %config(noreplace)
	      Don't use tcpd from xinetd, xinetd provides its own
	      tcp server

  606 Warren Togami	2008-03-04
      Fedora: Use & instead of daemon to launch screen_sessions

  605 Warren Togami	2008-03-04 [merge]
      merge

  604 Vagrant Cascadian 2008-03-03
      - drop defaults for bind_mounts variables (was too hard to unset
      them) - drop preseed function (un-used debian-ism) - don't put
      /var/cache/debconf in temp_copy_dirs (it's big, un-used, and
	debian-specific)

  603 Vagrant Cascadian 2008-03-03
      add CONFIGURE_FSTAB variable to determine if /etc/fstab should
      be overwritten.

  602 Vagrant Cascadian 2008-03-02
      drop check for sdm as we no longer ship a screen script for it

  601 Vagrant Cascadian 2008-03-02
      fix typo: testing for existance of ${XFCFG}

  600 Warren Togami	2008-03-01
      Fedora: Add lts.conf and ability to grab a lts.conf from the
      tftp server.

  599 Warren Togami	2008-03-01
      Fedora: Display Manager in Fedora is not service like Debian.
      Make ltsp-client-launch into a prefdm script instead.

  598 Warren Togami	2008-03-01
      If X_CONFIG, use /etc/X11/xorg.conf if it already exists, otherwise
      use /var/run/ltsp-xorg.conf.

  597 Warren Togami	2008-03-01
      X fails when xorg.conf is empty.	There is no way to avoid an
      external path.

  596 Warren Togami	2008-03-01
      Rename screen.d/startx to screen.d/xdmcp, add startx symlink for
      compatibility.

  595 Warren Togami	2008-03-01
      It makes no sense to allow XFCFG to be configurable.  It is only
      the location where X_CONFIG would be copied to.  Hardcode it
      to /tmp/xorg.conf because that is guaranteed to be writable for
      everybody.

  594 Warren Togami	2008-03-01
      Attempt to modernize screen.d/startx.  Supports only X.org (because
      why would anybody be using XFree86?)

  593 Warren Togami	2008-02-29
      Fedora: Set Runlevel 5 and turn off the mingetty's
	      Don't really need any of them.

  592 Warren Togami	2008-02-29
      Fedora: Move post-mkinitrd stuff out of the chroot

  591 Warren Togami	2008-02-28
      Fedora: ppc and ppc64 are the actual arch names

  590 Warren Togami	2008-02-28
      Print deprecation warning if a screen.d script runs from
      /usr/lib/ltsp/screen.d

  589 Warren Togami	2008-02-28
      Fedora: adapt spec to new /usr/share/ltsp location in ltsp-client

  588 Warren Togami	2008-02-27
      Move everything from /usr/lib/ltsp to /usr/share/ltsp.

  587 Warren Togami	2008-02-27
      /usr/share/ltsp/screen.d is the new supported location for package
      installed screen sessions.  /usr/lib/ltsp/screen.d is deprecated
      and will no longer be supported in a future version.

  586 Warren Togami	2008-02-27
      Fedora: Pre-populate chroot with mkinitrd related config files so
      mkinitrd builds a proper initrd image the first time.
	      TODO: Move the job of mkinitrd-ltsp-wrapper into a script
	      outside the chroot then clean things up.

  585 Warren Togami	2008-02-27
      Fedora: move screen.d to /usr/share/ltsp, a little better for FHS
      and matches screen.d/ldm's location
	      screen_session now supports both the old and new screen.d
	      location

  584 Warren Togami	2008-02-27
      Fedora: disable haldaemon in chroot

  583 Warren Togami	2008-02-27
      Fedora: init.d script remove -- separator, daemon doesn't need it

  582 Warren Togami	2008-02-27
      Fedora: add openchrome X driver

  581 Vagrant Cascadian 2008-02-26
      create legacy-nbi.img when mknbi-linux is installed.  needed for
      old versions of etherboot without ELF support.

  580 Vagrant Cascadian 2008-02-26
      add support for arm

  579 Vagrant Cascadian 2008-02-26
      add experimental support for mips

  578 Warren Togami	2008-02-26
      Fedora: mkinitrd wrapper relies entirely on /etc/sysconfig/mkinitrd
      for options.

  577 Warren Togami	2008-02-26
      Add vmclient, simple scripts to launch a qemu-kvm virtual machine
      to PXE boot and test your LTSP server.  New directory, because
      this belongs in neither client nor server, and regular end-users
      wont need it.

  576 Warren Togami	2008-02-26
      Fedora: make dhcpd.conf properly detect PXE capable Etherboot

  575 Warren Togami	2008-02-26
      Fedora: disable services in chroot: kudzu netfs rpcbind

  574 Warren Togami	2008-02-26
      Fedora: remove redundant root-path

  573 Warren Togami	2008-02-26
      If selinux is enabled (enforcing or permissive) then reset selinux
      file contexts within tftpdir

  572 Warren Togami	2008-02-26
      Fedora: set 644 permissions on initrd after generation

  571 Warren Togami	2008-02-25
      Fedora: use symlink name of vmlinuz.ltsp and initrd.ltsp

  570 Warren Togami	2008-02-25
      Fedora: /dev/null is needed before xargs

  569 Warren Togami	2008-02-25
      Fedora: create symlinks to latest kernel and initrd to be copied
      out to tftpdir by another script

  568 Warren Togami	2008-02-25
      Fedora: create /dev/null before mkinitrd if it doesn't already exist

  567 Warren Togami	2008-02-25
      Fedora: fix typo in kernel version detection scriptlet

  566 Warren Togami	2008-02-25
      Fedora: chroot-creator moved into a k12linux specific dir

  565 Warren Togami	2008-02-25
      Fedora: hard code defaults for NFS in /etc/sysconfig/mkinitrd so
      it will automatically build a proper initrd if newer kernels are
      installed later.
	      make mkinitrd wrapper use the common function library make
	      mkinitrd run after chroot install

  564 Warren Togami	2008-02-25
      Add mkinitramfs directory which hopefully can become a place to
      put all initramfs related code.  initramfs-common is where we can
      put useful functions (if any) that we share.

  563 Warren Togami	2008-02-25 [merge]
      merge

  562 Warren Togami	2008-02-25
      Fedora: simplify mkinitrd wrapper, autodetect NFS server from
      dhcp options

  561 Warren Togami	2008-02-25
      Fedora: add bind-utils for 'host' command, UTF-8

  560 Vagrant Cascadian 2008-02-22
      default to /var/log/syslog if both messages and syslog exist
      (debian has both, and it should go to syslog)

  559 Warren Togami	2008-02-22
      Fedora: write a better mkinitrd-ltsp-wrapper, though nothing uses
      it yet

  558 Warren Togami	2008-02-21
      Add Fedora specific scripts directory server/scripts/k12linux

  557 Warren Togami	2008-02-21
      Fedora: oops, shouldn't have removed the kernel from the chroot =)

  556 Warren Togami	2008-02-21
      Fedora: Put Fedora specific default config files into
      server/configs/k12linux/
	      TFPTDIR is autodetected from tftp-server's own config

  555 Warren Togami	2008-02-21
      Fedora: plugins be more informative

  554 Warren Togami	2008-02-21
      Fedora: remove redhat-lsb again from chroot, it didn't add anything
      useful except time

  553 Warren Togami	2008-02-21
      Fedora: insert temporary repository in kickstart until we have
      this officially in Fedora
	      this will make it a lot easier to test things

  552 Warren Togami	2008-02-21
      Fedora: remove kernel-headers from chroot

  551 Warren Togami	2008-02-21
      Fedora: oops, cleanup-chroot actually cleans now

  550 Warren Togami	2008-02-21
      Fedora: add eharrison's mkinitrd-ltsp wrapper to client

  549 Warren Togami	2008-02-21
      Fedora: fix default dhcpd.conf to s/pxe/i386/ directories
	      create i386, x86_64, ppc and ppc64 directories in tftpdir

  548 Warren Togami	2008-02-21
      Fedora: install openssh client in chroot

  547 Warren Togami	2008-02-21
      Make ltsp-update-sshkeys work with either /var/log/message or
      /var/log/syslog

  546 Warren Togami	2008-02-21
      Fedora: setup readonly-root mode

  545 Warren Togami	2008-02-21
      Fedora: oops, don't disable syslog

  544 Warren Togami	2008-02-21
      Fedora: add plugin to disable and enable services in the chroot

  543 Warren Togami	2008-02-21
      Fedora: remove more stuff from client chroot

  542 Warren Togami	2008-02-21
      Fedora: import RPM GPG keys in client chroot after install

  541 Warren Togami	2008-02-21
      First attempt of initscript for RPM-based distros.
      client/initscripts/ltsp-init-common is for future sharing of common
      initscript functions.

  540 Warren Togami	2008-02-20
      Fedora: /usr/lib/ltsp is not a great location, but use it for now
      because it is hardcoded everywhere.

  539 Warren Togami	2008-02-20
      Fedora: add packages to client chroot based upon eharrison's
      analysis

  538 Warren Togami	2008-02-20
      Fedora: import chroot-creator into scripts, install i586, disable
      broken 095-rootpass plugin for now
	      Other archs than i386 require crafting their own kickstart
	      files.  Not a priority for me now.

  537 Warren Togami	2008-02-18
      Fedora: Replace anaconda install with livecd-tools install.
      - requires currently unreleased 015+ version of livecd-tools -
      chroot-creator is capable of installing using Fedora mirrorlists -
      020-cleanup-chroot removes stuff from the chroot after install
      that are not needed or even harmful - ltsp-build-client-ks.cfg
      needed some changes to work with chroot-creator - 001-set-arch
      overrides the arch to be i386 by default on x86_64
	Use ltsp-build-client --arch x86_64 to install x86_64 (not yet
	supported by the .ks file though)

  536 Vagrant Cascadian 2008-02-13
      move proxy setting to ubuntu-specific plugin

  535 Oliver Grawert	2008-02-12
      make proxy settings work with apt in ltsp-build-client, LP bug
      #132397

  534 Oliver Grawert	2008-02-12
      only call getltscfg if there is actually content in the file,
      LP bug #148109

  533 Oliver Grawert	2008-02-12
      make sure to cut trailing slashes for the basedir in
      ltsp-update-image (LP 189237)

  532 Oliver Grawert	2008-02-12
      default to 24bit color if nothing is specified to catc all the
      intel drivers that dont set their default themselves, fixes LP
      149006 and various duplicates

  531 Oliver Grawert	2008-02-12
      add X_CONF parameter to lts-parameters.txt documentation

  530 Oliver Grawert	2008-02-12
      fixed ubuntu locale handling in plugin if LANG=C on the server,
      thanks to Michael Haas for the fix

  529 Oliver Grawert	2008-02-12
      default to the -generic kernel image instead of -i386 on ubuntu

  528 Oliver Grawert	2008-02-12
      add package caching functionallity from debian to ubuntu

  527 Oliver Grawert	2008-02-12
      make the common/001-set-arch plugin more generic

  526 Oliver Grawert	2008-02-12 [merge]
      merge upstream changes

  525 Warren Togami	2008-02-11
      Make it set arch properly, and add other possible archs...

  524 Warren Togami	2008-02-11
      Fedora specific architecture setting.  i386 chroot is assumed on
      all x86 and x86_64 servers.  Use --arch to override.

  523 Vagrant Cascadian 2008-02-11
      Russian translation update by Yuri Kozlov
      http://bugs.debian.org/465291

  522 Donnie Berkholz	2008-02-10 [merge]
      Gentoo: Merge in plugin work-in-progress.

  521 Vagrant Cascadian 2008-02-08
      updated French translation by Jean-Baka
      http://bugs.debian.org/464568

  520 Warren Togami	2008-02-06
      RPM: pxelinux.0 is only for i386 and x86_64

  519 Warren Togami	2008-02-06
      Make python-ruledispatch conflict more explicit

  518 Warren Togami	2008-02-05
      RPM: Fix tftpdir install, xinetd.d/ldminfod

  517 Vagrant Cascadian 2008-02-04
      Updated Finnish translation by Esko Arajärvi
      http://bugs.debian.org/463956

  516 Vagrant Cascadian 2008-02-02
      German translation update by Wolfgang Schweer
      http://bugs.debian.org/463394

  515 Vagrant Cascadian 2008-02-02
      uncommit accidental update of *.po (intention was to only add vi.po)

  514 Vagrant Cascadian 2008-02-01
      added new Vietnamese translation by Clytie Siddall
      http://bugs.debian.org/463670

  513 Warren Togami	2008-02-01
      xinetd.d: nbdrootd was the wrong port, add ldminfod

  512 Vagrant Cascadian 2008-01-30
      Catalan translation update by Jordà Polo (debian bug #463216)

  511 Warren Togami	2008-01-29
      Install tftpboot directory in correct location defined by the
      distro's tftp-server Install pxelinux.0 from syslinux

  510 Warren Togami	2008-01-29
      add initscript for ltsp-dhcpd

  509 Warren Togami	2008-01-29
      80_ltsp-sound isn't the right thing at all on Fedora.

  508 Warren Togami	2008-01-29
      RPM: install ltsp-dhcpd.conf

  507 Vagrant Cascadian 2008-01-29
      implement run_parts_list function, a distro-independent equivalent
      to "run-parts --list" on debian-based systems.

  506 Vagrant Cascadian 2008-01-29
      remove unused load_modules function

  505 Vagrant Cascadian 2008-01-29 [merge]
      merge example k12linux's dhcpd.conf

  504 Vagrant Cascadian 2008-01-29 [merge]
      merged bzr://bzr.fedorahosted.org/bzr/k12ltsp/ltsp-fedora/
       except: - keep simplified dhcpd.conf - run-parts hacks

  503 Vagrant Cascadian 2008-01-29 [merge]
      merge ldminfod changes to use /usr/share/xsessions/*.desktop

  502 Vagrant Cascadian 2008-01-29
      updated with new translateable strings

  501 Vagrant Cascadian 2008-01-21 [merge]
      merge Debian plugin for --copy-package-cache to provide feedback

  500 Vagrant Cascadian 2007-12-30 [merge]
      merge improvements and fixes to Debian kiosk plugin

  499 Vagrant Cascadian 2007-12-17
      fix typo in setting BOOTPROMPT_OPTS for Debian: if -> elif

  498 Vagrant Cascadian 2007-12-17
      use "boot=nfs" for default debian BOOTPROMPT_OPTS

  497 Vagrant Cascadian 2007-12-08 [merge]
      merge improvements to update-kernels for mkelfImage and mkelf-linux

  496 Vagrant Cascadian 2007-12-02
      typo with mkelf*

  495 Warren Togami	2007-11-29
      mkdist.sh moved to its own project named "mkdst".  mkdst must be
      in either $PATH or ../mkdst/

  494 Oliver Grawert	2007-11-27
      add proper exitcode for failures to ltsp-build-client (so gui
      tools know it failed :) )

  493 Oliver Grawert	2007-11-25 [merge]
      merge mkdist fixes

  492 Vagrant Cascadian 2007-11-25 [merge]
      merge typo fix in ltsp-update-sshkeys

  491 Vagrant Cascadian 2007-11-25 [merge]
      merge fix for ldm multi-host support

  490 Vagrant Cascadian 2007-11-25 [merge]
      merged debian branch

  489 Scott Balneaves	2007-11-20
      more upstream

  488 Scott Balneaves	2007-11-20
      Upstream work

  487 Scott Balneaves	2007-11-04
      Upstream work.

  486 Scott Balneaves	2007-10-12 [merge]
      Merged from ogra

  485 Scott Balneaves	2007-10-02 [merge]
      Merge from ogra

  484 Scott Balneaves	2007-09-25 [merge]
      self merge

  483 Scott Balneaves	2007-09-25
      change unsafe /tmp to /var/run per vagrantc

  482 Scott Balneaves	2007-09-18
      Test failure of autoconf, add X_OPTIONS_ parameters

  481 Scott Balneaves	2007-09-14
      A buggy via driver revealed this.  Won't cause any delay on a
      sane driver

  480 Scott Balneaves	2007-09-13 [merge]
      fix trailing /, mkdir

  479 Scott Balneaves	2007-09-13
      Scott flies white flag, surrenders with honour

  478 Scott Balneaves	2007-09-12 [merge]
      Merged from ogra, updates to default lts.conf, ltsp-update-image,
      etc

  477 Scott Balneaves	2007-09-12 [merge]
      ogra's installer fix

  476 Scott Balneaves	2007-09-11
      Instead of starting for all, start for just screens available

  475 Scott Balneaves	2007-09-10
      error in patch

  474 Scott Balneaves	2007-09-10
      Little more cleanup on shell and telnet screen scripts, remove
      bash references

  473 Scott Balneaves	2007-09-10
      Use dash, not bash

  472 Scott Balneaves	2007-09-10
      per vagrantc's idea, simplify, simplify, simplify

  471 Scott Balneaves	2007-09-09
      Multiple script dirs

  470 Scott Balneaves	2007-09-09
      Patch to disallow SCREEN_01, eliminate call to awk, should be
      ulimit -m, not -v

  469 Scott Balneaves	2007-09-08
      We should default to true now

  468 Scott Balneaves	2007-09-06
      refactored a bit to work even better.

  467 Scott Balneaves	2007-09-06
      info not an error, so exit 0

  466 Scott Balneaves	2007-09-06
      More simpler = betterer

  465 Scott Balneaves	2007-09-06 [merge]
      bug pointed out by vagrantc: running ltsp-update-image on a chroot
      that isn't going to be nbd mounted shouldn't error out

  464 Scott Balneaves	2007-09-06 [merge]
      More packaging goodies from ogra

  463 Scott Balneaves	2007-09-06 [merge]
      Merge in ogra's installer updates

  462 Scott Balneaves	2007-09-05
      moved back to /usr/sbin

  461 Scott Balneaves	2007-09-05
      Closes Bug #137461

  460 Scott Balneaves	2007-09-03
      Fix typo

  459 Scott Balneaves	2007-09-03 [merge]
      Merged ogra's changes

  458 Scott Balneaves	2007-09-03
      added missing manpages for ltsp-update-image, and nbdrootd

  457 Scott Balneaves	2007-09-02
      Fix a couple of debian control issues

  456 Scott Balneaves	2007-09-02
      Fix bug with localdev: encrypt tunnel for X forwarding for all
      things.  LDM_DIRECTX will override X, but all other communication
      should be encrypted

  455 Scott Balneaves	2007-09-02
      simplified, slightly

  454 Scott Balneaves	2007-09-02
      since we're zeroing /etc/hostname in the plugin, don't need to do
      it in the initramfs, add plugin to ubuntu

  453 Scott Balneaves	2007-09-02 [merge]
      fixing problem with hostnames not being set in the client, even
      if they're specified in dhcpd

  452 Scott Balneaves	2007-09-01
      Moved back to the simpler syntax

  451 Scott Balneaves	2007-09-01 [merge]
      Merged vagrant's Debian logo fix

  450 Scott Balneaves	2007-09-01
      Added ram limiting from old 4.2, fixed typo

  449 Scott Balneaves	2007-08-30
      Arrrgh, ruddy typo

  448 Scott Balneaves	2007-08-29 [merge]
      Merged with ogra

  447 Scott Balneaves	2007-08-29 [merge]
      more merge mess cleanup

  446 Scott Balneaves	2007-08-29
      reverted vagrantc's stuff

  445 Scott Balneaves	2007-08-27
      Some style cleanups, after discussion with vagrantc, and a very
      brief CodingStyle document

  444 Scott Balneaves	2007-08-27 [merge]
      Merged with vagrant.

  443 Scott Balneaves	2007-08-27
      Per discussion with vagrant, re coding styles

  442 Scott Balneaves	2007-08-27 [merge]
      fixed conflict

  441 Scott Balneaves	2007-08-27
      Added check for /proc being mounted in chroot

  440 Scott Balneaves	2007-08-27
      Merged translation files from Vagrant

  439 Scott Balneaves	2007-08-24 [merge]
      argh, had to merge with myself

  438 Scott Balneaves	2007-08-24
      Added code for handling mkelfImage, cleaned up example dhcpd.conf
      file a bit, removed the old python greeter

  437 Scott Balneaves	2007-08-22
      Fixed typo

  436 Scott Balneaves	2007-08-22
      Cleaned up ldmgtkgreet, got hosts appearing in same order as
      LDM_SERVER

  435 Scott Balneaves	2007-08-22
      Some cleanup on the init functions, properly implement the
      XF86CONFIG_FILE and XORG_CONF options

  434 Scott Balneaves	2007-08-22
      Squashed more bugs

  433 root	2007-08-21
      Whoops, bashisms

  432 Scott Balneaves	2007-08-21
      unquoted string

  431 Scott Balneaves	2007-08-21
      Whoops, snprintf

  430 Scott Balneaves	2007-08-21
      cleanup of printer, telnet, screen scripts, remove cruft

  429 Scott Balneaves	2007-08-21 [merge]
      merge, plus fixed ltspfs security

  428 Scott Balneaves	2007-08-19
      Addresses Bug #114391.  Makes sense to me, so I added it to my tree.
      Ollie, Vagrant, make sense to you?

  427 Scott Balneaves	2007-08-19
      Added a plugin for copying the server's /etc/timezone to the chroot.
      Addresses Bug #126443

  426 Scott Balneaves	2007-08-19
      Fixed bug in script

  425 Scott Balneaves	2007-08-18
      Fixed bug where you can only run one concurrent ldm

  424 Scott Balneaves	2007-08-17
      cleaned up some code, more glibifying

  423 Scott Balneaves	2007-08-15
      Forgot m4 dir

  422 Scott Balneaves	2007-08-15
      Updated ldminfod from Francis' tree

  421 Scott Balneaves	2007-08-14
      Added gettext support.  i18n ahoy

  420 Scott Balneaves	2007-08-14
      Added usage messages to ltsp-update scripts.  ltsp-update-image now
      changes nbdport parameter in pxeconfig file

  419 Scott Balneaves	2007-08-14
      Language selection working now.  Ollie, review and merge.
      Tomorrow, gettext

  418 Scott Balneaves	2007-08-14
      Fixed command line processing using external getopt, so long and
      short options are used.  --base standard.  Added --export option
      to -sshkeys, so that admins can export sshkeys on machines, for
      loading into the chroot on the nbd server. -sshkeys now looks
      in /etc/ltsp/ssh_known_hosts.* and adds all hostnames to chroot
      found there.

  417 Scott Balneaves	2007-08-13
      Fixed problem with greeter crashing

  416 Scott Balneaves	2007-08-13
      First stab at integrating completed greeter and ldm.  Horribly
      broken.  Will fix tomorrow.

  415 Scott Balneaves	2007-08-12
      Finished main functionality with greeter.  Lang, sess, and host
      info all selectable.

  414 Scott Balneaves	2007-08-12
      Major rework of the greeter.  Split functions up into multiple
      files.  Accept working in session and language windows.  Multihost
      selecting working well.

  413 Scott Balneaves	2007-08-11
      And, for completeness, added -b option handling to
      ltsp-update-kernels

  412 Scott Balneaves	2007-08-11
      Updated ltsp-update-sshkeys to also handle a -b basedir option,
      plus some cleanup

  411 Scott Balneaves	2007-08-10
      Fixed up some problems with ltsp-update-kernels, added command line
      processing.  Removed unnecessary image dir test in nbdrootd. Added
      -C /dev/null to nbdswapd.

  410 Scott Balneaves	2007-08-10
      Added session window

  409 Scott Balneaves	2007-08-10
      No host menu if only one host

  408 Scott Balneaves	2007-08-09
      Added XORG_CONF variable for manual config override.

  407 Scott Balneaves	2007-08-08
      Got greeter reloading lang info on host change

  406 Scott Balneaves	2007-08-06
      Merged some of fgiraldeau's code, but not the network part

  405 Scott Balneaves	2007-08-04
      Begin transition to glib

  404 Scott Balneaves	2007-08-03 [merge]
      sync with ogra

  403 Scott Balneaves	2007-07-31
      Forgot ldm screen script

  402 Scott Balneaves	2007-07-31
      Lots of work.  Converted to all static memory, to eliminate leaks.
      Fixed login failures, control-alt-backspace resets, etc.

  401 Scott Balneaves	2007-07-29
      Fixed bug 105709: updated 80_ltsp-sound to address unsafe quoting.

  400 Scott Balneaves	2007-07-28
      Added cancel button to greeter

  399 Scott Balneaves	2007-07-26
      Added host selection box to ldmgtkgreet

  398 Scott Balneaves	2007-07-25
      fixed some bugs, added login status message

  397 Scott Balneaves	2007-07-25
      Cleaned up username and password handling a bit

  396 Scott Balneaves	2007-07-24
      Password expiry working.	Goto's eliminated. World saved.
      more to do

  395 Scott Balneaves	2007-07-24
      Fixed bug in ldminfod

  394 Scott Balneaves	2007-07-23
      Fixed Bug #127516.  The delayed_mounter isn't needed with ldm2

  393 Scott Balneaves	2007-07-23
      Beginnings of password expiry

  392 Scott Balneaves	2007-07-20
      Added rdesktop script courtesy Colin Osterhout

  391 Scott Balneaves	2007-07-17
      Touched up jetpipe a bit: don't keep remaking socket

  390 Scott Balneaves	2007-07-14
      Got autologin working

  389 Scott Balneaves	2007-07-08 [merge]
      Synced with ogra's tree

  388 Scott Balneaves	2007-06-26
      first login via scripted greeter works.  More to come

  387 Scott Balneaves	2007-06-25
      Started work on interactive greeter.  Not working yet

  386 Scott Balneaves	2007-06-25
      Fixed bug # 121254

  385 Scott Balneaves	2007-06-21
      more greeter cleanup

  384 Scott Balneaves	2007-06-21
      First cut at interactive greeter

  383 Scott Balneaves	2007-06-21 [merge]
      Merge from gutsy mainline

  382 Scott Balneaves	2007-06-21 [merge]
      Merged Ollie's branch

  381 Scott Balneaves	2007-06-20
      Started fooling around with the greeter

  380 Scott Balneaves	2007-06-20
      replace ldm with ldm2, fix up dir names to remove versioning

  379 Scott Balneaves	2007-06-20 [merge]
      merged in ogra's tree

  378 Scott Balneaves	2007-06-19 [merge]
      Merged ogra's changes

  377 Scott Balneaves	2007-06-18
      Fixed wonky keyboard/pty bug.  Happy Birthday Me

  376 Scott Balneaves	2007-06-18
      Added rc support.  See README.  This makes Scotty Smile

  375 Scott Balneaves	2007-06-16
      Fixed up end_session a bit

  374 Scott Balneaves	2007-06-16
      Some code cleanup

  373 Scott Balneaves	2007-06-16
      added logging

  372 Scott Balneaves	2007-06-15
      Fixed a few errors in x_session

  371 Scott Balneaves	2007-06-15
      Removed a bunch of files that shouldn't be there

  370 Scott Balneaves	2007-06-15
      Added sound support

  369 Scott Balneaves	2007-06-15
      Code cleanups

  368 Scott Balneaves	2007-06-14
      started to add some ltspfs sugar

  367 Scott Balneaves	2007-06-14
      big change to ldm_socket

  366 Scott Balneaves	2007-06-14
      Added get_ip.c, shamelessly stolen from getltscfg

  365 Scott Balneaves	2007-06-13
      Some autoconf cleanup to standardize ldm2 and ldmgtkgreet

  364 Scott Balneaves	2007-06-13
      Modify ldm2 and ldmgtkgreet to work together.  First cut.
      Whoohoo works

  363 Scott Balneaves	2007-06-12
      Fixed another bug with the background image, also cleaned up
      g_timeout_add warning

  362 Scott Balneaves	2007-06-12
      Fixed memory bug.  Need more debugging

  361 Scott Balneaves	2007-06-12
      Added autoconfed greeter.  Not working yet

  360 Scott Balneaves	2007-06-11
      Fixed up the socket so that localdevs would work for testing

  359 Scott Balneaves	2007-06-11
      Should now restart after logout.

  358 Scott Balneaves	2007-06-11
      Added ldm2.  Initial cut.

  357 Vagrant Cascadian 2007-06-02
      drop /etc/X11/XF86Config-4 from list of files to bind mount

  356 Vagrant Cascadian 2007-06-01
      add xbase-clients to ltsp-server-standalone

  355 Vagrant Cascadian 2007-06-01
      make related sound programs a hard dependency on
      ltsp-server-standalone (Debian)

  354 Vagrant Cascadian 2007-05-31
      remove code for after-installation and finalization (functionality
      was moved to other plugins).

  353 Vagrant Cascadian 2007-05-31
      get DIST from lsb_release

  352 Vagrant Cascadian 2007-05-31
      generate the control file when doing bzr-release

  351 Vagrant Cascadian 2007-05-31
      move packages from EARLY_PACKAGES to ltsp-client dependencies
      for Debian.

  350 Vagrant Cascadian 2007-05-31
      clean up sound dependencies for debian

  349 Vagrant Cascadian 2007-05-31
      move more packages listed in EARLY_PACKAGES into ltsp-client
      dependencies.

  348 Vagrant Cascadian 2007-05-31
      clean up sound related dependencies.

  347 Vagrant Cascadian 2007-05-31 [merge]
      merge patches to split ltsp-client into two packages

  346 Vagrant Cascadian 2007-05-31 [merge]
      merge patches for debian/control generation, to reduce debian/ubuntu
      conflicts.

  345 Vagrant Cascadian 2007-05-31 [merge]
      merge patches from Gideon Romm: - support for unencrypted X sessions
      - use LDM_SERVER to determine login server

  344 Oliver Grawert	2007-05-30 [merge]
      merge the treemerge from vagrant
      (http://llama.freegeek.org/~vagrant/bzr/ltsp/vagrant-ltsp-mainline)

  343 Oliver Grawert	2007-01-04 [merge]
      merge boolean handling fixes for shellscripts

  342 Oliver Grawert	2007-01-04 [merge]
      merge vagrants debian patches

  341 Oliver Grawert	2006-12-06 [merge]
      merge the merged debian-sid/ubuntu-feisty trees

  340 Oliver Grawert	2006-09-08
      fix Ubuntu/000-basic-configuration to look in the right dir for
      finalization

  339 Oliver Grawert	2006-09-08 [merge]
      merge with debians main tree

  338 Oliver Grawert	2006-09-07 [merge]
      merge fixes from
      http://llama.freegeek.org/~vagrant/bzr/ltsp/features/vagrant-lang-session/

  337 Oliver Grawert	2006-09-07 [merge]
      merge ltsp-dhcpd-autogeneration (configure a default interface
      for ltsp from the installer udeb)

  336 Oliver Grawert	2006-09-06 [merge]
      merged
      http://people.ubuntu.com/~ogra/bzr-archive/ltsp/ldm-login-and-session-handling/,
      implements login and session selection in ldm

  335 Oliver Grawert	2006-08-29
      fix usplash breakage in ldm

  334 Oliver Grawert	2006-08-28
      make sure ldm creates the socket for localdev

  333 Oliver Grawert	2006-08-24
      enable the language ad session buttons in ldm (non-functional yet)
      for ltsp-login-and-session-handling spec

  332 Oliver Grawert	2006-08-22
      add support for local device support (LOCALDEV=True in lts.conf),
      fixed a bashism in the ltsp-client-setup initscript and some small
      indendation fixes

  331 Oliver Grawert	2006-08-03
      add 010-mount-proc with added linking of /dev/fd to Ubuntu plugins,
      uslash needs /dev/fd to be in place

  330 Oliver Grawert	2006-08-03
      added DEBIAN_PRIORITY=critical to
      server/plugins/Ubuntu/000-basic-configuration and changed from
      x-window-system-core to xorg

  329 Oliver Grawert	2006-08-03
      fix debian introduced breakage of the initramfs.conf setup in
      server/plugins/common/020-init-image

  328 Oliver Grawert	2006-08-03
      add mountkernfs.sh and mountdevsubfs.sh to RCS_WHITELIST, needed
      now to make the boot work

  327 Oliver Grawert	2006-08-03
      add vendor detection to ltsp-update-kernels to fix wrong kernel
      parameters introduced by debian

  326 Oliver Grawert	2006-07-26
      merged rev. 333 to 335 from
      http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/vagrant-main
      (add support for additional ssh keys during client creation and for
      an additional /etc/hosts file tha gets merged during client creation

  325 Oliver Grawert	2006-07-21 [merge]
      merge vagrants popcon support for thin clients and whitespace fixes

  324 Oliver Grawert	2006-07-20
      make ltsp-keys executable

  323 Oliver Grawert	2006-07-20
      add a /etc/network/if-up.d/ltsp-keys script to copy the sshkeys
      on every interface start, make ltsp-update-sshkeys use logger
      for output and log to syslog and add descriptive error messages,
      this avoids breakage if the server IP was changed

  322 Oliver Grawert	2006-07-18
      add linewrap to udeb postinst and fix a syntax error

  321 Oliver Grawert	2006-07-18
      update the udeb to the latest installer code without weird "env"
      calls

  320 Oliver Grawert	2006-07-18
      make sure linux is set as terminal type so the udeb doesnt fail
      in the installer

  319 Oliver Grawert	2006-07-14
      fix wrong kernel selection on ubuntu

  318 Oliver Grawert	2006-07-03 [merge]
      mrege otavios changes

  317 Oliver Grawert	2006-07-03 [merge]
      merge debian changes modulo debian/control changes

  316 Oliver Grawert	2006-06-29
       moved 010-chroot-tagging from Debian plugins to common

  315 Oliver Grawert	2006-06-29
      remove the hack to 020-rootpath (touching /etc/ltsp_chroot

  314 Oliver Grawert	2006-06-27
      changelog

  313 Oliver Grawert	2006-06-27
      quiten down update-rc.d in rc_cleanup

  312 Oliver Grawert	2006-06-26
      fixed broken RC*_WHITELIST variables

  311 Oliver Grawert	2006-06-26
      made the source work again to have a usable package: fixed broken
      eval_gettext quoting of all strings, added a line that sources
      gettext.sh to ltsp-build-client to make it work at all. added a
      touch $ROOT/etc/ltsp_chroot to the 020-rootpath plugin to make
      ltsp-client installable again. changed default distro to edgy.

  310 Oliver Grawert	2006-06-22
      changelog

  309 Oliver Grawert	2006-06-22 [merge]
      merge debian modularization changes and fixes in the upstream branch

  308 Oliver Grawert	2006-05-26 [merge]
      merge the dapper tree

  307 Oliver Grawert	2006-05-26
      changelog

  306 Oliver Grawert	2006-05-15 [merge]
      merged changes from dapper package

  305 Oliver Grawert	2006-04-25
      added -o Acquire::gpgv::Options::=--ignore-time-conflict to apt-get
      update to handle broken BIOS clock settings

  304 Oliver Grawert	2006-04-24
      fixed changelog

  303 Oliver Grawert	2006-04-02 [merge]
      merge with petters ubuntufixes branch

  302 Oliver Grawert	2006-03-09
      changelog

  301 Oliver Grawert	2006-03-09
      fixed ssh_known_hosts creation to not depend on ssh-keyscan

  300 Oliver Grawert	2006-03-09 [merge]
      merged petters recent cleanup changes to debian/rules

  299 Oliver Grawert	2006-03-09
